2013-04-03  Petr Mladek  <pmladek@suse.cz>  [c24b504b302bba2cec3e79928b80720b672d82c0]

Version 3.6.6.2, tag libreoffice-3.6.6.2

Change-Id: Iff935f17a708ae06b7d3918d927a37cd815a5111

2013-03-19  Petr Mladek  <pmladek@suse.cz>  [d8abf43eff05c25563c77217987ec2d619037f51]

Branch libreoffice-3-6-6

This is 'libreoffice-3-6-6' - the stable branch for the 3.6.6 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.6.x release,
please use the 'libreoffice-3-6' branch.

If you want to build something cool, unstable, and risky, use master.

Change-Id: Ia46888773edaae4cb5f3884830c3c6471511e061

2012-08-17  Caolán McNamara  <caolanm@redhat.com>  [842850b911ee08be13f1090bf9937226828ada0a]

merge in various filter work from core

Change-Id: I14ca1319e7e96941037450aee59d7a926d290c71
Signed-off-by: Petr Mladek <pmladek@suse.cz>

2012-08-02  iha/tbe  <iha@openoffice.org>  [0d2d24f7520308c64219eef7db42fb6471364878]

sds chart binfilter import

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2012-08-02  Michael Stahl  <mst@openoffice.org>  [7ee71d080fe8e52c09da9edd5b4db27a9f763ff4]

binfilter: fix some warnings

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2012-06-25  David Tardon  <dtardon@redhat.com>  [8dcb94c6fcb2613834a91762aacdb07d4096a537]

remove useless extern declaration

This fixes segfault in checkdll libbf_xolo.so during build of
libreoffice 3.6 package for Fedora Rawhide. Do not ask me why...

Change-Id: I367a85ba2a10bc60bcd74ca90c2fd24e86f70967

2012-06-22  Petr Mladek  <pmladek@suse.cz>  [29a92a4465dd0083fdc0e2b062e78e113eaf05c6]

checkdll libbf_xolo.so crasher with gcc-4.7.1 20120615

It smells like a compiler bug.

Change-Id: I8a5848b5622420ce61c9288354cd1ef670245e44

2012-06-17  Stephan Bergmann  <sbergman@redhat.com>  [0e83873df15b5bc38902635aad4a94cd4d9fd9a2]

Adapt to 6d78c490b0923c22d125286ebdae2e41edd28f6c

... "Get rid of GRADIENT_* defines, they conflict with Windows GDI types."

Change-Id: Id05d47005e56ba5fd24b1b1ce17b069e011a4003

2012-06-05  Petr Mladek  <pmladek@suse.cz>  [02a51d8b826119acbefa515f918270146285fc97]

Branch libreoffice-3-6

This is 'libreoffice-3-6' - the stable branch for the 3.6.x releases.
The commit rules are different according to the development phase:

+ 3.6.0 beta phase:

    + any bug fixes are allowed without review
    + late features need approval by 3 people with different affiliation

+ 3.5.0 rc phase and later:

    + fixes need approval by one reviewer
    + late features need approval by 3 more people with different affiliation

IMPORTANT: Every developer is responsible for pushing the fixes into all
           appropriate branches. Note that we do not plan any merge
           from this branch to master or vice versa.

Please, help use to make stable and usable release. If you want to build
something cool, unstable, and risky, use master.

Change-Id: I7c5cb3b6322bccf25b99b3d07042b21ae2b49ff6

2012-06-04  Caolán McNamara  <caolanm@redhat.com>  [bf3ac96236b16bd7eae74e91117f41ded8b09379]

This SyncSvStream stuff isn't used

Change-Id: I827e46dc2e38646c9b9869a2230cdcd299d7a3c9

2012-06-02  Caolán McNamara  <caolanm@redhat.com>  [b9f83fca37a3544b825de9d2f295090257d3477b]

ThreeByteToFourByte and friends are no longer in use

Change-Id: I9a2aaebfc5cc6b8b6327d61270043611283a6975

2012-05-30  Caolán McNamara  <caolanm@redhat.com>  [5b278ca5fd540592951ad460d8950a931ab755a8]

use sax::Converter:: base64 code instead

Change-Id: I92fd4459bed7c38ff2063899b20d24d781ac45bd

2012-05-24  Caolán McNamara  <caolanm@redhat.com>  [55dbc98f225d5b2c695b3d724a1fff0e9c5e9873]

convert ResStringArray to rtl::OUString

Change-Id: I32d51ad09e1a190d92d6e6f6c14d9f9debf7bf41

2012-05-16  Caolán McNamara  <caolanm@redhat.com>  [49f2a0aed4b0549222cf32ef903a0507aac01893]

WaE: fVal may be used uninitialized

Change-Id: Ifee8b1f44868813cc7d1c02539517e8d2bf0675d

2012-05-07  Julien Nabet  <serval2412@yahoo.fr>  [0b54eb6b70f1102a84ee9da01b2c6aea1aa50904]

Some cppcheck cleaning

Change-Id: Ib0dee8fed7c3ac54870024853d0bcdfcb964039d

2012-05-05  Julien Nabet  <serval2412@yahoo.fr>  [1dbdf3726bd22e7e40d24eb2e4732865f4334a41]

Some cppcheck cleaning

Change-Id: Id3e1da2b80c87b22eeb5da696b0ba8ef88061817

2012-05-04  Thomas Arnhold  <thomas@arnhold.org>  [99e42be7c4afcff0177992aebe8de9559b7a5f45]

fdo#48253: Expand SAL_STATIC_CAST leftovers

Change-Id: Ibda77aa3010928513bd7d0b57a1d1045343607b5

2012-05-04  Thomas Arnhold  <thomas@arnhold.org>  [b5b4af6da1d44b47702ced8ea7cfc99c4788525a]

fdo#48253: Expand SAL_STATIC_CAST

Change-Id: Icbb4df924b79f2a3d903c640e2aae2119a91fcad

2012-05-04  Thomas Arnhold  <thomas@arnhold.org>  [681db8e3a2c727a1c30fb597a50b265857040094]

fdo#48253: Expand SAL_CONST_CAST

Change-Id: Id50acb05c4616ba735dbbbad8fe866ae8c8ef459

2012-05-03  Caolán McNamara  <caolanm@redhat.com>  [b85701cac464778e0717773da342450648151e97]

Revert "Remove unused parts"

This reverts commit 1a0db504b60623eeb45d64a8ce8d1463983f6c2a.

They seem to be built under windows and the windows build-bots
are complaining.

2012-05-02  Julien Nabet  <serval2412@yahoo.fr>  [1a0db504b60623eeb45d64a8ce8d1463983f6c2a]

Remove unused parts

Change-Id: Ife64c1e95ae1dcf5554fc8e59d1afbffa3ffebec

2012-04-30  Caolán McNamara  <caolanm@redhat.com>  [65042e25c2d6c0d1b06a975b916fa61eb77f20ff]

track change to make ResId::toString a non-static member

Change-Id: I2e2ba77aaad129a5f83b5fb6bef98dcb948ce5a0

2012-04-29  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [ea53b6fe73dbdce48c0b16309b78f7a1b78e06d8]

add dmake flagfile for build.pl


2012-04-19  Caolán McNamara  <caolanm@redhat.com>  [baa2838ed4a0d1a9dd4b2ff88e5e033a37bf31cd]

callcatcher: strip Container down


2012-04-18  Michael Stahl  <mstahl@redhat.com>  [baafe1cf57fa101e6308ed9f60cf0be46d3c22d8]

table.hxx: oops, forgot TOOLS_DLLPUBLIC in there


2012-04-18  Michael Stahl  <mstahl@redhat.com>  [319d686449ecf259763137d98e7ac2ce16701a28]

move tools/table.hxx to binfilter


2012-04-18  Michael Stahl  <mstahl@redhat.com>  [5b339c5537bb2a882621ca31e2fada391b16d217]

partially revert 271e19336e594195ac6e40dd01ba62d2592f24e8

Turns out this stuff is used by Table

2012-04-15  Caolán McNamara  <caolanm@redhat.com>  [af20ea3f8376a9d29d00d06b106fc49ca85377af]

callcatcher: remove newly unused code


2012-04-12  Caolán McNamara  <caolanm@redhat.com>  [4aef5125781f62138c63829b5d0c6f28d870671a]

ditch some unnecessary code


2012-04-11  Caolán McNamara  <caolanm@redhat.com>  [61eb8ffd6f6e47f4c539b1cfbefba12cf5e650a9]

callcatcher: reduce ByteString


2012-04-10  Caolán McNamara  <caolanm@redhat.com>  [c1ed15532ca066c67d05432c3e2f99c7feccbaf9]

WaE: msvc potentially used uninitialized


2012-04-10  Caolán McNamara  <caolanm@redhat.com>  [167dd1197d5189736045a714ccc3ec328e8e8fe5]

reduce binfilter ByteString to used parts


2012-04-09  Luboš Luňák  <l.lunak@suse.cz>  [89ce882ec419cdd0f9217b5f491b66fdaee026f1]

fix clang compile


2012-04-09  Julien Nabet  <serval2412@yahoo.fr>  [48d44b8fa4d45754cf1f15f7bab20af20ff69985]

s/pathes/paths


2012-04-09  Julien Nabet  <serval2412@yahoo.fr>  [07afc5b2071ff48beb3093536a7ea68273b4e967]

s/pathes/paths/


2012-04-06  Caolán McNamara  <caolanm@redhat.com>  [d8a4706e91bf5ca518af96434394e24d10a5e0e6]

callcatcher: recently unused code


2012-04-05  Eike Rathke  <erack@redhat.com>  [79a1602c0a460cb85413f872d3a8574d23c51b42]

removed dead code that used to handle Calc text imports


2012-03-29  Stephan Bergmann  <sbergman@redhat.com>  [042f74a90557ab312ce6e7d7925204ba531adbe9]

GCC 4.7 -Werror=deprecated, -Werror=narrowing


2012-03-23  Caolán McNamara  <caolanm@redhat.com>  [4d74905bf959fcce368f2dbf79021417484b75b8]

move SvWeakBase etc into binfilter


2012-03-22  Caolán McNamara  <caolanm@redhat.com>  [1ac6932d891754769359cd53041cf46a32723602]

WaE: need a virtual dtor


2012-03-21  Caolán McNamara  <caolanm@redhat.com>  [19dcfb4a33e9b1b2c23603b9f793e547763f1dcc]

WaE: potentially uninitialized


2012-03-20  Caolán McNamara  <caolanm@redhat.com>  [9034ab5003413c7457e883e50fc71cec649a2783]

drop unused methods


2012-03-16  Caolán McNamara  <caolanm@redhat.com>  [90a97aea3fa5cc27009415d85802d9e428d4a9eb]

delete un-included header file


2012-03-16  Caolán McNamara  <caolanm@redhat.com>  [98ca3a0d0f70a825dab6b84e37cbb5fd53870f4b]

can remove AddFontItem[s]


2012-03-16  Stephan Bergmann  <sbergman@redhat.com>  [985da32129e1cacd3231cca2f60c5b3f4d9b0b2e]

Some include clean up


2012-03-15  Caolán McNamara  <caolanm@redhat.com>  [49d3d392b740bd90bacf73036b6dae454d8fa5c8]

callcatcher: now safely remove the actually unused parts


2012-03-14  Stephan Bergmann  <sbergman@redhat.com>  [55ee10fea8ecfe0d471674d5fc7f09be2808b3df]

Dead code


2012-03-14  Stephan Bergmann  <sbergman@redhat.com>  [c599fdba10c210ecf3f94119cb1138f3846320df]

Adapted to -Wnon-virtual-dtor enabled for GCC 4.6


2012-03-14  Caolán McNamara  <caolanm@redhat.com>  [cfa62900291dc2d89793044a045ac1f29ca8b128]

Resolves: fdo#45521 restore ascii export for getTextFromPam

We need getTextFromPam to get the text of a selection for the
uno api, which some parts of the export to xml require

2012-03-14  Caolán McNamara  <caolanm@redhat.com>  [8eda3f334d982f1533e87e28edc549da224d10f4]

fix 64bit broken-ness


2012-03-12  Caolán McNamara  <caolanm@redhat.com>  [f89f0d123f9155e0832d1186eb1bd64bbfddd3f1]

ditch SfxULongRanges from binfilter


2012-03-08  Caolán McNamara  <caolanm@redhat.com>  [4a2109f5e8cc415ca2a33a6da338be65a5b0ed13]

fix build error


2012-03-06  Michael Meeks  <michael.meeks@suse.com>  [bb886bf268e6dfd3bf4b09975da274aa031faa3a]

add initial explanatory documentation


2012-03-05  Caolán McNamara  <caolanm@redhat.com>  [271e19336e594195ac6e40dd01ba62d2592f24e8]

callcatcher: shrink unused inlines


2012-03-02  Caolán McNamara  <caolanm@redhat.com>  [359bd679b9cc9849e9336c6b6fc289e900a18fdf]

reduce UniqueIndex


2012-03-01  Caolán McNamara  <caolanm@redhat.com>  [3419df8d8ad9c2e514a19dfb681d8aaaaa5ee009]

drop ScMultipleWriteHeader


2012-02-29  Caolán McNamara  <caolanm@redhat.com>  [5e6d0520fee252dbb5db62536849a547faa639aa]

drop unused DECLARE_UNIQUEINDEX


2012-02-27  Caolán McNamara  <caolanm@redhat.com>  [d09cf17a6c791228370f3f534ba058325cc0c4f5]

some windows warnings


2012-02-25  Caolán McNamara  <caolanm@redhat.com>  [b2f6ea583ae50e20ee1b891a742fc920eec4e5e2]

mirror in non-binfilter changes


2012-02-25  Caolán McNamara  <caolanm@redhat.com>  [7606c1623000b13bbb541c19981dc38efe73dbf8]

where's the point of the intermediate ByteString


2012-02-24  Thomas Arnhold  <thomas@arnhold.org>  [281bc6d11b637b0a99e98d80800c733018687955]

remove SotFactory::TestInvariant()


2012-02-23  Stephan Bergmann  <sbergman@redhat.com>  [0593ef5c57daa85f5982e57d11618b631aa5692d]

Get rid of CREATEVERSIONRESMGR_NAME


2012-02-22  Stephan Bergmann  <sbergman@redhat.com>  [f8506ca12e5cd35126ea419c7b7bb26d0920c4b4]

Adapt to new rtl::OUString ctor


2012-02-22  Stephan Bergmann  <sbergman@redhat.com>  [e23a672b0f50b46764b3e73770c86be41b61da69]

Adapt to new rtl::OUString ctor


2012-02-20  Thomas Arnhold  <thomas@arnhold.org>  [b42b9adeeda6e859943c7167dbc30f285e14d73e]

remove now unused swunodef.hxx


2012-02-20  Thomas Arnhold  <thomas@arnhold.org>  [823b60e8435a1d9237c2bf9591e47f179060cce2]

expand and remove macro STAR_REFERENCE


2012-02-20  Thomas Arnhold  <thomas@arnhold.org>  [387897a0a314cae3cf0aca9396a117d34619f3e4]

expand and remove macro CLIP_NMSPC


2012-02-20  Thomas Arnhold  <thomas@arnhold.org>  [54aec9b379c6112e7229120158d1069f8e092cd1]

expand and remove macro UNO_NMSPC


2012-02-20  Thomas Arnhold  <thomas@arnhold.org>  [9602fa43c64482f0d64141b2e931046820c64972]

expand and remove macro STAR_NMSPC


2012-02-19  Thomas Arnhold  <thomas@arnhold.org>  [2487d06a7f873a7a4a74d968e702152338d6ebfc]

remove GetReleaseFromCache


2012-02-18  Caolán McNamara  <caolanm@redhat.com>  [6c7344599885a7528a5c06a4e2a0b15e0adb35fd]

ditch extra ByteString code


2012-02-16  Caolán McNamara  <caolanm@redhat.com>  [babed3d40d1733cb3ea4b8a176e4ec0ffb03397d]

WaE: can't return a temp, pTable is always null, lets just return aColor


2012-02-16  Caolán McNamara  <caolanm@redhat.com>  [482881720eef9228ce25fa1d228139ebd43fe9cd]

sync up post ByteString reduction


2012-02-15  Stephan Bergmann  <sbergman@redhat.com>  [b0035dae18266c4fd219b29dbc635497c0fa53ec]

Adapted to string function clean up

Also fixed some apparent misuses of RTL_CONSTASCII_USTRINGPARAM ->
RTL_CONSTASCII_STRINGPARAM.

2012-02-15  Caolán McNamara  <caolanm@redhat.com>  [1807578ea9f2d5518244839d4607316b7455fb20]

lock in those ByteString gains so there's no back-sliding


2012-02-14  Michael Stahl  <mstahl@redhat.com>  [485398ddf96c6a7ca9e0903fa8f83f76cae43e3c]

binfilter::TimeStamp::Load: fix date/time on LP64 platform regression


2012-02-14  Michael Stahl  <mstahl@redhat.com>  [508835a5ea8d385b3a740b769d75cdd4c3362809]

binfilter::frm::OInterfaceContainer::disposing: fix boost assertion


2012-02-14  Michael Stahl  <mstahl@redhat.com>  [76647a6e03d72de7f7359e3f86ae3e9bebeffa95]

binfilter::XColorItem::GetValue: null pointer crash


2012-02-14  Michael Stahl  <mstahl@redhat.com>  [d38915fd08569ea5c7138f1755d539cc399d4f00]

binfilter: fix insta-crash string constructors


2012-02-13  Caolán McNamara  <caolanm@redhat.com>  [829fc92ccf918b81f6f6a1fa60aa7c5ac07bc172]

reduce warnings spew


2012-02-13  Caolán McNamara  <caolanm@redhat.com>  [6fd3480b596c232ad14afb9013f64e2f275ea55b]

fix windows build


2012-02-13  Caolán McNamara  <caolanm@redhat.com>  [29eeaf67aac144238cc6f28b7af66ac2e63e9a7c]

fix windows ambiguities post binfilter-string move


2012-02-13  Caolán McNamara  <caolanm@redhat.com>  [101a6853e968e22187c4d2aba395ff13e76ae7d7]

WaE: need a virtual dtor


2012-02-13  Caolán McNamara  <caolanm@redhat.com>  [4b0ad93aedebfb86cbdc93a1a1d761eb6f65d20a]

adapt hidden windows-only uses of toLower


2012-02-13  Caolán McNamara  <caolanm@redhat.com>  [34eccca5a0c9f2f7e0e1bc655ad0195a5d69c1ed]

drop InitStringRes


2012-02-10  Caolán McNamara  <caolanm@redhat.com>  [1c7e7b29af394d773611627f3630f07154a0732b]

these virtuals just point to baseclass impls


2012-02-10  Caolán McNamara  <caolanm@redhat.com>  [479ad79f88bda4c2b5056cf895f29297cbe0b833]

move [Uni|Byte]String into binfilter


2012-02-08  Caolán McNamara  <caolanm@redhat.com>  [1bcf9856ca41bbc607e10c78ee9f3571ccf181c4]

tidy this a tiny bit


2012-01-30  Caolán McNamara  <caolanm@redhat.com>  [06704560cd535895d1a4ac2c9aa680f7422c591d]

move SWAPSHORT and SWAPLONG into binfilter


2012-01-30  Caolán McNamara  <caolanm@redhat.com>  [04d774e82df6e2730baad4fa6f179816b00479ce]

conversions for refactored ConvertLineEnd


2012-01-27  Caolán McNamara  <caolanm@redhat.com>  [8d5e6ebac9ce8b488a97fcb0dc49f2355a212bee]

SvDispatch class doesn't exist anymore


2012-01-27  Caolán McNamara  <caolanm@redhat.com>  [fac28e54bff98e0e2d357f45546f433b6ef59164]

sfx2_dinfobj not compiled anymore


2012-01-24  Caolán McNamara  <caolanm@redhat.com>  [58f9f554d5fb9a3ca9a2b80038cdfa9d609a72d7]

String(String


2012-01-22  Caolán McNamara  <caolanm@redhat.com>  [5cd8d9c84af6f1562252b62357c0413abd79dbb2]

mirror ReadLine changes to binfilter


2012-01-22  Caolán McNamara  <caolanm@redhat.com>  [e2acb9648ccf425a80d1b0e9a430aca03c1cbf65]

adapt to sot ByteString->rtl::OString


2012-01-21  Stephan Bergmann  <sbergman@redhat.com>  [258ba2fb484d5e1bb4a3aca3991b3b66ea915a10]

Removed some unused parameters.


2012-01-20  Stephan Bergmann  <sbergman@redhat.com>  [bee87efffce9405cbb47c46b1b1b06ca5b89209f]

Mempool size args are unused.


2012-01-19  Norbert Thiebaud  <nthiebaud@gmail.com>  [65731b5747c2753a046e02be2a1fc81a4cfacda8]

fix SvStream:;operator>> problem


2012-01-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [65c2974092301ed5e4c893299b29e6d1f3d9160b]

Version 3.5.0.1, tag libreoffice-3.5.0.1 (3.5.0-rc1)


2012-01-10  David Tardon  <dtardon@redhat.com>  [b2dd236acdef807b51e27692ace5afd82f96585a]

fix for gcc 4.7/C++11: these are not string literal operators


2012-01-10  Caolán McNamara  <caolanm@redhat.com>  [edf439f6016fa8ab7ba7267c49cde32e201d8b06]

force users of horrific ReadUniOrByteStringLine to provide the charset


2012-01-10  Caolán McNamara  <caolanm@redhat.com>  [24e7ea4126d944958966cd9421089bc4aa76c17e]

adapt to simplified LocalFileHelper::ConvertURLToPhysicalName


2012-01-10  Marcel Metz  <mmetz@adrian-broher.net>  [6c61a9ba2e9f996dc8c94a7104be8f332bafddcb]

Remove cruft in debug tools


2012-01-09  Caolán McNamara  <caolanm@redhat.com>  [a4a9f044294ae2afad3ecee138c771a3654add98]

track changes to CharClass


2012-01-06  Marcel Metz  <mmetz@adrian-broher.net>  [9203883b8e0881ce2ab46c2899e788f922a9f086]

Removed unnecessary tools/ref.hxx includes


2012-01-06  Marcel Metz  <mmetz@adrian-broher.net>  [d08821beaa72ff1d86419dfb69203a1c28f8d9c8]

Removed unnecessary tools/link.hxx includes


2012-01-06  Caolán McNamara  <caolanm@redhat.com>  [6b7448e04adfd2ecf27f0a28f02ba050826b44c7]

ditch commented out SID


2012-01-06  Caolán McNamara  <caolanm@redhat.com>  [cc3eddde7886e7b5e8512395c925482494b2947b]

make ReadUniOrByteString return a string


2012-01-05  Caolán McNamara  <caolanm@redhat.com>  [522e9184ba5c6e1453c29504454cf7e39ce8bb95]

drop a String::CreateFromAscii


2012-01-05  Marcel Metz  <mmetz@adrian-broher.net>  [87ca1791f234745ef6e1a06c61929bca470bc03d]

Added missing includes.


2012-01-05  Marcel Metz  <mmetz@adrian-broher.net>  [c18c1fab778db040e5c5b9657e826eb90345ff00]

Added missing includes.


2011-12-28  Caolán McNamara  <caolanm@redhat.com>  [96bcd0c08004d7bd69c3a77c731f3401ceafede0]

WaE and build errors with OSL_DEBUG_LEVEL == 2


2011-12-27  Caolán McNamara  <caolanm@redhat.com>  [22ac5294ce1777d556c682f8332c512aba95b283]

bizarre to support extra format variations at an arbitrary debug level


2011-12-27  Caolán McNamara  <caolanm@redhat.com>  [542f6e4d58190ccbb53e2a15d94ea2d1e9dd138d]

WaE and build fixes for OSL_DEBUG_LEVEL == 2


2011-12-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [3699b9935500443746fc1d520b274dd54bc458b3]

every pre-req of binfilter are already covered by tail_build..


2011-12-22  Caolán McNamara  <caolanm@redhat.com>  [9fcec545b6adb1ab76e9e0e4a25c89c9b5278ac0]

WaE: tweak body-less for loop


2011-12-22  Caolán McNamara  <caolanm@redhat.com>  [e52eb303ba507e92d07a8c26f8b5d0a81f25f446]

reduce ByteString


2011-12-21  Peter Foley  <pefoley2@verizon.net>  [5631ff53c38959d132f5ba716ed19faa05b661eb]

change binfilter from depending on framework to depending on tail_build


2011-12-21  Peter Foley  <pefoley2@verizon.net>  [a51112ecccc20353448245e140500c38066590ff]

make binfilter depend on tail_build instead of basic

When feature/gbuild_extensions is merged to master basic will be
included in tail_build. To avoid a build failure in binfilter after the
merge this patch makes binfilter depend on tail_build since tail_build depends
on and will soon include basic.

2011-12-21  Caolán McNamara  <caolanm@redhat.com>  [baf8f39900cd4763dd4bb325907010969ecc1670]

WaE: silence some msvc warnings


2011-12-21  Caolán McNamara  <caolanm@redhat.com>  [e22e6ff0b54c4b52326b4168ce40a15bc673d214]

ditch min/max as macros under msvc


2011-12-21  Caolán McNamara  <caolanm@redhat.com>  [7e34bc14b1eda1a6429b2639061d1a4146674f1d]

tweak for pre language-defect #77


2011-12-21  Caolán McNamara  <caolanm@redhat.com>  [f045bde0995dd22aa71917cc702d781757496d25]

disentangle Read/WriteByteString OUString variants


2011-12-21  Caolán McNamara  <caolanm@redhat.com>  [a772588a85544dece84deecfc59ec7a39f9aab51]

convert ReadByteString/WriteByteString from ByteString to OString


2011-12-21  Caolán McNamara  <caolanm@redhat.com>  [532ad9dc3829559aea17f641a10bc425a3e8e00c]

Revert "convert ReadByteString/WriteByteString from ByteString to OString"

This reverts commit f54bda5b576e8270ecdfbcf3c0d81aea2dbf792f.

2011-12-21  Caolán McNamara  <caolanm@redhat.com>  [003ec7ed90702ce13c5e105fbe8abd87ab68dc7d]

Revert "disentangle Read/WriteByteString OUString variants"

This reverts commit 7b7ea8bac8dd3b9178e214306cab44b0392096f3.

2011-12-21  Caolán McNamara  <caolanm@redhat.com>  [7b7ea8bac8dd3b9178e214306cab44b0392096f3]

disentangle Read/WriteByteString OUString variants


2011-12-21  Caolán McNamara  <caolanm@redhat.com>  [f54bda5b576e8270ecdfbcf3c0d81aea2dbf792f]

convert ReadByteString/WriteByteString from ByteString to OString


2011-12-20  Caolán McNamara  <caolanm@redhat.com>  [64926061f538f0a6e2cd1f6b824b9b864db744c1]

WaE: possibly uninitialized


2011-12-20  Michael Stahl  <mstahl@redhat.com>  [da969397b19ade24b63bcc6693fcac039e4064c4]

binfilter: .gitignore: be more ignorant


2011-12-20  Michael Stahl  <mstahl@redhat.com>  [c2ec78bb9d382ff1b1b24000d45b16f50ebfabeb]

binfilter: -Werror=unused-variable


2011-12-19  Matteo Casalin  <matteo.casalin@poste.it>  [cd968e8471dbe6f4c1433a2d2867770aa6e20a41]

Removed COMPRESSMODE_FULL support from SvStream


2011-12-19  Caolán McNamara  <caolanm@redhat.com>  [46bb912ebfc8d399622f0d793a6fe85c7627b39a]

EXTENDED_BINARY_MODULES is always defined


2011-12-19  Caolán McNamara  <caolanm@redhat.com>  [ac67fcce783971e922fbf8fc0e924d5ba1cd9731]

msvc 2008 express won't link without explicit salhelper

post salhelper visibility markup and gbuildification express
2008 doesn't link without salhelper mentioned on link line

2011-12-13  Caolán McNamara  <caolanm@redhat.com>  [d46295ca600848a13e2aa1311a7ed7f9004fcb46]

ditch a ByteString


2011-12-06  Caolán McNamara  <caolanm@redhat.com>  [b2048718a5a102e9e0bc12d8874f5407afd4cbcd]

normalize Red Hat, Inc. spellings, and bump to latest template


2011-12-05  Eike Rathke  <erack@redhat.com>  [f10b863248237e9878bb7e3603016d21f1868b93]

moved tools/inc/tools/stack.hxx to binfilter/inc/bf_tools/

* in stack.hxx, included bf_tools/contnr.hxx instead of tools/contnr.hxx
* in stack.hxx, placed class Stack in namespace binfilter
* changed include tools/stack.hxx to bf_tools/stack.hxx

2011-12-01  August Sodora  <augsod@gmail.com>  [43e9388234d6294c67f399be86e6acd308f7b386]

Remove charAt/setCharAt from binfilter


2011-12-01  Eike Rathke  <erack@redhat.com>  [3a6e9e2dd7fb6c0e71eed13d4f70b05b9f832ace]

get rid of class Date and Time default ctor with system time penalty


2011-11-30  Petr Mladek  <pmladek@suse.cz>  [b211287c4acccce78576d4c13422399c2dff377f]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/binfilter


2011-11-30  Caolán McNamara  <caolanm@redhat.com>  [e52d84416c9958ddcdc0bedd3e5250fa2383e826]

convert over hidden windows-only ByteStrings


2011-11-30  Eike Rathke  <erack@redhat.com>  [1f9150ab1bbb121c59014fba7c7cd229aceeeb66]

renamed Date::IsValid() to IsValidAndGregorian() to prevent misassumptions


2011-11-29  Petr Mladek  <pmladek@suse.cz>  [b1d4df63a7d435ae25879c14181a4a9880679702]

Version 3.5.0.0, tag libreoffice-3.5.0.0 (3.5.0-beta0)


2011-11-28  Caolán McNamara  <caolanm@redhat.com>  [f563c10b5bb6795974ad32f7912a9f736941daef]

ByteString->rtl::OUStringToOString


2011-11-28  Caolán McNamara  <caolanm@redhat.com>  [fbcf1bc0d7fc30bdd287fe284ec6fae0ac7408be]

aStr is unused


2011-11-28  Caolán McNamara  <caolanm@redhat.com>  [e6484baf4a93cb6827c0038da38a9745e616e44a]

GetToken->comphelper::string::getToken


2011-11-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [df271a4262d1da4f921e15671977b4d435df214b]

clean-up PCH support remnant from binfilter


2011-11-24  David Tardon  <dtardon@redhat.com>  [2fcbe65d37c7cdee6ff504810106e50e0e0026ee]

gsl_getSystemTextEncoding -> osl_getThreadTextEncoding


2011-11-23  Caolán McNamara  <caolanm@redhat.com>  [1761e9c96eb2d673d77712c840a51c2679d169f1]

remove EraseLeadingAndTrailingChars


2011-11-23  Stephan Bergmann  <sbergman@redhat.com>  [74de99e98d3b5ef5df0717debc70e2b33da43ea9]

Changed sal/log.h -> sal/log.hxx, drop _S from C++ streaming log macros.

A compile time check ensures the common case of streaming just a plain
C-style string literal still produces reasonably compact call-site code.
The format-string variants are still available in sal/detail/log.h, but
only to be used in obsolete osl/diagnose.h etc., and going to be removed
again eventually.

2011-11-22  Caolán McNamara  <caolanm@redhat.com>  [8e457595bea4ebccafc71c8ce71bc19696d70c40]

use stripStart


2011-11-22  Caolán McNamara  <caolanm@redhat.com>  [1318e3ab271d62a2dc1ff2691b836c3b6da9a2de]

use stripStart


2011-11-22  Stephan Bergmann  <sbergman@redhat.com>  [fd3abe7a85c883cc8ecbfdd2403256d4cebd7c10]

Fix --disable-dbgutil --enable-werror failures.


2011-11-22  Stephan Bergmann  <sbergman@redhat.com>  [d45d5ee81e3d3f1779774af3f400ce3f1aa6697d]

New sal/log.h obsoletes osl/diagnose.h and tools/debug.hxx.

* New SAL_INFO..., SAL_WARN... macros.
* New SAL_STREAM supersedes OSL_FORMAT.
* oustringostreaminserter.hxx moved from unotest to rtl (and always UTF-8 now).
* TODO to enable GCC __attribute__((format)) in sal/log.h (requires call-site
  cleanup).
* Further functionality in tools/debug.hxx (DBG_MEMTEST, DBG_CTOR, etc.) not yet
  addressed.
* Some replacements tools String -> rtl::OUString.

2011-11-21  Eike Rathke  <erack@redhat.com>  [7085c55b78d0346197feb964d124565436121d11]

OUString has no Len(), use !isEmpty() here


2011-11-21  Stephan Bergmann  <sbergman@redhat.com>  [37dd9a00cfb13825b9f3dfd6683db66b8aa84d09]

Fix --enable-debug --disable-dbgutil.


2011-11-21  Caolán McNamara  <caolanm@redhat.com>  [7ed11d215072e770cdf9b67eb576abb88d73ac5e]

fix build error


2011-11-20  Caolán McNamara  <caolanm@redhat.com>  [d0837b4ea0d9d97e5fbaef3109f27cc110fca8d5]

ditch last ENABLE_STRING_STREAM_OPERATORS


2011-11-19  Caolán McNamara  <caolanm@redhat.com>  [76849d6d3d1ef1e725eda5cfca8ef34b34e742a4]

remove ENABLE_BYTESTRING_STREAM_OPERATORS


2011-11-19  Caolán McNamara  <caolanm@redhat.com>  [9b3d4aaf4fd25ee4866930b46d828f6aaec00d84]

remove [Byte]String::EraseAllChars


2011-11-19  Norbert Thiebaud  <nthiebaud@gmail.com>  [0612182d6669ae7eefcd043db19e2b7cd19a1841]

fix XCalendar/2 issue following genetive-month patch series


2011-11-19  Michael Stahl  <mstahl@redhat.com>  [da4705764d8192f5ee2a02fe19fd31d5ebf955bd]

binfilter: move dynary.hxx from tools here

should fix breakage from 89a783cde071d63120bfa63768b4680dd2e58fee

2011-11-18  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [28b2bf8f375fa16587ba32e489480174f510dde1]

another fix for --as-needed


2011-11-15  Caolán McNamara  <caolanm@redhat.com>  [861a197b7ff1dab44c7fe31a8b491a3c591a8ed5]

move UniqueIndex into binfilter


2011-11-15  Caolán McNamara  <caolanm@redhat.com>  [f80b2b48f90a91661b7eb366b994dd651399c93b]

Application::CreateUniqueId only need by binfilter, move content here


2011-11-14  Stephan Bergmann  <sbergman@redhat.com>  [5d038379f98a0b0d636c84bb4414c410bc12771d]

Removed comphelper -> unotools processfactory.hxx duplication.


2011-11-11  Stephan Bergmann  <sbergman@redhat.com>  [533e3c648db45ba7c7804928a5759e2b60fdb9a2]

Heavily simplified utl::ConfigManager.


2011-11-10  Michael Meeks  <michael.meeks@suse.com>  [0bc4ff444d1c233f5f3a75979384cb90b73a39b6]

cleanup list length mismatch


2011-11-10  Caolán McNamara  <caolanm@redhat.com>  [c6c92c26bf4aeee6757a03a84d0c164c395432b2]

removed Simple Handles option (binfilter)

Removed the unnecessary option "Simple Handles" with all related
functions and variables.

2011-11-07  Caolán McNamara  <caolanm@redhat.com>  [4cb1bac47d10c533ca59318612b6fcd0f3503753]

WaE: uninitialized


2011-11-02  Stephan Bergmann  <sbergman@redhat.com>  [82728f114d1f9f7b20f0c2e0e054cd2504a59b50]

Some minor clean up.


2011-11-01  Caolán McNamara  <caolanm@redhat.com>  [dd5f2dfdb57e4cc5fc74699b69c0e5084af16c3f]

add plausible test skeleton


2011-11-01  Caolán McNamara  <caolanm@redhat.com>  [039073c7555afc205b322b0cf4e8fafe3b99833d]

tweak to be potentially in-place testable


2011-11-01  Caolán McNamara  <caolanm@redhat.com>  [f5067c951203d96ac5f3f6d378f081a8aec35e27]

use MediaDescriptor to add a stream if only got a URL


2011-10-31  Caolán McNamara  <caolanm@redhat.com>  [cdc7c38a517c4116ef27c4e1734fd3d30464ecc0]

catch by const ref


2011-10-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [522e9fe9e46e52f4c7ac48858ee6cd82a2e0eb48]

remove unused SfxObjectVerbsControl class


2011-10-25  Caolán McNamara  <caolanm@redhat.com>  [c60ac253ae83a74186033f0abc87b57bb4e4823d]

INPUT_MOUSEANDKEYBOARD->VCL_INPUT_MOUSEANDKEYBOARD


2011-10-24  Stephan Bergmann  <sbergman@redhat.com>  [e8c71c5ae20d33f8aa3bf67296b71c955fd11b34]

Removed erroneously pushed debug printfs.


2011-10-22  Joseph Powers  <jpowers27@cox.net>  [a8230c23ef7021d153a5281e3e071934a8b5042d]

Cleanup class ImpEditEngine a little


2011-10-21  Stephan Bergmann  <sbergman@redhat.com>  [910838ecc9e64e89ebc0519dc3524824a687a3a6]

Adapted to renamed VCL_INPUT_KEYBOARD.


2011-10-21  Stephan Bergmann  <sbergman@redhat.com>  [a7ba481a04be4c05ea17d6fbdf200a61e04550ab]

Some more warning cleanup.


2011-10-21  Stephan Bergmann  <sbergman@redhat.com>  [eabff82441147285032c342b03ac54feb6b2e87f]

Undo basis/brand split: Move SDK and ure-link, remove OOO_BASE_DIR and BaseInstallation.


2011-10-21  Joseph Powers  <jpowers27@cox.net>  [11918eca191a915d84a2efffe22c4243476b4ebe]

More cleanup in bf_svx


2011-10-21  Caolán McNamara  <caolanm@redhat.com>  [86db50edeee1d556f993589da73140582789ef42]

Fix regression on rsc/doku examples

Mirror the xmloff code into binfilter, appears to be the original
intention post-95cc316cb6e0c6bee57b78eba15c9e7b26ffe595

2011-10-19  Stephan Bergmann  <sbergman@redhat.com>  [947bf6033e0ffa4cef319fea47e3f2fcf4d4e68e]

Undo basis/brand split: moved .rdb files from basis program/ to brand program/ (merging the two services.rdb files).


2011-10-19  Joseph Powers  <jpowers27@cox.net>  [51dd983e772b50c1ed2677ec81a52b7634ce0cb4]

Cleanup PaM related code a little.


2011-10-19  Stephan Bergmann  <sbergman@redhat.com>  [7d581bcbce7fdbe4ded9b5dc4e127f25a23ac0e2]

Simplified comphelper::OSequenceIterator and its uses.


2011-10-17  Caolán McNamara  <caolanm@redhat.com>  [e916bf90a681dcf3a69645f1344c47db1a30a9bb]

can remove svddrag.*


2011-10-15  Caolán McNamara  <caolanm@redhat.com>  [558ce7360fdcf15b74da7bd6d76e4075a4441f11]

check for short and busted streams and initialize values


2011-10-15  Stephan Bergmann  <sbergman@redhat.com>  [61a94140d55feca593ba6a85984d40678f9de2ac]

Some more warning cleanup.


2011-10-12  Joseph Powers  <jpowers27@cox.net>  [28155a169d6b6cd007838ffcfa1b784bedd2d56b]

WriteData(), PreSave(), & PostSave() didn't do anything.


2011-10-12  Joseph Powers  <jpowers27@cox.net>  [fa0f14006f14a982398a94ece12a49595f9f3da6]

Cleanup classes SdrGrafObj & SdrObjGroup


2011-10-12  Joseph Powers  <jpowers27@cox.net>  [3218e3cbc7649900e8c9cd9317b93a7a2968a60a]

Do a little cleanup on class SdrPaintView


2011-10-12  Joseph Powers  <jpowers27@cox.net>  [ff579a469fe1308a541317921e9ed5d5eea50360]

More cleanup of bf_svx


2011-10-12  Stephan Bergmann  <sbergman@redhat.com>  [9ad58b9ef3d72e55c53bcf6f0db66613b6a8b3dd]

Some more warning cleanup.


2011-10-11  Joseph Powers  <jpowers27@cox.net>  [d9a0c7be2e98f011554f88107a1867a9a8e60acf]

More Cleanup of bf_svx

I ran through the .hxx list and found a lot of them there where never
#included. so naturally I just deleted them.

I also cleanup up class SdrObject a little.

2011-10-10  Caolán McNamara  <caolanm@redhat.com>  [2a11056a9a4e33d39c15184f54d47b0886d45308]

callcatcher: freshly unused code


2011-10-10  Caolán McNamara  <caolanm@redhat.com>  [6d2ec30dd9063e3876428444c27a9e683d7f8925]

callcatcher: newly unused methods


2011-10-10  Caolán McNamara  <caolanm@redhat.com>  [c4c8d1453c8a84a23ed6fd4540e3817b6d432ab4]

WaE: mirror in fix here


2011-10-10  Joseph Powers  <jpowers27@cox.net>  [184b91bc311b5d518215c106b0590bcc84b71ccf]

Cleanup class SdrDragView a little


2011-10-09  Caolán McNamara  <caolanm@redhat.com>  [026171e8328ef0fb4443a12b63144ea7f63913eb]

WaE: unused arguments


2011-10-09  Caolán McNamara  <caolanm@redhat.com>  [94e898e5693c85a81288ad37720229efb2ba74a5]

callcatcher: newly unused methods


2011-10-09  Caolán McNamara  <caolanm@redhat.com>  [e1f001081a9b9e5f6aa18e8ea100b8c002d196ec]

callcatcher: newly unused methods


2011-10-09  Joseph Powers  <jpowers27@cox.net>  [c7f3926002fb886a5319cb45462d535baf5ac104]

Cleanup class SdrMarkView


2011-10-09  Stephan Bergmann  <sbergman@redhat.com>  [135699d02d217bb56638c1252e2cd483477aec9e]

Some more warning cleanup.


2011-10-08  Joseph Powers  <jpowers27@cox.net>  [a732e64c4fa9463c5f7fba9f7690bee496f2a54e]

More DBG_BF_ASSERT cleanup in bf_svx


2011-10-06  Joseph Powers  <jpowers27@cox.net>  [8fd4c147c5e2432a646dcfb11980bbb6d628ef92]

Some DBG_BF_ASSERT cleanup in bf_svx


2011-10-06  Joseph Powers  <jpowers27@cox.net>  [cdc51fd46746e0cffe3cb737db459fb145627f83]

Remove the rest of the W4W source

If we don't ship the W4W drivers and you can no longer select any of the
W4W filters, I don't see a need for for the code that allows you to load
and use the W4W drivers.

2011-10-05  Caolán McNamara  <caolanm@redhat.com>  [77a5252ba25e5106ba6629b0ae729534d0463fc5]

WaE: unused variables


2011-10-05  Caolán McNamara  <caolanm@redhat.com>  [a23429dbada39402cc45aa2a30244a50bd19f288]

we don't have the W4W filters


2011-10-04  Joseph Powers  <jpowers27@cox.net>  [4a8c673c912bdb38f2d17325aa1f4d078da47cc0]

The last of the easy DBG_BF_ASSERT from bf_sch


2011-10-04  Joseph Powers  <jpowers27@cox.net>  [c4f33e6da3e1370d7fed705594d99a567baea5ea]

Cleanup the #if a little


2011-10-04  Caolán McNamara  <caolanm@redhat.com>  [6b3760f186b3219ae8ee2940c2fdf0e01d219227]

WaE: new warnings


2011-10-04  Joseph Powers  <jpowers27@cox.net>  [ed0a113489adcbfbb881583167f07987797b300f]

DBG_BF_ASSERT cleanup for bf_sch


2011-10-04  Caolán McNamara  <caolanm@redhat.com>  [75e468669cfe7553c4521f94e68f5ebd7272825d]

SvByteStrings can go from here too


2011-10-04  Stephan Bergmann  <sbergman@redhat.com>  [67db757ab744cbea949e64b94c0162b10ef985f3]

Some more warning cleanup.


2011-10-04  Caolán McNamara  <caolanm@redhat.com>  [ef7777cf85f637bcd7568cacbf6b3ca3c468568d]

WaE: unused parameters


2011-10-03  Joseph Powers  <jpowers27@cox.net>  [e2ce76b46b913ed3a675bc5c418ba1723f7a09e2]

The last of the easy DBG_BF_ASSERT() in bf_sc


2011-10-03  Joseph Powers  <jpowers27@cox.net>  [9d96d8667be6d1e6048a29bc9ea314bc469a7f73]

Cleanup of classes ScColumn & ScDocument


2011-10-03  Joseph Powers  <jpowers27@cox.net>  [2d753aa71dd62e9542c5f675464ed127aa6564ca]

More DBG_BF_ASSERT cleanup in bf_sc


2011-10-02  Caolán McNamara  <caolanm@redhat.com>  [2a1ec70ac3eaa4000f1d8549257ed8a97a9281ef]

WaE: ditch unused args


2011-10-02  Joseph Powers  <jpowers27@cox.net>  [7cb861abf2f817eefd5ca4435639182fe477a095]

Cleanup class ScChartListenerCollection


2011-10-02  Joseph Powers  <jpowers27@cox.net>  [4ba38b62e9dd88e2921564030faf7c3181ff7fcd]

Cleanup class ScDBDocFunc a little

Please note that GetSubTotalParam(), GetAdvancedQuerySource(),
GetQueryParam(), GetSortParam() have no side effects.

2011-10-02  Joseph Powers  <jpowers27@cox.net>  [c49dde7cea0c533da696752a064213c2d091e834]

Class TypedStrCollection is not really used, so I'm deleting it.

Plus some miscellanous DBG_BF_ASSERT cleanup.

2011-10-01  Caolán McNamara  <caolanm@redhat.com>  [ac06bd7af0ce009e81a03c870e5d5b4f31952b68]

WaE: unused variables


2011-10-01  Joseph Powers  <jpowers27@cox.net>  [d6f49ab273c7f559d5c89abe38c0c1e3f0e5c239]

Some more cleanup

ScDBCollection::GetDBAtArea() is always NULL
thus ScDocument::GetDBAtArea() is always NULL
thus I could delete a lot of code.

ScDetectiveFunc::InsertObject() does nothing; so don't call it.
ScDBCollection::UpdateReference() also does nothing so don't call it.

2011-09-30  Stephan Bergmann  <sbergman@redhat.com>  [db7e0234234985b9ecbc89f6fdf3d55178e562e8]

Some more warning cleanup.


2011-09-30  Joseph Powers  <jpowers27@cox.net>  [c3da14bec375da1a2e41407bc99cb25d9edc4b17]

The whole SwPamRanges stuff is read only so dump it

We never store anything in the SwPamRanges stuff; nore do we use the
SwPamRange class for anything. Thus, it should be safe to just dump it.

2011-09-30  Joseph Powers  <jpowers27@cox.net>  [1b72feff42c38cee2a51442dba8af657c70bb89c]

Remove one of the two editsh.hxx files


2011-09-30  Joseph Powers  <jpowers27@cox.net>  [2a405ba42b292ca0a67d34de630afacc71950c1a]

Some simple DBG_BF_ASSERT() cleanup


2011-09-30  Joseph Powers  <jpowers27@cox.net>  [edc6d3d9e4b83da913aa3656bec3fe62a8a4af83]

Remove DBG_BF_ASSERT


2011-09-30  Joseph Powers  <jpowers27@cox.net>  [55c72b1befc36ccf4b9d72d2a6df343e8f2a6d7c]

Remove class ScOutlineDocFunc


2011-09-30  Stephan Bergmann  <sbergman@redhat.com>  [2eb0740ae4f2e43049fc8745dacd34344f0678b1]

initial .gitignore


2011-09-30  Caolán McNamara  <caolanm@redhat.com>  [0c03414aa6fa4eb691b280679af9f92a18dc43ac]

callgrind: remove newly unused code


2011-09-29  Caolán McNamara  <caolanm@redhat.com>  [c6a8c64cfedc1a062060fb604aea0b60b2cd9238]

WaE: various windows warnings


2011-09-29  Caolán McNamara  <caolanm@redhat.com>  [48fb6d55281fb5d4054832987495967f55acdef4]

ByteString->rtl::OStringBuffer


2011-09-29  Caolán McNamara  <caolanm@redhat.com>  [5afb49253d21b6d11b106dd467f3e101371002d4]

object is unused


2011-09-29  Caolán McNamara  <caolanm@redhat.com>  [fcd2cd121d87327710697ace46b4b3b3ebab2d35]

mirror changes in here


2011-09-29  Caolán McNamara  <caolanm@redhat.com>  [a6deb105bd4733763cc2f1280f3add2fee3ff065]

ditch W4W filter support

The W4W filter was a third party filter, only available in binary format,
for Windows, Solaris (partially IIRC), and maybe Linux (pic issues if it
was). It was only available for StarOffice, so hauling around support for
it doesn't gain us anything anymore.

2011-09-29  Stephan Bergmann  <sbergman@redhat.com>  [2a1f2dc8b3e1d0a7fc468f6c25a18d7fc2baccee]

Some more warning cleanup (Mac OS X).


2011-09-28  Joseph Powers  <jpowers27@cox.net>  [926ba3b5313dd0deffbff8e567712aff03f6ac76]

Remove some unused code.


2011-09-28  Caolán McNamara  <caolanm@redhat.com>  [202a9283867098048cbe5fe584438299bc47305a]

callcatcher: newly unused methods


2011-09-28  Stephan Bergmann  <sbergman@redhat.com>  [d88e64fa42456362081a675ea2fd7144e2d85b95]

Some more warning cleanup.


2011-09-28  Caolán McNamara  <caolanm@redhat.com>  [90788ac6a6b491542708c074832b66a49b701ccd]

callcatcher: SwCache::Flush unused


2011-09-27  Joseph Powers  <jpowers27@cox.net>  [04687fbf4b7e79c52cd6e8b1bacaa0bfd949527f]

Remove the last of the easy DBG_BF_ASSERT()s in bf_sw


2011-09-27  Joseph Powers  <jpowers27@cox.net>  [a95a5f9cececfbe46d8325c03ddb5a23565ff03d]

More DBG_BF_ASSERT cleanup in bf_sw


2011-09-27  Joseph Powers  <jpowers27@cox.net>  [098117688a2df1fb0c86c4851d2e342768779190]

More DBG_BF_ASSERT cleanup


2011-09-27  Stephan Bergmann  <sbergman@redhat.com>  [34c2ec87db4b6962ded661157056c58163e39821]

Removed uses of rtl::O[U]String[Buffer]::operator sal_{char|Unicode} const *().


2011-09-27  Caolán McNamara  <caolanm@redhat.com>  [08f5cda4a6c8ef2b3084156ed60a588bf007cbce]

callcatcher: newly unused code


2011-09-26  Caolán McNamara  <caolanm@redhat.com>  [097519ecf53e5be95245b3678552726041fb0004]

ditch out of date debugging stuff


2011-09-26  Stephan Bergmann  <sbergman@redhat.com>  [4fa095b0b481ae568275d94cf2826a5fe001c658]

Some more warning cleanup.


2011-09-25  Joseph Powers  <jpowers27@cox.net>  [13dd8be8ee5996a288237805b27f5d0ab6f0f7f3]

More DBG_BF_ASSERT cleanup in bf_sw classes


2011-09-24  Joseph Powers  <jpowers27@cox.net>  [2114fa21c23cada7a919f1a47c4823ca3520c076]

Some more DBG_BF_ASSERT cleanup in bf_sw classes


2011-09-24  Joseph Powers  <jpowers27@cox.net>  [538df0620f1fd9c01022a6437b6373e3d77ccd2a]

Remove DBG_UTIL's PROTOCOLxxx macros. They don't work anyways.


2011-09-24  Joseph Powers  <jpowers27@cox.net>  [43ec5ac160a9815387ee96e9e1ed9b08a55d2224]

More DBG_BF_ASSERT cleanup in bf_sw classes


2011-09-23  Caolán McNamara  <caolanm@redhat.com>  [1c0819b2ae55405add198e8de44a3b716d8ba127]

callcatcher: freshly unused code


2011-09-23  Caolán McNamara  <caolanm@redhat.com>  [21eb5cb817082d46491cea84fd3b82a3931a6a52]

callcatcher: remove newly unused methods


2011-09-22  Caolán McNamara  <caolanm@redhat.com>  [c56b83c027e6edb681067fd2bffc75ffb4e58c28]

chop out unused arguments


2011-09-22  Caolán McNamara  <caolanm@redhat.com>  [134ed682a4538bf14e82ac7d83b949bc0da73da3]

WaE: fix new warnings


2011-09-22  Caolán McNamara  <caolanm@redhat.com>  [0e3e1fa165680e7cd21cfe12371c213e4202f8c6]

just silence the auto_ptr deprecations in isolation


2011-09-22  Joseph Powers  <jpowers27@cox.net>  [38b105497dac1ff7c523744a02a6a9be18fa9de2]

Move some virtual metheds to the class to make cleanup easyer latter.


2011-09-22  Joseph Powers  <jpowers27@cox.net>  [8b104cde950696d1b334f0f68c297c8467f59a5a]

More DBG_BF_ASSERT cleanup in bf_sw classes


2011-09-21  Joseph Powers  <jpowers27@cox.net>  [ea64cb67101f813e6d9a301e1776efade8b8eedd]

Move DBG_BF_ASSERT cleanup of bf_sw classes


2011-09-21  Caolán McNamara  <caolanm@redhat.com>  [c07240c625b45f46eeed052f87a8c7fb99dd1897]

WaE: remove new unused variables


2011-09-21  Joseph Powers  <jpowers27@cox.net>  [819cb5a2b9e57f6308ebdda7782d9b23493cd897]

More DBG_BF_ASSERT clean in bf_sw classes


2011-09-21  Caolán McNamara  <caolanm@redhat.com>  [06c331ea0a07a248383075a3f75bf27d001ae8f2]

callcatcher: remove newly unused methods


2011-09-20  Joseph Powers  <jpowers27@cox.net>  [1b94742492067c23500c083b76fe7426cc877362]

Some more cleanup of bf_sw classes


2011-09-19  Caolán McNamara  <caolanm@redhat.com>  [08e4dea45941c961e5f1625c1d6f07bc2d9662f4]

callcatcher: remove freshly unused code


2011-09-19  Caolán McNamara  <caolanm@redhat.com>  [23f135dfd2d6631322286697f052c38af319f815]

port over the non-binfilter fix here


2011-09-19  Caolán McNamara  <caolanm@redhat.com>  [71369004e4ebe19532c33b98a694d023d5fa4ef4]

mirror non-binfilter change in


2011-09-19  Caolán McNamara  <caolanm@redhat.com>  [bbd3255c11414295f61461d85f4c154dd985d240]

ditch ByteString::*Buffer*


2011-09-19  Stephan Bergmann  <sbergman@redhat.com>  [49737cfe9cb2b04aad2d041ba31241f2f117f910]

Some more warning cleanup.


2011-09-18  Joseph Powers  <jpowers27@cox.net>  [248a786dc8394bed84b2f617b5ea1efb27b36e84]

Currently you can only compile MacOSX using GCC 4.0; remove <3 code

Plus the gcc_outl.cxx file is missing so it wouldn't work anyways.

2011-09-18  Joseph Powers  <jpowers27@cox.net>  [899c4e04cd45d4b0174af04c45070d74392e446d]

Some more DBG_BF_ASSERT cleanup in bf_sw


2011-09-18  Stephan Bergmann  <sbergman@redhat.com>  [9636dc9259c154a1f38070831b18354b34b874a4]

Some more warning cleanup.


2011-09-18  Joseph Powers  <jpowers27@cox.net>  [2af0a0f5c916bec19f9ef2273e7e0a9fb0fa99a9]

SwFrm::GetShell() is always NULL; also deleted some unused classes


2011-09-18  Joseph Powers  <jpowers27@cox.net>  [254afcd1bb7e90ba4177f61e84e3de380f78bcbd]

Some more cleanup of SVX classes


2011-09-17  Caolán McNamara  <caolanm@redhat.com>  [9a1321f25cb60f1d2605136124acd912a2ebe4e8]

ByteString::Expand->comphelper::string::padToLength


2011-09-17  Caolán McNamara  <caolanm@redhat.com>  [b6d69159654e4a52502ccc899196ddd081344692]

first branch of second if cannot be taken as first if rules it out

correspondingly reduce to logically equivalent code

2011-09-16  Caolán McNamara  <caolanm@redhat.com>  [d7c2e1c96df02cc99c5b7608fd9b79d31411d7d8]

callgrind: remove freshly unused methods


2011-09-16  Caolán McNamara  <caolanm@redhat.com>  [2b7bf93b43fb6f4d8e7431562a5ed76c9c80fe47]

callcatcher: this can go


2011-09-16  Stephan Bergmann  <sbergman@redhat.com>  [aeeba938d4c020221f42a53fed1a2e3a75ec85f8]

Some more warning cleanup.


2011-09-15  Joseph Powers  <jpowers27@cox.net>  [231519e5949a5d77e402e5751186bb2e74977627]

More cleanup of DBG_BF_ASSERT() from svx classes


2011-09-15  Stephan Bergmann  <sbergman@redhat.com>  [7a4980ae580ba7abc4f0443058ef6a831b7faa29]

Some more warning cleanup.


2011-09-14  Joseph Powers  <jpowers27@cox.net>  [ef3be94313da90d0333fda4e958fdfecd65575a8]

Cleanup of DBG_BF_ASSERT() in bf_svx


2011-09-14  Caolán McNamara  <caolanm@redhat.com>  [cca575c26d0ed1282524037e47a12c701d746bbe]

WaE: keep this warning free


2011-09-13  Joseph Powers  <jpowers27@cox.net>  [295520646736ab372347b1f9e3c2585920af6452]

Cleanup DBG_BF_ASSERT() in svx_dialog classes


2011-09-13  Joseph Powers  <jpowers27@cox.net>  [1ae724877fe4b08ee680565d90d4dcb91affcd3d]

Cleanup of DBG_BF_ASSERT() in bf_starmath


2011-09-13  Joseph Powers  <jpowers27@cox.net>  [f085839aed2bd0be43c559a8057f661f4e58808e]

I missed some DBG_BF_ASSERT()s in sfx2


2011-09-13  Caolán McNamara  <caolanm@redhat.com>  [d9af1289f6e0b52815e4eea8889e37aa43735275]

WaE: assume its right


2011-09-13  Caolán McNamara  <caolanm@redhat.com>  [d051ac1cfe0404cf38311e10557774e7ec141542]

replace ByteString::Convert


2011-09-13  Caolán McNamara  <caolanm@redhat.com>  [738a24fcc91a8c1227c276f219bba8bd7a787c9d]

I believe the src charset pragma is archaic and unused


2011-09-13  Caolán McNamara  <caolanm@redhat.com>  [a193c552cb52d68cfb601f9ce0f3cb4b61279f53]

ScDocument::GetNextPos doesn't do anything


2011-09-13  Caolán McNamara  <caolanm@redhat.com>  [269c9b3e356a403ce58b1dbe342c978be8ec350b]

ApplySelectionFrame doesn't do anything


2011-09-13  Caolán McNamara  <caolanm@redhat.com>  [67b47958384eb7ed849252d4d22fa1f355f9ef85]

CreateQueryParam is always false


2011-09-12  Stephan Bergmann  <sbergman@redhat.com>  [3c0d149746da1756634ce833f49b86a5a208365b]

sb140: #i117698# no implementations of XIdlClassProvider remain, so code that checks for it can be removed


2011-09-12  Stephan Bergmann  <sbergman@redhat.com>  [95cc316cb6e0c6bee57b78eba15c9e7b26ffe595]

sb140: #i117310# remove unnecessary dependency on XTypeProvider::getImplementationId

plus
sb140: #i117310# binfilter uses EXCEPTIONS_OFF, so no UNO_QUERY_THROW

2011-09-12  Caolán McNamara  <caolanm@redhat.com>  [2594e3ad1b187a15bb2845f2297c3611cd76ffb2]

UpdateOutlineCol is always false


2011-09-12  Caolán McNamara  <caolanm@redhat.com>  [53fc9a498afbce451a9885cffd0953e1489a1dc7]

remove freshly unused methods


2011-09-12  Caolán McNamara  <caolanm@redhat.com>  [f0a54b4d565af1ee9704b97fb208b74b196a592e]

WaE: fix this up to be warnings free again


2011-09-12  Caolán McNamara  <caolanm@redhat.com>  [fdb5007fc0d4f6e55972a294563e28249159f8da]

unused stuff


2011-09-11  Joseph Powers  <jpowers27@cox.net>  [47ac39f2006075016ef55249ab561f8dc037e3f2]

The last of the SFX2 cleanups

The rest of the DBG_BF_ASSERT()s are used in virtual methods; someone needs
to review the method and make sure that it's not used by any of the other
classes and then remove it.

2011-09-11  Joseph Powers  <jpowers27@cox.net>  [b6f6d1a3043bd0a2fe49a9b8a2af3e0842f59ada]

Misc cleanup of DBG_BF_ASSERT() in bf_sfx2


2011-09-10  Joseph Powers  <jpowers27@cox.net>  [dd253b5037f2d43d3b8adafb8db34702c9a2a901]

Cleanup of misc ui classes


2011-09-10  Joseph Powers  <jpowers27@cox.net>  [747460af5452d695c6adcce8501559cde06128b1]

Cleanup of class ScTable


2011-09-10  Joseph Powers  <jpowers27@cox.net>  [e8589143af58ab9e4e19ddec7afcf9af3dc79917]

Some more DBG_BF_ASSERT() cleanups


2011-09-09  Joseph Powers  <jpowers27@cox.net>  [5646d8eedbc5a0baefa5054584ac6ba51caaf3df]

Cleanup of classes ScDPObject & ScDPCollection


2011-09-09  Caolán McNamara  <caolanm@redhat.com>  [3a6099fe94a64483c7d4b281f15c2f3baf0db912]

WaE: remove newly unused variable


2011-09-08  Joseph Powers  <jpowers27@cox.net>  [e19ef0dff2b4288073deb95269bfe7dbf2eb3a8a]

Minor cleanup of the ScFormulaCell & ScBaseCell classes


2011-09-08  Joseph Powers  <jpowers27@cox.net>  [872daba66c4be77c9df9d6fe6a1c501abe087d04]

Hopefully this is the last of the cleanups for class ScDocument for now.


2011-09-08  Caolán McNamara  <caolanm@redhat.com>  [410cf282ecf2f936e6627971b34fd54a9933885f]

WaE: remove newly unused variables


2011-09-08  Joseph Powers  <jpowers27@cox.net>  [872889fa2910c35bb71b3dc5fef8c2e7eb371d5b]

More cleanup for class ScDocument


2011-09-08  Joseph Powers  <jpowers27@cox.net>  [03e38045910ffa51af82d9f34e338227d554a450]

Remove some constant methods from class ScDocument


2011-09-08  Joseph Powers  <jpowers27@cox.net>  [9990f287a8fb07638299110d1b7ad56f99e238b4]

Some easy DBG_BF_ASSERT(0, "STRIP") cleanup


2011-09-08  Caolán McNamara  <caolanm@redhat.com>  [d4f4c1c4a328b7e0f2227687af589d7876975bc6]

add back in unused ctor in order to have something for now


2011-09-07  Caolán McNamara  <caolanm@redhat.com>  [a0767ffd085b6bc57e4ebbe74339b6fa1097929e]

remove inlines, expand FALSEs


2011-09-06  Caolán McNamara  <caolanm@redhat.com>  [85ea9bf68e1d57dd088978349246b9433c0fa87e]

callcatcher: expand and remove


2011-09-05  Joseph Powers  <jpowers27@cox.net>  [8ad34e0aa04042a57ef6f3bdf3e16a713c746cf4]

It seams that class SwRedlineExtraData isn't actually used.


2011-09-05  Caolán McNamara  <caolanm@redhat.com>  [cfbdb2498b255653d3bf9fbf5c07f77d2689c4a6]

another round of unused methods


2011-09-05  Caolán McNamara  <caolanm@redhat.com>  [f6c97b2001273694889c6b28a73f746fcbab2310]

various unused methods


2011-09-02  Caolán McNamara  <caolanm@redhat.com>  [3ac19d87086581a7d090f47d5ce4af3b56fbeef7]

SwLayAction is not ctored, follow consequences of that


2011-09-02  Caolán McNamara  <caolanm@redhat.com>  [26bdf812d9526af4504fbf3d5f336991fa61ef02]

remove stray includes


2011-09-01  Caolán McNamara  <caolanm@redhat.com>  [6b32a040b1581093ceedf56c1d9dd2c895ca24ed]

layouter can go


2011-09-01  Caolán McNamara  <caolanm@redhat.com>  [a8033a0be50b84d449aaae0029fe202c9810ab8b]

pLooping is always 0


2011-09-01  Caolán McNamara  <caolanm@redhat.com>  [e26e9573e2fcf737f62c95b03404e609f383a925]

drop various unused


2011-09-01  Caolán McNamara  <caolanm@redhat.com>  [dba4bbae2a0d4bdffd742a13a1d3fd5d87544a28]

another layer


2011-09-01  Caolán McNamara  <caolanm@redhat.com>  [37b94f0a743650ba1732c326ef7d46f2a80bb7c4]

another round of unused methods


2011-09-01  Caolán McNamara  <caolanm@redhat.com>  [1e9e12058cf9caf7c0b5b342a676c68594b75676]

another round of unused methods


2011-08-31  Caolán McNamara  <caolanm@redhat.com>  [dcfbcf9d754b70f8d1133b15f8bfcbc69f14cb37]

presumably uncalled


2011-08-31  Caolán McNamara  <caolanm@redhat.com>  [4c4d0a7b76ed57bc1daf97bd1fb88ee40ea0cd25]

more unused stuff


2011-08-31  Caolán McNamara  <caolanm@redhat.com>  [4839a98827765a94c281441b0d33cc1c2b229146]

next layer of unused


2011-08-31  Caolán McNamara  <caolanm@redhat.com>  [61bfa7536211559894d6dd7e1db704d6da132375]

shrink further


2011-08-31  Caolán McNamara  <caolanm@redhat.com>  [3eb3f167f7a43d58e9afe5dd9b38c1a985b32c76]

another layer


2011-08-31  Caolán McNamara  <caolanm@redhat.com>  [c8076539030725657008e7af02482218d218e3bf]

arg to GetCurrFrm is always false


2011-08-30  Joseph Powers  <jpowers27@cox.net>  [d11e8131f560420dcac791e5ef5a7afc760ddee5]

unusedcode.easy: Cleanup some of the XPropertyList based classes


2011-08-30  Joseph Powers  <jpowers27@cox.net>  [347199420512a333ed459fb2f71bf56a484d8c3b]

Remove class XPropertyTable


2011-08-30  Joseph Powers  <jpowers27@cox.net>  [3ba95e9147c3cc48102b8f9308c436303d7dcfd6]

class SvxUnoXPropertyTable doesn't need a XPropertyTable member.


2011-08-30  Joseph Powers  <jpowers27@cox.net>  [fcb5f09fccdd11148ce8e7e0c47d6010af85b362]

Remove some comments that refer to XPropertyTable


2011-08-30  Joseph Powers  <jpowers27@cox.net>  [264ab2f12455203e0b46a30519124c405796e693]

Rebase binfilter::XColorTable from XPropertyTable to XPropertyList

I'm not going to rename it like I did in core... too much work for
something we're going to kill anyways.

2011-08-30  Joseph Powers  <jpowers27@cox.net>  [fcc0d72b522742350bd5bab17475c2394db5e991]

Remove class XDashTable


2011-08-30  Caolán McNamara  <caolanm@redhat.com>  [f2188a360187f0f6f2eba095e2c1fb2cadf0a6bd]

callcatcher: strip further


2011-08-30  Caolán McNamara  <caolanm@redhat.com>  [fe495a2fba3f1ca9be31fcf571d669f9fae26eb9]

deconfuse this


2011-08-30  Caolán McNamara  <caolanm@redhat.com>  [d77fce3e84f38ea47599268be6507374c7321d18]

drop unneccessary files, etc.


2011-08-30  Caolán McNamara  <caolanm@redhat.com>  [49ab6978897d2c850cda297b61c432ae9c3bdba4]

SwCrsrShell::UpdateCrsrPos can go now


2011-08-30  Caolán McNamara  <caolanm@redhat.com>  [120868ab5b24b20a46084d3cb8bf1984bca1842c]

SwCrsrShell::UpdateCrsr can go now


2011-08-30  Caolán McNamara  <caolanm@redhat.com>  [f1e211f3ea5a49e36aeff27216eb7f4f64ee08a0]

remove dangling SwCrsrShell::End/StartAction


2011-08-30  Caolán McNamara  <caolanm@redhat.com>  [0eff027ee9b5742176754e2a0e9343643cb6d62c]

dangling EndAllAction/StartAllAction


2011-08-30  Caolán McNamara  <caolanm@redhat.com>  [ca0e24f4094009e6e27c1ff800b981b0015bcc08]

SwDoc::GetEditShell is always NULL for ret and first out arg


2011-08-29  Caolán McNamara  <caolanm@redhat.com>  [d73ce3f338187fa8035069329716450964e71812]

unused SwEditShell::ApplyViewOptions inline


2011-08-29  Caolán McNamara  <caolanm@redhat.com>  [3bae2519e1ab2af90097db6b6bc7219711c20d59]

ViewShell::ImplEndAction bIdleEnd always false


2011-08-29  Caolán McNamara  <caolanm@redhat.com>  [090a0c64cb6d95826953a36abc6bab47e2ee6d5e]

ViewShell::EndAction bIdleEnd always false


2011-08-29  Caolán McNamara  <caolanm@redhat.com>  [b199a1bc774dc3181efc3a5a3e1244fc9572577a]

bIdleEnd is always false


2011-08-29  Caolán McNamara  <caolanm@redhat.com>  [59c7bf9e8593bc204523d3405f32560d7d8278ef]

sync with api changes


2011-08-29  Caolán McNamara  <caolanm@redhat.com>  [2582881fadcc6aa2ea97331ca7370172205c4b29]

update for api


2011-08-29  Caolán McNamara  <caolanm@redhat.com>  [48833540eb368cd32fa19eeb917876e5cd815991]

track api change


2011-08-28  Joseph Powers  <jpowers27@cox.net>  [0b8264ea1daac37a37fd8b66075bf14ba248a5aa]

Remove class XLineEndTable


2011-08-28  Joseph Powers  <jpowers27@cox.net>  [fc3c5817463bb4bc634a06a4a32ca590444efca9]

Remove class XHatchTable


2011-08-26  Caolán McNamara  <caolanm@redhat.com>  [dbe380513bb8385e0af0a1340681b3ca48a46efb]

WaE: old-style nonsense


2011-08-24  Joseph Powers  <jpowers27@cox.net>  [eba1eb72670e86c2d54d47eb142f144644f62480]

Remove XBitmapTable from binfilter also


2011-08-24  Joseph Powers  <jpowers27@cox.net>  [0382e53e7dd5647045620f6e3dbae8793db9a7af]

Remove class XGradient from binfillter also...


2011-08-23  Caolán McNamara  <caolanm@redhat.com>  [364a6f07ca0f7f943ee1093fa5651fc818ba4931]

can remove this unused .cxx


2011-08-23  Caolán McNamara  <caolanm@redhat.com>  [c4814d13391188d1666dda609d11ed6b5436965a]

ditch deprecated api


2011-08-22  Caolán McNamara  <caolanm@redhat.com>  [c89797d84316851eff34455998216fbab6086efc]

GetRootFrm can only be NULL


2011-08-22  Caolán McNamara  <caolanm@redhat.com>  [3f7a74231ba10d976fa0d7dfa2ce6e66531838d2]

archaic properties that break smoketest


2011-08-22  Caolán McNamara  <caolanm@redhat.com>  [5204c6c5c592ec0088664594c5f354f32b6413e5]

entire source file and header can go


2011-08-22  Caolán McNamara  <caolanm@redhat.com>  [cfa01f5528d7add45cc117090318c398622b41c6]

get rid of trailing RegOptions spam


2011-08-21  Caolán McNamara  <caolanm@redhat.com>  [b4495e79c75a822503ad8e71fdeead52ce78295c]

various warnings


2011-08-20  Caolán McNamara  <caolanm@redhat.com>  [73e942b2ec1799e21bfcb2084c675ce6ac0ee0a5]

mirror these changes in


2011-08-19  Caolán McNamara  <caolanm@redhat.com>  [f7e3dd4efe9432f4e139c464b5af909f54bfafaf]

callcatcher: reduce further


2011-08-18  Caolán McNamara  <caolanm@redhat.com>  [508adb9d62b6e525d0bf475d3bb9e890a70520b2]

SwWrtShell cannot be constructed


2011-08-17  Caolán McNamara  <caolanm@redhat.com>  [8eb22d87ac847c9b0a4587432c5fcb2004690261]

drop various inlines


2011-08-17  Caolán McNamara  <caolanm@redhat.com>  [a87a0f9328e4af88cfd5d592def6524c8c32d4eb]

remove freshly unused methods


2011-08-17  Caolán McNamara  <caolanm@redhat.com>  [2b05103496ecc92eab354aaba8d6f727d901a1fa]

callcatcher: another round


2011-08-16  Caolán McNamara  <caolanm@redhat.com>  [17dac9a93bec655d1b02715ed67552c6d816b607]

GetRootFrm can only be NULL


2011-08-16  Caolán McNamara  <caolanm@redhat.com>  [df3fe2ab44006ca83e7d6651ffb3aba9afa51cde]

GetRootFrm can only be NULL


2011-08-16  Caolán McNamara  <caolanm@redhat.com>  [378a2b969a9a221ef898889bb651afd36b4c03af]

FindPrvNxtFrmNode can only be NULL


2011-08-16  Caolán McNamara  <caolanm@redhat.com>  [3ffd41cc7975996ab4d35b903a5321e1dca06be2]

GetRootFrm can only be NULL


2011-08-16  Caolán McNamara  <caolanm@redhat.com>  [624c09b3070ffcb1d62ca451ca73bb80e9e96caa]

callcatcher: remove some low-hanging fruit


2011-08-16  Caolán McNamara  <caolanm@redhat.com>  [962309913835cdb0db58037edf4b0c99b95f993d]

callcatcher: unused code


2011-08-15  Caolán McNamara  <caolanm@redhat.com>  [4a699382a571f8090bc1102c0a4dfeb1b0afdd21]

only needed under windows (if even that)


2011-08-15  Caolán McNamara  <caolanm@redhat.com>  [3fdcd2578faece26aad554e3ae8b04ff578cfc01]

ditch some more unused foo


2011-08-15  Caolán McNamara  <caolanm@redhat.com>  [d29613ad7586d9b98f6afc42bdc9d4f35c095ae7]

GetRootFrm can only be NULL


2011-08-14  Caolán McNamara  <caolanm@redhat.com>  [90cf8d0aa04eee5a0f794cd5be354c2b615bcbc0]

SwLayIdle cannot be constructed, remove logical consequences of that


2011-08-14  Caolán McNamara  <caolanm@redhat.com>  [859e46b9ebcb69ae114a529640b290a23222678e]

callcatcher: strip freshly unused layer of methods


2011-08-14  Caolán McNamara  <caolanm@redhat.com>  [c01caacd60a71aaa0b04072dfeb90dccaebbe06e]

ByteString::IsNumericAscii->comphelper::string::isAsciiDecimalString

shrink ByteString api, remove need for intermediate OString/ByteString
with random-ish encoding solely for check

2011-08-13  Caolán McNamara  <caolanm@redhat.com>  [56718d9b871bc2601bf10993b43ac95d5a94b59b]

SvByteStringsSortDtor is now finally gone


2011-08-13  Caolán McNamara  <caolanm@redhat.com>  [60c1a6ae0ca5877530656d9a9377c400267e85c6]

callcatcher: reduce further


2011-08-12  Caolán McNamara  <caolanm@redhat.com>  [e8f0e34b57ca1b2691140d7bb348de3d407eeb52]

a SwRootFrm cannot be constructed, follow logical consequences of that


2011-08-12  Caolán McNamara  <caolanm@redhat.com>  [15fcc2ae0ae2a86d52d78a5ea3da2b5beeea7df9]

callcatcher: remove freshly unused methods


2011-08-12  Caolán McNamara  <caolanm@redhat.com>  [b134d7e076debce58118e38d6acbd5e49d3d8bfd]

remove one of the ByteString ctors


2011-08-12  Caolán McNamara  <caolanm@redhat.com>  [d96d72d33a89817ef35e728ea1a3b203cb5100a3]

no SwPosFlyFrm can be constructed, follow logical consequences


2011-08-12  Caolán McNamara  <caolanm@redhat.com>  [97fe538d2efd0f7cc429757686f6811f53d6123c]

callcatcher: unused code


2011-08-11  Kohei Yoshida  <kyoshida@novell.com>  [b769354d56609af8e9fadeffc312dac3478cd055]

Squashed all uses of FORWARD_DECLARE_INTERFACE.


2011-08-11  Caolán McNamara  <caolanm@redhat.com>  [bca9bad67b5323992ee2b82888c257b590d8895c]

callcatcher: unused methods


2011-08-10  Caolán McNamara  <caolanm@redhat.com>  [71725e54cc9448d416e730f15656adc8672854c7]

callcatcher: unused code


2011-08-10  Caolán McNamara  <caolanm@redhat.com>  [bf7b99a8f3e01ffdc8110498f809de7c4e69e094]

move ByteString::ConvertFromUnicode into binfilter


2011-08-10  Caolán McNamara  <caolanm@redhat.com>  [82de00bd8d17a924c2800321255129986d2cc234]

callcatcher: remove unused code


2011-08-09  Caolán McNamara  <caolanm@redhat.com>  [426e25b1cf66c6b02307dabe1102a0085b44e1b1]

callcatcher: remove some unused methods


2011-08-09  Caolán McNamara  <caolanm@redhat.com>  [74fa8f88afe89eb16e6c161d892e5e192de4dd41]

throw out some more unused methods


2011-08-09  Caolán McNamara  <caolanm@redhat.com>  [31815302d9f1c211659d0f9917eaf1c1cd39e71b]

remove unused code


2011-08-09  Caolán McNamara  <caolanm@redhat.com>  [f716b5c64c500ac20363fd40e1c1c325b37a5df7]

callcatcher: remove some unused code


2011-08-09  Caolán McNamara  <caolanm@redhat.com>  [64074d26722d28b722db17ee61b7b41ff65afe6a]

drop ByteString::Convert


2011-08-08  Caolán McNamara  <caolanm@redhat.com>  [f5b8d6f88cf2b21c7b527bacef317ea94d3607e1]

callcatcher: remove various unused methods


2011-08-08  Caolán McNamara  <caolanm@redhat.com>  [5380e26297f34a5e3d58d90fc67ab2b6191d5135]

callcatcher: remove various unused methods


2011-08-08  Caolán McNamara  <caolanm@redhat.com>  [33136dc77c0196fe61b4da2e99cd4fbcfaa5809a]

move ByteString::ConvertToUnicode into binfilter


2011-08-08  Caolán McNamara  <caolanm@redhat.com>  [3185a019adfbe5da1392dcd5c9d8ceda8cfabec5]

WaE: warnings in debug mode


2011-08-05  Caolán McNamara  <caolanm@redhat.com>  [cd28a91023691b67ea0f84d87914eb638af6c2ba]

fix up wrong .cxx


2011-08-05  Caolán McNamara  <caolanm@redhat.com>  [9f1f2829bcad0f2ec3e31f6ab787ba9f3d70635b]

callcatcher: unused methods


2011-08-05  Takeshi Abe  <tabe@fixedpoint.jp>  [b24b012bd2242e03d8f1c3e17aaf945351b1e482]

Emacs modeline compatible with vim's one


2011-08-04  Kohei Yoshida  <kohei.yoshida@suse.com>  [2ed46f66e8bb4b5175be637605a1eb6af7f8acc3]

Use rtl::OUStringHash.


2011-08-04  Kohei Yoshida  <kohei.yoshida@suse.com>  [b5f9c436f120028c986e84948fb044af9ab01b21]

Use rtl::OUStringHash.


2011-08-04  Caolán McNamara  <caolanm@redhat.com>  [14f062d10e7103b3abd89c544395556e153823f0]

add another dependency


2011-08-04  Miklos Vajna  <vmiklos@frugalware.org>  [430c5de9fb4a81c4ce92ae8db5f9bf6d2c1d9752]

testrtftok: depend on writerfilter


2011-08-04  Miklos Vajna  <vmiklos@frugalware.org>  [9623dfb32b41d3ebd6383b856c190e2555d425e5]

RTFDocumentImpl::dispatchSymbol: warning fix


2011-08-04  Miklos Vajna  <vmiklos@frugalware.org>  [1694d5071ee3efbf6b87ee6a8a34fbc1976a90dd]

Merge remote-tracking branch 'feature/gsoc2011_rtfimport'


2011-08-04  Caolán McNamara  <caolanm@redhat.com>  [a849df77cb7fb81e0699fe43ccbd61d0df7bf8ea]

callcatcher: remove unused methods


2011-08-04  Caolán McNamara  <caolanm@redhat.com>  [5b0089a396bb91b4b8e0b987c57c2e602cda39c3]

callcatcher: remove unused methods


2011-08-03  Kohei Yoshida  <kyoshida@novell.com>  [9fa8e0d804edb648610b1623f2c644774e4eb3ec]

Check if the XML stream contains '<?xml' at the beginning.

If not, we'll simply bail out.  Note that this will temporarily break
type detections for those esoteric, non-XML file format types that
incorrectly depended on the XML filter detect service to detect their
format types.  To make them work again, please write a different
detection service other than the css.comp.filters.XMLFilterDetect.

2011-08-04  Miklos Vajna  <vmiklos@frugalware.org>  [ed2afe79430fe203c5dc4df17d70725399cb1892]

CVE-2010-3451-1.rtf: reduce size of this

The fix for this is in commit 9bd6527559cf12ef7b04761212e26149e1a229a7,
reverting the rtfnum.cxx part of it shows that this smaller sample tests
the issue as well.

2011-08-04  Miklos Vajna  <vmiklos@frugalware.org>  [5eb1137e8891ede66adfa3a24bc631404f120815]

add new failing test rtf files


2011-08-04  Miklos Vajna  <vmiklos@frugalware.org>  [77fba9aca01c90ecefd67e1cd755e2895f1c6c17]

testrtf: ignore dotfiles


2011-08-04  Miklos Vajna  <vmiklos@frugalware.org>  [90c1d532ee771f7e0873627e52010220d954e627]

reject files with unmatched { or }


2011-08-04  Miklos Vajna  <vmiklos@frugalware.org>  [72fa187ccdc8884ae8927045fbe9d56a24fa9aa1]

dmapper: m_xText may be null


2011-08-03  Miklos Vajna  <vmiklos@frugalware.org>  [9f36552887e60c9847f83e0b9b813d9f6ba0c1ee]

testrtftok: fix path on windows


2011-08-03  Miklos Vajna  <vmiklos@frugalware.org>  [8f0dae263d4a53389bd7c391f27b01b08ec928b8]

a control word's name cannot be longer than 32 letters


2011-08-03  Miklos Vajna  <vmiklos@frugalware.org>  [b9562d95002f0d5a33f5a5976f70ef7df92abcae]

more passing rtf test docs


2011-08-03  Miklos Vajna  <vmiklos@frugalware.org>  [6113b7e6f20a744813cf9db2f611ac11678a5cae]

fixes for CVE-2010-3333-1.rtf


2011-08-03  Miklos Vajna  <vmiklos@frugalware.org>  [294f4d15e5bd7105bed31b18c7efa7dc13344613]

fixes for CVE-2007-0245-1.rtf


2011-08-03  Miklos Vajna  <vmiklos@frugalware.org>  [b220493c578535ac62ac09c4093d7bbb94cacd73]

initial rtf unit test


2011-08-03  Miklos Vajna  <vmiklos@frugalware.org>  [de8fc8c24d81c67e06838d96552f3d58e11d20cc]

couple of null pointer checks for the unit test


2011-08-03  Miklos Vajna  <vmiklos@frugalware.org>  [90a641b3e54be4f37f63e2e92b2d129e6157501c]

the old filter does not support parsing without a destination document


2011-08-03  Miklos Vajna  <vmiklos@frugalware.org>  [f3c3fcfdfb03646de7d91dec94bbd7bca2f37eb3]

RtfFilter::filter: always do an import, unless a source document is given


2011-08-03  Caolán McNamara  <caolanm@redhat.com>  [643519bcbfe05787b3b1bda84eb68e5a52639761]

callcatcher: remove unused methods


2011-08-03  Robert Nagy  <robert@openbsd.org>  [d475499c7e1519ca94dba2b44ca69dd029f5888d]

Revert "fix: qnametostr is no cxx file"

This reverts commit f526eddfa4feaf02461b3f218eeed36e9004f948.

2011-08-02  Thomas Arnhold  <thomas@arnhold.org>  [8877f2f8c84c3bf2ee73a4d03f176752daf7bb16]

fix: qnametostr is no cxx file


2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [269617f63aa3afcac80cbc688df2f89eabfc1fd0]

add correct missing file


2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [db43ea29549520015edecea268ad87b90dd49bb3]

add missing file


2011-08-02  Lionel Elie Mamane  <lionel@mamane.lu>  [4eeba96c83e423dfe7d5796b2ad015d391175ae4]

Missing externals declarations


2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [d97f774007c6b408160bc82b9c4312ab79fa481d]

convert in one pass, rather than point by point


2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [20b877f7eec228e72fab2af9caac7a55d1f3a339]

callcatcher: remove unused methods


2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [9c44fd0eccac6a615037dce8ad45768242525618]

callcatcher: remove unused code


2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [bb33e1ea55c2b5b7f3c4a1ac9faff1e88626f5c1]

callcatcher: remove unused code


2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [a9d49fc96b099d35af034a30f5b017a6053aba9a]

ditch unused code


2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [538c11b0d682b8933b893d68e245c37491b2f85f]

ditch this


2011-08-01  Kohei Yoshida  <kyoshida@novell.com>  [f0271f582a76fb68efe38370ca2cf50c0ef42b00]

Fixed messed up indentations.


2011-08-01  Troy Rollo  <libreoffice@troy.rollo.name>  [ccbee4477db114a2e666cdac2eb61952722e21b3]

Import of xrefs to numbered paragraphs from docx

The first part of this patch adds importing of cross-references to numbered
paragraphs from docx file.

The second part provides a fix to imports of bookmarks from docx, which in
the test files I have end up importing with an empty bookmark name. The
problem is that for each bookmark, DomainMapper_Impl::AddBookmark is called
twice - once with an empty string for rBookmarkName, and once for the
string that is in the file. The fix I have used is to ensure the passed in
name is used if the bookmark has presiously been added, and the old one has
an empty string as the name. This works, but I am not sure it is correct -
I have not investigated why it is called with an empty string in the first
place.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-08-01  Troy Rollo  <libreoffice@troy.rollo.name>  [c6345534b399a56e955e6db65b93134d9d65d612]

Fix parent level count in numbering from docx

Before this patch, when importing from docx, if there were no parent
numbering levels in the number formats for outline numbered paragraphs, the
import would include all parent levels back to the second numbering level,
in the third and subsequent numbering levels.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-07-30  Tor Lillqvist  <tml@iki.fi>  [ed57bc5c8660c1249876885a56206de1ed382caf]

Add consistent Emacs and vim mode lines


2011-07-30  Tor Lillqvist  <tml@iki.fi>  [b73d03ba4c2e067c872a60d41dca91039de0236c]

We need libxml2, too


2011-07-30  Matúš Kukan  <matus.kukan@gmail.com>  [34cca4b3e911d1e0909f88db28fb40d49be7f582]

convert writerperfect to gbuild


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [cc1eaa29c01e24d55d3c8c8ad7355a1a8e6a05ae]

Merge remote-tracking branch 'feature/gsoc2011_rtfimport'


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [f823434964c283daaa133836f8a4f6a2bb53c55f]

no need to call lcl_RtfToString in product build


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [523e05c3b903c9ce5d80609d61f8ef0338f5953c]

Add initial support for the EQ field (fdo#36089)


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [52cffa52a1ff2140ea8570b26aceebc530d3f0da]

handle groups inside fldinst destination


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [5dc73eb8ce9e65c7789c270a2e72d1bd915583c4]

send cell width values in the first row only


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [541c028ef5c7cc61a9786be0e3a5456a54e5f66d]

RTFSprms::erase: use return value to signal if the call was a noop


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [6a5d4f0602805426e53656eb0df188d190834ee0]

avoid sending duplicated paragraph flags


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [c8c9e31118772a930e3fa17aca9837cb5b8cef8d]

inherit table definition from previous row if it's missing


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [5a615bd76d506b987911a86990abaa0ca4e01428]

Support table definition at the start of the row

Old writers like Word97 output the table definition there, instead of at
the end.

2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [e73167ed811730988f8eadd0d5c38bffe5ab01f1]

these are unused


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [6ccea1a7008a6d9ed6eb1afc2aa5fea3755e24cf]

these static methods are no longer needed


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [cffa4a98711753bed9c7190c400bc3fae898cb0a]

Introduce the RTFSprms class

Instead of hardwiring an ugly list in RTFParserState::Clone(), turn the
RTFSprms_t typedef to a real class with a proper copy constructor.

2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [b7201eef34458b951c58b0ac5440fb6e821f2fd8]

Introduce RTFParserState::Clone, closes fdo#36922


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [1032c42b93715d6b1bd41a120245966bd1d661f7]

Make RTFValue::Clone a deep copy

Otherwise nested attributes/sprms won't be restored when popping the
parser state.

2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [37c886b342f055092215089d883e1152b86fb80d]

RTF_SL: ignore zero parameter, that means auto, which is the default


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [c97bd619cf96f1be407c42282c48664c705aa98f]

groups inside font/style/revision tables are optional


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [c68bdb13efe55fc5ac173868de016c989f07e6cf]

Alter font/style tables earlier

Now that those tables belong to the document, no need to delay the
addition of entries.

2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [450425adab3daafd9e015e13006b0787dbc1da3f]

Move font and style table out of rtf parser state

Those tables are global, so they belong to the document, not to the
parser state.

2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [bb0563643a96aa59a1c6a84418b40833290680fd]

implement RTF_ATNAUTHOR


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [36c5b56898cd82bc1fadbcebd1349e725da0a0f1]

dmapper: handle redline authors inside annotation fields


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [4927a23a0f3f0a03b35fdae0561f044e1d19ef0b]

implement RTF_ATNDATE


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [04c6afe0ebafc4744edbfa8b0a707e2ff44c1d47]

dmapper: handle redline dates inside annotation fields


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [b663214bbdeb080f62baef8e01ec3b192e94b55d]

don't try to close the last section if it's not started


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [d5d8612367755cf53af545bad3766be63c26bcc5]

fixes for CVE-2010-3333-1.rtf


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [9a57a40c8de7a7c58479492ede9e0340ba889826]

fix for CVE-2005-2972-1.rtf


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [3c767f296e6a36292a1d603e9cb44b1f13c19c7f]

fixes for CVE-2010-3451-1.rtf


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [7f84879b86d8e9dfe9bf2c57c8cd11abba860249]

don't try to skip the header of an empty stream


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [8f10deb019c83e1c5403421148f71e9905b255c6]

skip the ole header when sending native data


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [b7381ddeb87954d81dfeab4aaa0e7eaf096d0c92]

Initial OLE object support

Size and replacement graphic already works.

2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [0f4d22e2a7bf0f78e6d97906bfd5d5153cf985f6]

teach RTFValue to deal with io::XInputStream


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [d28078f27857a85f92200ab5af82ea2e13282567]

enter object and result destinations


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [4168109e4e5fb4735d5acd5add58a215ac36f869]

implement RTF_COMMENT


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [b716dab6af821ae18fb8e4ffdb526017fe4c3dac]

implement RTF_COMPANY


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [0b56c4a6ca8790f277c2690f7b4ace2e0e08e899]

implement RTF_OPERATOR


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [7a26957b06aa296df07fa400012198d2c71fc86d]

implement RTF_VERSION


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [14599d224533068fb8914aa61054f7e322b8fed6]

implement RTF_NOFCHARSWS


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [5374b038a882c8581093af0f15dec5ffb5c86419]

implement RTF_NOFPAGES, WORDS, CHARS


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [859838cb6ec645278d2bc494d9e8a7f5601de430]

implement RTF_EDMINS


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [7b5114945dca49e57d7a4d91d88236af766b4ed2]

implement RTF_AUTHOR


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [3fc8d4422d2b97cda4143319b6684e618dc62da7]

rtftokenizer should not know about charsets


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [c8d9ff4a31941d17fceaeae01c185ca84c8328c0]

rtfcontrolwords should not know about rtfdocumentimpl


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [8f2246e009600424ac29e26e5f4f6961929c95cd]

implement RTF_PRINTIM


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [4b3eb498bb212186b33478ab85bf28877ca407e2]

introduce lcl_getDateTime


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [f57f04bd76f789c43036f15d1e64d3ac72ef02f7]

implement RTF_REVTIM


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [83ef3924b61301cd7c4611ffbfa384bd58805278]

implement RTF_CREATIM


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [62f2acc87f9b20aae0d693c65ed7b28e38b2d0c5]

introduce RTFTokenizer


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [165bdccfe113981034432fcdba1b0e28c46795a5]

introduce RTFFormFieldTypes


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [b59d821c4b46a88a74382f7e20b789ba91b8d12c]

implement RTF_FF*RES for dropdown lists


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [222eea7c7992807977657d552cf9490dda8d7667]

implement RTF_FFL


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [ef8c2645c54263fb2f5bc222fe9fed1a7a406c4a]

debug code in product build


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [6437aa48dadce09e94fe6f0a5c32ed512fbe2fc2]

implement formtext field


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [ab19e48bde91089042ed22ff9faabed0ad155bf7]

ignore formfield outside fldinst


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [dae1b7f4aa5e882a33e50edc046db3a41a2937c5]

implement RTF_FFDEFRES and RTF_FFRES for checkboxes


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [3b11d9743b89cc7bb825036ba50f8fb72b38e18e]

RTF_FFTYPE: we need it later, but not dmapper


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [e83a9d1c650fdff8ddc84637773cbdbc5a12a89c]

implement RTF_FFNAME


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [ba50096bc8e770e85eda22c4fcb812cc5da613da]

enter formfield destination


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [b1cb37760efe11e22fdb559c6ec8a70c4c3c9d1f]

dmapper: remove last paragraph of footnotes

This is the same trick as with headers/footers: the footnote always ends
with an empty paragraph, but in Writer we need to remove this.

2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [218601b25e1df3d19406968d4dfe20b7c3d6a9fb]

move drawpage handling to sdrimport


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [4a5ae11e8bf3c5f5e11bd6f2a622284fd03125de]

factor out shape import to the RTFSdrImport class


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [b8e3600a6702dffb2e78587597bd99ea929a5975]

shape type 0 is no longer special


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [81d1f3f0beb05cdb3570657f59c6db19a55fb5b4]

the scope of path properties can be reduced


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [3106b2f63b7ccbcd9c3684fab86fa9fb08b5e648]

the path property is now created independent from the type


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [000eac3d6ff2edd928e61315d8a1d01910838aca]

avoid hardwired size for path properties


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [9058681933d021a62b5ddf5ebd3c9d514e7e4b6a]

implement freeform lines


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [8fc07f37ef09aeaaacb8d9a6b45601ee79a7d6bb]

silence some pointless todos


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [8008a24ae7a6c7351750ecbac1774b649bad99e3]

implement line shape


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [9bbc98c342cfdb6a11d84b0638f75741149f8cca]

introduce method to create shape instance easily


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [abfa5bd784c35e6aa617f06bd2498a1375508b81]

dmapper: no last paragraph on shapes

Just like with headers, shapes don't have a last empty paragraph,
either.

2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [c8e38df1f342698cee8bda37b837d5de564b9c1d]

reset paragraph properties on shape start


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [fc6d4635a99a99123d3486298d6ccbf339f9efd5]

this can be handled in one go


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [d667186b4a3a665055a74e81bb49212daa6b3979]

dmapper: don't set default style for shapes, they do not support that


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [4081773e4bca886dc0c289a3c896fa822f071a1a]

give dmapper a chance to send parprops


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [a01f30d37eec87afadfccc44fbe50af20934785e]

vertical test should not be rotated


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [63e9fe882b2a6db2327f9bef6bc1ad749c931f31]

implement boolean linestyle


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [6de0242bfd31b08135269a1754b6885de740cb88]

implement vertical text


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [dba7e82ab82d028bd6c09f4a07c4ad8cee517ff5]

implement linecolor


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [0726e7d0e1a1d0db5e088eaae627473a2bb49e26]

implement fillcolor default


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [3928742c6e3320f96a77eae9c480bbc608fca37a]

add comment explaining ww8 import does the same


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [f95abe871e8cdb11236427277ac36df5dc585c96]

implement fillcolor


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [b35fc6bdc55035bbe5b83e8977ad68b2a7623179]

so far a customshape is always enough


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [019d6e20f9e92a5d5b33697b62f6c2968207d07b]

handle run properties in draw text


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [f708be1f41d4d134003f2af48c5cd0dc9cca0552]

initial RTF_SHPTXT


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [2b4be04bff14fde283bab27e21d0a940a498849c]

introduce m_pCurrentBuffer to simplify code


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [11c2dcd5d7cfa552d73c0a0290fb030952f1f20a]

introduce RTFBuffer_t


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [28a4739d27744604fd74b2111ac1741634a8a3a4]

m_nHeaderFooterPositions can be a queue


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [684b1aca8a5ed8e1c4853c6ac5ba0bc9fce022eb]

drop never read aTableCells*


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [fd891cb5f44aa84923f14837cd854f11cfb62db8]

try to import as much custom shape as possible


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [3ca58e5c911c6363be25e3fdcd23e0edcbf9ab89]

more custom shapes


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [35a9e3dfef2b62dfa4a36a2fef8cf0e81b4c792a]

first custom shape


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [2f345a81090460e7514d0b144078f2b3af0c23ba]

implement ellipse


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [86f37b009dc2a099dad76e22043e60c814d4f497]

size and position is in mm/100


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [780c6d9f3f6a47a6882519c9ddac69f9d1b8b4e5]

initial shape size and position


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [0e2c867ef341d0ced7fa35ced7e31bd30feca921]

introduce RTFShape


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [d002693a3511c8672ba72b4de2201e67a009bcff]

initial rectangle support (properties are not yet parsed)


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [bfaa592129077cf1158714c8eb92b0c516b000d6]

parse all properties before resolving pib


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [394e2cbe256235086abd8b49bfca63d53df279a3]

no need to delay the resolution of shape properties


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [43fb0c891059987872093f42579fbdb3e6b99c53]

resolvePict should know nothing about special rtf chars


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [3a1176e39ffde0bac1c6000e6a957e8046c41d73]

send initial paragraph before trying to close it


2011-07-29  Miklos Vajna  <vmiklos@frugalware.org>  [1b412e71ce6e145791ef07a10933150ae985dd6d]

implement RTF_ANNOTATION


2011-07-29  Caolán McNamara  <caolanm@redhat.com>  [5b5a07a245e14a2f01e0c1de947a8ae05e5a75df]

callcatcher: ditch newly unused code


2011-07-29  Caolán McNamara  <caolanm@redhat.com>  [0f0d4fad2e1a1af1cb776a25de7c059da2929910]

callcatcher: ditch various unused methods


2011-07-29  Thomas Arnhold  <thomas@arnhold.org>  [3b42f83c9c7bdc7c85059671b989c24f0db13088]

Get rid of these non-printable chars


2011-07-28  Jan Holesovsky  <kendy@suse.cz>  [1a428ed246a4d75a0b2320dcff2c125f8c9b7324]

Merge commit 'libreoffice-3.4.2.3'

Conflicts:
	oox/source/drawingml/chart/objectformatter.cxx
	oox/source/xls/formulaparser.cxx
	oox/source/xls/sheetdatacontext.cxx

2011-07-28  Caolán McNamara  <caolanm@redhat.com>  [f7edb854a241e5a4fdce25f0820feb9fa04cce3a]

callcatcher: ditch various unused methods


2011-07-27  Luboš Luňák  <l.lunak@suse.cz>  [3a83bf2806e9704c6f167cacb1f7112850187f9e]

remove duplicate definitions for w:sdt and w:sdtContent (bnc#705949)

The duplicates are merged somehow (and thus it doesn't work).

2011-07-27  Luboš Luňák  <l.lunak@suse.cz>  [a972619f53f0dc08d546347b8c41ef33be55d90f]

proper #ifdef for dumpXml()


2011-07-27  Luboš Luňák  <l.lunak@suse.cz>  [55706cba87afc311faac32da471c2946b9626faf]

export needed symbols from a lib


2011-07-27  Luboš Luňák  <l.lunak@suse.cz>  [a912fb332cd378614bee597c50ce2b7e756b6413]

 #if -> #ifdef for conditional compilation


2011-07-27  Luboš Luňák  <l.lunak@suse.cz>  [2295c5ead1b88eaa676fa8a3624749d016606b48]

avoid iterator retreating before the start of an empty list


2011-07-27  Thomas Arnhold  <thomas@arnhold.org>  [f0774dddd62d49a2222d5e8bdff240a974a549df]

Kill EDITDEBUG


2011-07-26  Thomas Arnhold  <thomas@arnhold.org>  [29e5af9a675426c37eec65a59275778145d4d472]

callcatcher: remove unused methods


2011-07-26  Takeshi Abe  <tabe@fixedpoint.jp>  [f03e42db7ac0957d4c7efb52f7f5a4cf7a5ee33e]

fixed typo


2011-07-26  Caolán McNamara  <caolanm@redhat.com>  [d648e3be37b73668ec367f3ff41e7ba779ddff7a]

enforce checking the return value of these


2011-07-26  Caolán McNamara  <caolanm@redhat.com>  [d373f56ce30b89018aa0a93fd977e15386e849d4]

callcatcher: ditch various unused write methods


2011-07-26  Caolán McNamara  <caolanm@redhat.com>  [8d41fd9174480e3787555e4ab0050826f84f13ad]

callcatcher: remove SwLayoutCache::Write


2011-07-26  Caolán McNamara  <caolanm@redhat.com>  [56484ed18425189cedd701b880303d93ffea8d92]

callcatcher: remove unused Write methods


2011-07-26  Caolán McNamara  <caolanm@redhat.com>  [b2c73df4dbe8ef779afac1ee66a7ba47098b6b74]

ByteString::CreateFromInt32->rtl::OStringBuffer::append


2011-07-26  Caolán McNamara  <caolanm@redhat.com>  [abfd35681ee8cba04ce8ddd136c148883d7d18c8]

fix STRING->USTRING bug hidden behind ifdef


2011-07-26  David Tardon  <dtardon@redhat.com>  [0e4f96532a764c9b734b87808d982492e546a62c]

icu libs are external


2011-07-25  Petr Mladek  <pmladek@suse.cz>  [a5ad8dfe0e989ef59867299210c6b5a59a6dd586]

Version 3.4.2.3, tag libreoffice-3.4.2.3 (3.4.2-rc3)


2011-07-25  Caolán McNamara  <caolanm@redhat.com>  [2ea8375c4c9b0984a68b0ac5fb8be2c83f83ff0e]

ByteString->rtl::OStringBuffer


2011-07-25  Caolán McNamara  <caolanm@redhat.com>  [e5ec004be7a6e8415a36f2e386358c67b5c42465]

use good() instead of GetError()


2011-07-24  Norbert Thiebaud  <nthiebaud@gmail.com>  [aeef06dc41ed7f0494ac0f714b789102f0900fd6]

typo doctoc for doctok whichprevented the proper inclusion of libxml2


2011-07-24  Norbert Thiebaud  <nthiebaud@gmail.com>  [1358a0bbf2661113f34abcb83b48bc87a0f046ed]

Oops Bjoern's link to .gitattributes got committed by mistake


2011-07-24  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [d4e04e6120038335694ad43767d280756393a7bf]

Merge branch 'master' into feature/gnumake4


2011-07-23  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [c5b2509d48aa1560224b648d9831fab8b29a3e57]

remove superfluous include paths


2011-07-23  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [d721503c559c51494e3f0aa4c1510ca65d17d39c]

keep gbuild calls consistent at  now, even if it is a bit longer


2011-07-23  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [74a329707edf9aa40f186f5d0faf9960e45a52db]

use gb_Library_use_external in writerfilter


2011-07-23  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [7ec7081a6d1f4e07829501c22cd5edb3a7a433b8]

merge junittests from feature/gnumake4_writerfilter_head (e0ac3ddd8a3602490854829107908abefc3eaf2f)


2011-07-23  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [41a1acdc19a2e675af9304c16ec98007250c5f8c]

merge cppunittest from feature/gnumake4_writerfilter_head (e0ac3ddd8a3602490854829107908abefc3eaf2f)


2011-07-23  Michael Stahl  <mst@openoffice.org>  [57e00ece9abb71b0d376883ee78e3b8be307e386]

add unittests from gnumake4


2011-07-23  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [9a35ef5d7d965a7b0e6ae726f85e5df260f946e6]

switch to CostumTarget-based code generation from gnumake4


2011-07-23  Michael Stahl  <mst@openoffice.org>  [1bd9f44042806302f8163c2a8322b1a9608895b6]

reintroduce CustomTarget from gnumake4

Authors: Michael Stahl <mst@openoffice.org>, Henning Brinkmann <hbrinkm@openoffice.org>

2011-07-23  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [9b3ef2670036284d7a2a62087c2f7d8f65500414]

revert to old writerfilter gbuilization

 * gnumake4's writerfilter gbuildization got pushed in a seperate branch
 * it might or might not be merged to master later

2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7f8883502732373200b82d4e0c9b1a5aa00b588d]

Work around a bug in libwpd's WPXPropertyList::operator=


2011-07-22  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [f885fb7eed9356c56943bfa7d07d64672abe6c02]

postmerge fixes for gnumake4


2011-07-22  Kohei Yoshida  <kyoshida@novell.com>  [522e0c6c823bdc19480feddc1cfff1e24d5230b2]

Pick the first PREFERRED IMPORT filter.

And prefer the calc_HTML_WebQuery filter over the old and unreliable
'HTML (StarCalc)' filter to import HTML files into Calc.  The web query
filter arranges the incoming data in a more tabular fashion, which
actually works better for Calc's sheet format.  Also, the current
filter matching algorithm actually relies on unpredictable random
selection since it iterates through the filters stored in *unordered*
map container and picking the first match.  Making use of the
PREFERRED flag in case of multiple qualifying filters for the given
type is much more tractable than the current scheme.

2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d0d3c90997b4d5eb402637f55c62186b755dc720]

Add shadow support


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2a2ddda889aa91289f04dcaf5906c571647749cb]

Don't output opacity gradients if the stops are completely opaque


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd789158d317aab7902c139be5e21e02923c8722]

Try to handle correctly transparency gradients and different stroke properties


2011-07-22  Marc-Andre Laverdiere  <marc-andre@atc.tcs.com / marcandre.laverdiere@tcs.com>  [e55a0500a5572aae4e7bf3e6cfe2c682ffa259ae]

Removed dead code


2011-07-21  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [e3765a0b27d3de0c92a469cc883428154d8922c3]

resyncing to master


2011-07-21  Tor Lillqvist  <tlillqvist@novell.com>  [023576f1bbb9f16b5f884d5f774ac99c95f7f4df]

Generate correctly named import library for WNTGCC


2011-07-21  Tor Lillqvist  <tml@iki.fi>  [783943aa3345d09fe7343cefd66f03b041809e40]

Just use REDLAND_CFLAGS, LIBXSLT_CFLAGS and LIBXML_CFLAGS always

They are empty anyway when not needed, I think.

2011-07-21  Marc-Andre Laverdiere  <marc-andre@atc.tcs.com / marcandre.laverdiere@tcs.com>  [f64f35c56457813eb900e7fda21ed80feff25252]

Removed dead code listed in unusedcode.easy


2011-07-21  Caolán McNamara  <caolanm@redhat.com>  [db503a8cfbc72d3b9fd20a0a657fd1565aee6adc]

unused methods


2011-07-20  Kohei Yoshida  <kyoshida@novell.com>  [e8daaf4642017cf9bd57a47c5e5430a80adf15ea]

Correctly detect documents with xlk extension as Excel binary.

XLK is an extension for Excel backup file automatically created by
Excel upon opening of a document. The content is still a normal Excel
file so why not detect it correctly.

2011-07-19  Caolán McNamara  <caolanm@redhat.com>  [e6a2abf9fa2e3e82b2ca50522ace3c8a5b939f50]

ByteString::CreateFromInt32->rtl::OString::valueOf


2011-07-19  Petr Mladek  <pmladek@suse.cz>  [4024fae75b1c2be02b08494b186f5e11c72b74a0]

Version 3.4.2.2, tag libreoffice-3.4.2.2 (3.4.2-rc2)


2011-07-19  Muthu Subramanian  <sumuthu@novell.com>  [5c6cb7b0a22d0125cb18d87e1096e712339815b5]

related fdo#39023: correct import of shared formulas

Signed-off-by: Markus Mohrhard <markus.mohrhard@googlemail.com>
Signed-off-by: Katarina Machalkova <kmachalkova@suse.cz>
Signed-off-by: David Tardon <dtardon@redhat.com>

2011-07-19  Caolán McNamara  <caolanm@redhat.com>  [f48a4ab32bdf7bb512becb36f057c5a075d6c2cf]

callcatcher: remove some unused methods


2011-07-19  Marc-Andre Laverdiere  <marc-andre@atc.tcs.com / marcandre.laverdiere@tcs.com>  [9c542321e111b6415ed12a38907ce0d67a29347e]

Fix for valgrind error in msdffimp.cxx

Error: Conditional jump or move depends on uninitialised value(s)
Fix: Ensure that nGroupShapeFlags is initialized in the constructor
Also cleaned up some duplicate variables

2011-07-18  Caolán McNamara  <caolanm@redhat.com>  [fc7e30805d671223a78cd9ca5143e3ed5f60056a]

ByteString::CreateFromInt32->rtl::OString::valueOf and simplify


2011-07-17  Caolán McNamara  <caolanm@redhat.com>  [3f31203a3f4f9e49712cbe85e0a6576fb45b7a13]

not going to get re-enabled, is it


2011-07-17  Caolán McNamara  <caolanm@redhat.com>  [4f43ca6368f30cc956f85a5117fbd4adf3712049]

overlong lines


2011-07-16  Caolán McNamara  <caolanm@redhat.com>  [c65abb1e0f6b5894e5213f8802c446cf55ac4d0b]

these can be sal_uInt32, and pre-sanity-check massive allocs


2011-07-15  Caolán McNamara  <caolanm@redhat.com>  [e12e239105753ae0ba2fdb6ee08638a334ebf485]

callcatcher: unused methods


2011-07-15  Caolán McNamara  <caolanm@redhat.com>  [ef0084e6289a3a7cbcce1a1799f706406cb8e433]

callcatcher: remove unused methods


2011-07-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dfb870fe051c633d9f1598e38a3944c687515252]

Fix a bug in bounding box computing


2011-07-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [affe5f3c0dc4493fbb2098a38d0cfe62eef1ac75]

Bounding box algorithm needs angle in radians


2011-07-14  Caolán McNamara  <caolanm@redhat.com>  [b960a43655db69872736852c681c91ce10eafaae]

callcatcher: remove unused methods


2011-07-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9d545ca583d79811ec816ad6a0bc7b9784f720de]

Trying to use the svg:fill-rule in ODG


2011-07-13  Takeshi Abe  <tabe@fixedpoint.jp>  [db6548cb3bad4df3e224c81f730677a001026c93]

initialize Length to suppress a compiler warning


2011-07-13  Caolán McNamara  <caolanm@redhat.com>  [eba72a304a3999ef1fbdf90d76d78f6b2a2f9b34]

add sylk extension and text/spreadsheet mimetype


2011-07-13  Muthu Subramanian  <sumuthu@novell.com>  [0bad93c9a0f3ec31d266d716aab0adcf828796ae]

[Temp] Disable getCellBlock, until proper fix.

This temp-fixes formula imports and other problems
caused because of getCellBlock.

2011-07-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [fbfa91df9d62c3d8a2f961cbbf8bf7bfcddc9dfc]

fix for fdo#39023: shared formulas are not imported correctly from xlsx


2011-07-12  Matúš Kukan  <matus.kukan@gmail.com>  [1a371751c848925e913afed0748d28b426cd2a2b]

Remove component_getImplementationEnvironment


2011-07-12  Petr Mladek  <pmladek@suse.cz>  [107afe35657d31f6ada9a5e6d5a1677625bbd5a1]

Branch libreoffice-3-4-2

This is 'libreoffice-3-4-2' - the stable branch for the 3.4.2 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [589eedb746134c5a3351a6b6d189aed0922b433b]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-07-12  Noel Power  <noel.power@novell.com>  [787f6931f2163cec77844e54432d1715d140ab4f]

use oox filter for *all* control import


2011-07-12  Caolán McNamara  <caolanm@redhat.com>  [5928a0200c8557966446be56e637aaf9ea26906d]

check if seek succeeded


2011-07-12  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [0c8e1263c99670b06c45e2727c825c5271c50607]

fix for fdo#39023: shared formulas are not imported correctly

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [5f79fc9f9c97a902f2909c7c84099221a30733df]

avoid optimization turning into pessimisation for stupid strings


2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [71b27e3aa6dd66cc6ae600df5b85e7128e3bb2af]

callcatcher: remove various unused save, etc. methods


2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [5f496a48d802dba8bb3b61a4f1d96b6363d66516]

check if seek succeeds


2011-07-11  Muthu Subramanian  <sumuthu@novell.com>  [6ce883ea59cce6b6a22564a36d4edda5e5e7417f]

n#694356: Using formatcode while displaying labels.

Used when the lables don't have their own formatcode
and depend on the data's format code for formatting.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [cbec79680a23a7c5bc5073e04d07cf88cd315e44]

check seeks for success against short reads


2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [50ec5ec3d3ffe3c046aef6a3bd9504be5f796db6]

unused inlines


2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [99d9e69c61f32a0131134dc93fa9e862321c3a30]

various unused methods


2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [94a266984b46b14febac863d82f446ecbeced768]

callcatcher: remove unused CreateCache_Impl


2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [6f45d988ac8fae86351b124274f1c3373d6a646d]

callcatcher: remove unused ColorToOUString


2011-07-11  Caolán McNamara  <caolanm@redhat.com>  [03818bcc338099a32644235091d44129c9ffc033]

callcatcher: unused lcl_hasChartType


2011-07-11  Marco Cecchetti  <mrcekets@gmail.com>  [d815d7d791fc339fa3cae44d55093d3a95d40593]

Implemented a new way for exporting and handling placeholder text elements


2011-07-11  Marco Cecchetti  <mrcekets@gmail.com>  [3dd03f212987bd8a054b84fc77b401d75582b228]

Split the script in smaller pieces


2011-07-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [96babab643bbbb706c06c6b4b3fef1ee7b06f83c]

Fix windows build

Use const reference in copy constructor if we are going to give it const objects.

2011-07-08  Muthu Subramanian  <sumuthu@novell.com>  [7d6a85611b0410bcc5d8011617ac16c1220159da]

[Temp] Import all formulas post tokenization.


2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [da802a99b82c8111a1d24826d8c4ebc1f1c722d1]

Resolves: fdo#34023 apparent negative string length

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Radek Doulik  <rodo@novell.com>  [310fcdcbf4a632370a2e5d3eb90c6c6627daca25]

do not set solid line border and fill as default for chartarea

- fixes n#694392

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-07-08  Takeshi Abe  <tabe@fixedpoint.jp>  [353893506967ebf3a01eaff7b80a8feb865b676c]

fixed typos in comments


2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [d398f7d397547135f79119931e051699309b3d4f]

MSOffice 2003 xml format often uses class extensions


2011-07-07  Joseph Powers  <jpowers27@cox.net>  [10fde688614f4267a2df651865b8f5f22d3e5e3e]

Fix some ambiguous method errors.

My compiler couldn't determine which version of valueOf() to use.
GCC 4.0 on Mac OS 10.6.8

2011-07-08  Marco Cecchetti  <mrcekets@gmail.com>  [4026f49a7269ddea56fb1b4885dc458a905553f5]

Enhancing svg export

 * Add support for exporting any subset of slides from an Impress
   presentation to a svg document
 * Adding support for exporting meta information (for each slide) on
   the master slide placeholders (slide number, date/time, footer).
 * Implemented a slide index. Supported browser Firefox 4.x, Chrome
   12.x.
 * Removed some dead source code; metadata info is generated before
   (shape, GDIMetaFile) map
 * Implemented a glyph workaround for Webkit based browsers.
 * Fixed the following bug: exporting a single slide is broken.
 * Updated to the latest version of the JavaScript based presentation
   engine.
 * GSoC midterm result

2011-07-08  Matus Kukan  <matus.kukan@gmail.com>  [00c338daf5464d7dc4626b7d569c85e1f80c30a7]

Remove online registration related code


2011-07-07  Joseph Powers  <jpowers27@cox.net>  [7b12174ea4cba73054c2e4bb038cd37cac74df96]

gcc 4.0 doesn't support the C++0x usage of enum::value

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-07  Joseph Powers  <jpowers27@cox.net>  [d50f3651cac1d602b130c019c4c64bb67744f923]

The enum type name should be included when accessing the enum values.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-07  Noel Power  <noel.power@novell.com>  [d791cd1a824d7e90b369fb546384d341ef5df88c]

fix for bnc#693386

properly handle relative Uri(s) in Target

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-07  Thorsten Behrens  <tbehrens@novell.com>  [8714942023ac73e3206d1668ab9158fad833a792]

Fix label position for ooxml charts

Fixes bnc#694340 somewhat hackish - chart2 cannot individually place
chart data labels, so if the original ooxml document does, attempt
one of the canned position as an approximation.

Signed-off-by: Andras Timar <atimar@suse.com>

2011-07-07  Muthu Subramanian  <sumuthu@novell.com>  [735970cba825e2ef24a23875b218386c8bbe1e7e]

n#694356: Using formatcode while displaying labels.

Used when the lables don't have their own formatcode
and depend on the data's format code for formatting.

2011-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cefaee5bf90bed44805dc60e10e1ae1a26132618]

Some more ODG style mappings that LO understands and displays properly


2011-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7af2e86b41b79e2a6f2a484c2aab6eb4881405a1]

Trying to work around some inperfections of odf


2011-07-06  marc-andre@atc.tcs.com  <marc-andre@atc.tcs.com>  [9f7d288a9bd39ae55f33f1af645196b8fb491ab3]

Added pointer validations to avoid some edge-case documents crashing (cherry picked from commit e3d3d88ccc959fc30d1d93bf1b6273f8d4f5b25a)


2011-07-06  marc-andre@atc.tcs.com  <marc-andre@atc.tcs.com>  [e2cb03673134e2080d02da8d1ee198a093d33852]

Added pointer validations to avoid some edge-case documents crashing


2011-07-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1cc056e3a75cb7152763c9cc42d5b8625b64058e]

Handle svg and odf expressions of gradients


2011-07-05  Thorsten Behrens  <tbehrens@novell.com>  [81a96672d34cd330e97989f5e03d42c3f9f63165]

Fix label position for ooxml charts

Fixes bnc#694340 somewhat hackish - chart2 cannot individually place
chart data labels, so if the original ooxml document does, attempt
one of the canned position as an approximation.

2011-07-05  Muthu Subramanian  <sumuthu@novell.com>  [86d3221dddf55dfed57ea34841086d193c128d79]

Pointers for importing legacyDiagramText.


2011-07-05  Muthu Subramanian  <sumuthu@novell.com>  [a16ddd263b6730dc546a637f6333fc1dca814e79]

Moving the pptx classes to use FragmentHandler2/ContextHandler2.

This is to make it use the better and newer parent handlers.
And to support MCE.
[PB] Probable candidate for typo breakages.

2011-07-04  Tor Lillqvist  <tml@iki.fi>  [fd15510864b463a9da5ef7fd2ee3ebd68178e0a8]

Interestingly, struct lconv is empty in Android's C library


2011-07-03  Caolán McNamara  <caolanm@redhat.com>  [28b8c941722199a6d49aacd8d8456763ac482a86]

callcatcher: unused write methods


2011-07-03  Caolán McNamara  <caolanm@redhat.com>  [80822112ab1702b3f655cf6075d14bddcd8da83e]

callcatcher: unused ScAfVersions::Write


2011-07-03  Caolán McNamara  <caolanm@redhat.com>  [67c88dcd5c1611f23cc456c1bf7d65a15ff02af7]

callcatcher: unused OutW4W_SwFmtPageDesc1


2011-07-02  Caolán McNamara  <caolanm@redhat.com>  [3cf1b02404325423e0e1a08360bbbedd5e0f2faa]

Resolves: fdo#34023 apparent negative string length


2011-07-02  Miklos Vajna  <vmiklos@frugalware.org>  [2a0ac8911e9eee4acb67a44e8fd0cbd18acc33ad]

rtftok: '>>' should be '> >' within a nested template argument list


2011-07-02  Miklos Vajna  <vmiklos@frugalware.org>  [471c2f7e0f39d8b9bf925030e1829e989dddbab6]

Merge remote-tracking branch 'feature/gsoc2011_rtfimport'


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [2da2de56f531703966f7a44a6926e665ce0d2f7a]

get rid of m_pCurrentKeyword


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [a70103802cfe119c2d5bfb5267dfd57ed18d3b2f]

implement RTF_LBRACE and RTF_RBRACE


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [77e477276846d71f6eab986db9696aa83f029454]

use the destination buffer for levelnumbers


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [ea49951b9db34093f05cef5558f8f855cd9e3619]

accents in bookmarks


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [9fd25efce54f72d3b97999295689c8a78844c0c7]

accents in shape properties


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [efaa8386a02f3e875015fecacf297c5f1cfe58f3]

unify strip of table entries


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [dd4cad40841ed67e474e4ea08a9539d799b466fb]

Revert "dmapper: spelling fix in DomainMapper_Impl::handleToc"

This reverts commit 2ffbb1dda9234690233f48b2bc521c97d1335237.

2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [7a51a94e42881bde69ac2ddac48773bf45137086]

accents in style names


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [878209a52d35df4f50f6b29292be9ede057b958b]

accents in font names


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [ed1c77161b49e461070ed4ed3866103589edf6ee]

handle accents in revision entries


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [bc681aef51cc02f2851f22f5554164091c51b131]

resolveChars: make calling text() the default

Ideally we should always call that, since that handles unicode
characters.

2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [4b87cefa99cbb50466d3a102e3d4cece70e6a66d]

add license headers


2011-07-01  Caolán McNamara  <caolanm@redhat.com>  [4e91f3b94a6b8172caba5f4799e75c7226827a4d]

gb_Library_PLAINEXT->gb_Library_DLLEXT


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [5b9fd52f6c7d5f9c64abbe70d3b77324565eb240]

implement RTF_REVAUTH, RTF_REVDTTM and RTF_DELETED


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [84ff9153d5647b97f5cd7c57490774c25fa6aed8]

implement RTF_REVDTTMDEL


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [755f55544f93c9796497c268dd8d3162ae0ddbfd]

implement RTF_DELETED


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [13a3563134311389d98bb95a380eee3897db91ed]

parse revtbl


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [6b770c917d6d0a828781dca336ef588f478c5915]

No need to cache field instructions

dmapper can receive them incrementally without problems.

2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [f055355a227b633006e762191ab421bc5df2f90a]

RTF_LINEX: ignore zero parameter

It appears where line numbering is not enabled.

2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [a6b1fb14f345c5d6f400e1fc62656a29a3d0ab92]

handle groups inside fldrslt


2011-07-01  Muthu Subramanian  <sumuthu@novell.com>  [5e2fb0efac5f0a4535e462101c85b5e85abefa1d]

XLSX formula import improvement. Recommit.


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [0ccdf835e0e67af3f7a22cde1ef866469e17a9d0]

ignore RTF_LISTTEMPLATEID for now


2011-07-01  Miklos Vajna  <vmiklos@frugalware.org>  [9bd6aa266191dc6a86ca889d89ccf7eef1c0c309]

leveltext can be an empty string


2011-06-30  Caolán McNamara  <caolanm@redhat.com>  [cbfdc8dda16e4c36ad84f39a145fb9cda3f96c31]

add modified unoexceptionprotector for better error msgs from exceptions


2011-06-30  Caolán McNamara  <caolanm@redhat.com>  [35fc12de5fef438f85c5045c7667f12c8eff0f93]

add modified unoexceptionprotector for better error msgs from exceptions


2011-06-30  Miklos Vajna  <vmiklos@frugalware.org>  [9ca7e488af6b4b91f6edaf9eeceb8b8d76a2067f]

make sure we are in a paragraph when handling bookmark starts


2011-06-30  Miklos Vajna  <vmiklos@frugalware.org>  [4755722468993ed411d2e509a30b85a8b42c551b]

asHex: method -> local


2011-06-30  Miklos Vajna  <vmiklos@frugalware.org>  [ad46579512a6bc56b39003eb4786cc180f3480a0]

NS_rtf::LN_BOOKMARKNAME should be before NS_rtf::LN_IBKL


2011-06-30  Andras Timar  <atimar@suse.com>  [004d75b2ce045da78187bfdf9123ae0bb4629e30]

do not build "localized" binfilter resources


2011-06-30  Miklos Vajna  <vmiklos@frugalware.org>  [de7e424bb5b0ee9b76c92746cd4ef04d22f03d1a]

RTFReferenceProperties: make second ctor argument optional

Like we have with RTFValue already.

2011-06-30  Miklos Vajna  <vmiklos@frugalware.org>  [a2c00ec6f650c5960f613bf69aafabfb63fdbc6c]

implement bookmarks


2011-06-30  Miklos Vajna  <vmiklos@frugalware.org>  [d57f56505da5031e38ac273232888fa3396960d3]

implement RTF_LINEPPAGE and RTF_LINESTARTS


2011-06-30  Miklos Vajna  <vmiklos@frugalware.org>  [93fa8ef099f1eed24de6184cb89f853be8061391]

implement line numbering


2011-06-30  Marco Cecchetti  <mrcekets@gmail.com>  [b77ba84efbb6117374e0b0fdd55364eb1721ba7e]

svg export filter: added support for browsing slides

Cleaner svg, convert javascript to working state

2011-06-29  Muthu Subramanian  <sumuthu@novell.com>  [83baeac500e3e9380c2f29c64eaf837afb7d61a8]

Revert patch to change .idl


2011-06-29  Miklos Vajna  <vmiklos@frugalware.org>  [e8ca14c10046c409f0e3fd3bdf35c6fb72ad8c2b]

add support for endnotes


2011-06-29  Miklos Vajna  <vmiklos@frugalware.org>  [6d2c73554f32bf8ccd9c3a30b2768ce9c0997452]

RTF_FOOTNOTE: support custom marks


2011-06-29  Miklos Vajna  <vmiklos@frugalware.org>  [37ec92ea25cbe230f6c6231c57f24bad931f2bf0]

implement RTF_FOOTNOTE


2011-06-29  Caolán McNamara  <caolanm@redhat.com>  [93995c148f0047e53749ed3a82dd1c5f7c082c3f]

remove deprecated ByteString::CreateFromInt64


2011-06-29  Miklos Vajna  <vmiklos@frugalware.org>  [0f4d0ac7c6cb4f79c4c3f6ca687ed2e3ec15c95f]

implement RTF_SUPER / RTF_SUB


2011-06-29  Muthu Subramanian  <sumuthu@novell.com>  [582d0f2542bcaf79be88bb283f100cd5e4ccec4a]

Improved xlsx formula import.

Now uses the values present in the import document
rather than calculating the formula. This speeds up
document loading.
TODO: Extend this to string results as well.

2011-06-27  Caolán McNamara  <caolanm@redhat.com>  [da0cfea6e38398b76b54873e154697525bd65bee]

CreateFromDouble->valueOf


2011-06-28  Miklos Vajna  <vmiklos@frugalware.org>  [40c353f00e56c58445d3e22dc88decca8b03023e]

colums can use the border accessor as well


2011-06-28  Miklos Vajna  <vmiklos@frugalware.org>  [d55c6a5a807423b33dfeaf2f21792ba46850160d]

introduce lcl_getBordersAttributes to avoid code duplication


2011-06-28  Miklos Vajna  <vmiklos@frugalware.org>  [07f61b85b98e65c1c51cf4320b1250c5114504fd]

implement section borders


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [185a55bc25a4088853add569a01c6780d57436be]

introduce RTFBorderState


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [1d1318ff811795f13f33194b7035b05a1de3d10d]

implement RTF_DEFTAB


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [c31eb7eabfd4c4f7ae92ab77de42cb157f7db829]

implement RTF_TITLEPG


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [eb0a6995ea99f4549420b811405715b54f751b09]

RTF_PGNDEC stub


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [ea2a5798b2b155a4c8fa66cfb01ba0ad63b9f292]

implement other header / footer keywords


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [7fa0c596f3cbd5e0d06f9a6a859554dd08df5e81]

mark local functions as static


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [d3708ee597960a7855e6aafcfdd2031bf11dcfad]

multiple tabs per paragraph: clean up and fix


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [a635703af50f1c94bf9d58e60f404e61f7e59f7b]

Handle empty fldrslt groups

We used to end the field in a text group, but this won't work for empty
contents.

2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [3cf09f91c0ccf52a58586c2ee4e29880181185fb]

substreams can live without section properties


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [2a80f627bb29c5853ce18fd9dc50c9cd943a9a72]

output headers/footers at the end of the section


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [6f595fabdae4f8bf060e63e5de4872d1fa6565de]

explicitly end last section


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [2605ce64d4f31062d046113e662276fd22c32587]

introduce lcl_TableBreak


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [dda99375263051cd24f2aaa42f797d8d9f06f836]

convert section break to a method


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [fb021658bbdc0cf348ce1117d11c68fe6f5af6b9]

these are attributes


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [19ea5247ef9b89b5857f82fcc53e01d6325744b7]

add RTFSprm::erase


2011-06-27  Tor Lillqvist  <tlillqvist@novell.com>  [2a627d316967c3766b4e21ba6070d2ab16404860]

Fix Windows build


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [73fc47e0b4ce80ba1bb7732c0643c1d2b005b632]

send section properties to the substream


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [8069afbfd5c4762f2be31f2e9b85f8ebfb23d49a]

RTFDocumentImpl::resolveSubstream to avoid code duplication


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [0588e2f310d5f1f3bb55626d6ff2591e77cf9e21]

avoid duplicated margin attributes


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [54de88ae87fe10b8aa92e2179d301b4fbe3b9fc1]

lcl_putNested*: support overwrite


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [54491c2dae5f04826cbfdfc8270cd0aabb9b1ad1]

these are attributes


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [21bab36921c1937bc1bbe2042f9d8b9e352a3445]

implement RTF_HEADERY and RTF_FOOTERY


2011-06-27  Miklos Vajna  <vmiklos@frugalware.org>  [13f6b1415fa3a08ecd742501981360bad0f9ae2c]

Enable rtftok on experimental mode only


2011-06-26  Miklos Vajna  <vmiklos@frugalware.org>  [74c9881e9d06c3e5c4565e425f4286919930812b]

Merge remote-tracking branch 'origin/master'


2011-06-24  Matus Kukan  <matus.kukan@gmail.com>  [83dd8fb46657fa082c3217fca5e86a8679ca6ebc]

update component factory methods to use new prefixes, to add lib merging


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [8413d2c9d5feab6245eb9c8f6b70c423b6a077ff]

implement RTF_FOOTER


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [cd33bcebb461185f94f0dc38cef41d1c6f248303]

Call dmapper's substream() method

With this, a simple header is imported properly.

2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [e092c14c01d453db7377bc9e238e789b08349527]

substream: parse the current group only


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [eac085f70c39e3a6b730cadbbfdc17ac7ed79c9f]

skip the header in the main parser


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [fe74167591410bd5b541075a2826588b483b5fc4]

initial header substream support


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [30a19ca884ff3f7e4492a5e453301922c5e95db4]

store if this is a substream


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [526314ae78ef412d1e197f3ddcee0a5932fdfdc0]

store xFrame, needed for substreams


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [6c29a35189b0a985a92ab14af3e3bcc8c8caa23b]

revert header changes, it's a substream


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [a124d0dfae2bf96b0a32d542354cc0d284989e2e]

allow parBreak() to call itself


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [0a49ab00d189f388f05cfbadc27757e95413dcd6]

paragraph break is now a method, so it can read buffers


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [00718798c2e8e8195ee09cc1bdd6c3389ba2de54]

introduce lcl_TableBreak for more readable code


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [e5f133fc64cbb29bde13ce717eebb7e6fda3c4e1]

Fix header buffer writing

- reset table buffers at the end of the row
- set the destination state of inner header groups to normal

2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [12e0d9a03fd8ea0995825f527e9b73fe0360cb3f]

don't write to m_aTableBuffer, but to m_pActiveBuffer


2011-06-24  Miklos Vajna  <vmiklos@frugalware.org>  [3a8db97aff2fb15767a7746b25809de6819439d0]

enter RTF_HEADER


2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [e7178f0dca29d0a0d6125d5438d7c7125fe7ae1b]

m_aBuffer -> m_aTableBuffer

We'll likely need multiple buffers (for headers, etc.)

2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [4b0259ca75df1399347f6be8f89100f947509f9d]

implement section and row text direction


2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [63b087816c72375c0051becc4b2ed597903dcd07]

implement RTF_ASPALPHA


2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [6f6c27955627ca5071e069765b1302e319d7d447]

implement RTF_LOCH, RTF_HICH and RTF_DBCH


2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [ef39bd78abe6a01ea679451c8e81c31602ae4dcd]

implement page margins


2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [014bb74884b138a7cbff6ae97bd7f3eecf992212]

implement RTF_PGHSXN and RTF_PGWSXN


2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [5e31d10d8954f357ab752513dde622564b9b0097]

RTFDocumentImpl::dispatchValue: introduce pIntValue


2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [56ba4b687c2553d549d9510920405febf88181bf]

implement RTF_PAPERH and RTF_PAPERW


2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [bc151ccad08815b3c5c05b657ddb55a17908fb09]

use SAL_N_ELEMENTS


2011-06-23  Miklos Vajna  <vmiklos@frugalware.org>  [d0fce54c833490fbe8470601a6cc192d376d9744]

implement a bunch of trivial symbols


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [1b79fe11efcdeede69ded1d41f4634abd06af6b7]

close last section at the document end if necessary


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [c6d8aae537fabf84d934a73e5d738a4f5e48f5e1]

implement simple page break


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [aa0a58b779c589c3b084ca6e2c78b3052dc6753e]

a column can have only two properties, handle together


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [e946de5a7228f22f472847514f3baedaa704c161]

implement RTF_COLSR


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [979d632a007391e0783659d09f44ced67309f694]

non-balanced columns


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [df2c778c0d1ba637669438f49fe5f9e6da0dda77]

implement RTF_COLSX


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [489f279a8b39e29f6a22d3273cd1f668ae6c9904]

implement column break


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [f13afa3c09b9651640f4f4c31cdbbad8d1f5787f]

Don't send section properties early

We don't need the trick of paragraph properties here.

2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [a93d3d2fe84c4477ac5835f5d405ffaefeb052b2]

implement RTF_COLS


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [2c0c36b96a3144b9964a95f654fbfe2fc833961e]

Section properties are a paragraph sprm


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [0ae1e37a2d5bbe2dafc1eaf12d34e1eb2a00439a]

implement RTF_SECTUNLOCKED (dmapper ignores it, though)


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [6fcff96fd14265cb84fdc52c0f1e028c7839f47d]

implement section breaks


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [f26dcb2ddff3f337af49856e2499041fca11699e]

implement RTF_SECT and RTF_SECTD


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [ff7dafe4d094f910e5d65e44ad75f3650a63b4cc]

these are never read


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [f1d19dd9882ebe2bd1c5f41418f18de235f633b0]

remove never written nTableCellPops


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [0e3a0d97e70bc96074559a9383baa4409de8d59d]

BUFFER_NESTCELLEND is not necessary


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [4124f4c30a585f0f90b92262f17ba5cce0d65930]

buffer RTF_PAR in tables


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [2a22860359815bf2b4851ec75cddcd00b7dc967d]

Buffer non-nested table cells as well

This is required as Word writes table properties at the end of a row.

2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [2c97e365085fa706b2ac2da45468730cf7929661]

RTF_CELL should alter the cell definition list outside its current group


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [b2d7cce8a1414cea599943380211d8c80ed234af]

reset cell definition list on trowd


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [dd797946a7cd58eba0b7ad41c206dba9f63e3de7]

send table width to dmapper


2011-06-22  Miklos Vajna  <vmiklos@frugalware.org>  [d488c863ea718f1af2c1c4d666fd016c92ed57be]

RTFDocumentImpl: no longer necessary debug message


2011-06-22  Caolán McNamara  <caolanm@redhat.com>  [dbb37a47122ee0e2accf1a9b1d3badd15557b381]

junk some more unused pre-stl template-like macros


2011-06-22  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [4f51f4492ac611f7c0f4754d61e6200b39a6d3d7]

don't erase an entry in a vector and continue using the iterator


2011-06-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ffb6e99418a69f50594c4c69907423e8acf50e4b]

Be gracious with broken paths


2011-06-21  Caolán McNamara  <caolanm@redhat.com>  [5143ecede90ada1b53b27b824bf874034c1469dc]

use size_t here


2011-06-21  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [415beef147a140ee661fb1b7c100bd5f25edf8d9]

gnumake4: postmerge fixes in hwp


2011-06-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e9c486cb0802a7282ae6ecab1240cf568960c973]

Add bounding box of an elliptical arc and output the 'A' element


2011-06-21  Miklos Vajna  <vmiklos@frugalware.org>  [38a10763826cbb36c9db19599e8fbfebbcf10a71]

introduce lcl_Break


2011-06-21  Miklos Vajna  <vmiklos@frugalware.org>  [39f2069624b621ff713192e4b4c5012d8363cf57]

avoid unnecessary OUString


2011-06-20  Miklos Vajna  <vmiklos@frugalware.org>  [db259c79b0affd322c796fccf2f899f60062a322]

buffering row ends is not necessary


2011-06-20  Miklos Vajna  <vmiklos@frugalware.org>  [34445a8615f445764c58772b34405a51ca6dd4f0]

Nested tables: buffer cell contents till cell definitions

This is necessary as nested cells' RTF_CELLX definition hits the parser
later, than the actual \nestcell cell contents.

2011-06-20  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [063f3547a748565947a9571412211c8f74eff030]

gnumake4: switching gbuildization

* mostly switching to gnumake4/writerfilter10 gbuild implementation (thanks mst, hb)

2011-06-20  Miklos Vajna  <vmiklos@frugalware.org>  [e99ff52645b6ba670dbd3be6abb3d303452bf6da]

Initial nested table support

Implement RTF_NESTTABLEPROPS, RTF_NONESTTABLES, RTF_NESTCELL,
RTF_NESTROW and RTF_ITAP.

2011-06-20  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [474319f55379fdc878d6eabb5781a6991fd0f576]

fix buildbreakers in oox, revert token changes for now


2011-06-20  Miklos Vajna  <vmiklos@frugalware.org>  [fee1294f2917412db5c19581a3d76b157e9524cb]

cell borders are sprms


2011-06-20  Miklos Vajna  <vmiklos@frugalware.org>  [c5386a92c36daa0bbe73ef236013ba0740852844]

implement RTF_TRRH


2011-06-20  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [119aefb9c003439f149e8299e30a51760b3983a4]

gnumake4: fix buildbreakers from merge


2011-06-20  Miklos Vajna  <vmiklos@frugalware.org>  [e746272ce5422801bd25c8b65cc53ba7be78c174]

implement RTF_TRKEEP


2011-06-20  Miklos Vajna  <vmiklos@frugalware.org>  [f8c616354ce757109b1ce5078fe7a1ca8eab1596]

Reset cell properties on RTF_CELLX

This fixes import of tables when the first cell has no properties

2011-06-20  Miklos Vajna  <vmiklos@frugalware.org>  [1da7db6bae4e07d4540d44fab52cb18ba00de6e5]

RTF_CELLX: fix assignment of previous cell abs width


2011-06-20  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [ca68fc44ad5915aa50ce32b2f9640a4c92366b76]

remove merge trash


2011-06-19  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [3baa13d319519d14f3deeeafe17c4a7bf0667d4a]

Merge branch 'master' into feature/gnumake4

Conflicts:
	filter/source/config/cache/filtercache.cxx
	filter/source/odfflatxml/makefile.mk
	oox/Library_oox.mk
	oox/Makefile
	oox/Module_oox.mk
	oox/Package_generated.mk
	oox/Package_inc.mk
	oox/prj/build.lst
	oox/prj/d.lst
	oox/prj/makefile.mk
	oox/source/dump/makefile.mk
	unoxml/Library_unordf.mk
	unoxml/Library_unoxml.mk
	writerfilter/CppunitTest_writerfilter_doctok.mk
	writerfilter/Library_writerfilter.mk
	writerfilter/Module_writerfilter.mk
	writerfilter/Package_inc.mk
	writerfilter/inc/resourcemodel/TagLogger.hxx
	writerfilter/inc/resourcemodel/WW8ResourceModel.hxx
	writerfilter/prj/build.lst
	writerfilter/prj/makefile.mk
	writerfilter/qa/complex/ooxml/makefile.mk
	writerfilter/qa/cppunittests/doctok/makefile.mk
	writerfilter/qa/cppunittests/doctok/testdoctok.cxx
	writerfilter/qa/cppunittests/xxml/testXXML.cxx
	writerfilter/source/dmapper/DomainMapper.cxx
	writerfilter/source/dmapper/DomainMapperTableHandler.cxx
	writerfilter/source/dmapper/DomainMapperTableManager.cxx
	writerfilter/source/dmapper/DomainMapper_Impl.cxx
	writerfilter/source/dmapper/FontTable.cxx
	writerfilter/source/dmapper/GraphicHelpers.cxx
	writerfilter/source/dmapper/PropertyIds.cxx
	writerfilter/source/dmapper/PropertyMap.cxx
	writerfilter/source/dmapper/SettingsTable.cxx
	writerfilter/source/dmapper/StyleSheetTable.cxx
	writerfilter/source/dmapper/TablePropertiesHandler.cxx
	writerfilter/source/dmapper/TblStylePrHandler.cxx
	writerfilter/source/dmapper/ThemeTable.cxx
	writerfilter/source/doctok/WW8DocumentImpl.cxx
	writerfilter/source/doctok/resourcesimpl.xsl
	writerfilter/source/filter/WriterFilter.cxx
	writerfilter/source/generated.mk
	writerfilter/source/ooxml/OOXMLDocumentImpl.cxx
	writerfilter/source/ooxml/OOXMLFactory.cxx
	writerfilter/source/ooxml/OOXMLFactory.hxx
	writerfilter/source/ooxml/OOXMLStreamImpl.cxx
	writerfilter/source/ooxml/RefAndPointer.hxx
	writerfilter/source/resourcemodel/TagLogger.cxx
	writerfilter/unocomponent/component.cxx
	writerfilter/unocomponent/debugservices/rtftok/ScannerTestService.cxx
	writerfilter/unocomponent/debugservices/rtftok/XMLScanner.cxx

2011-06-18  Miklos Vajna  <vmiklos@frugalware.org>  [132965524cddb3d3c11c058afbab1f91c491e60e]

XmlFilterBase::exportDocumentProperties: use OSL_TRACE to dump statistics


2011-06-18  David Tardon  <dtardon@redhat.com>  [6498dc3664861938d94d2a13aade40a51f501569]

rhbz#667082 do not crash importing section containing just an empty paragraph


2011-06-18  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [5cc74522807c608b627baf27650e72b023d7b23a]

fixing rebase errors


2011-06-18  David Tardon  <dtardon@redhat.com>  [471bdd8d1ab2f673a68e8a5f85750ed8a7089250]

use the new way of setting UNO API include dirs


2011-06-18  David Tardon  <dtardon@redhat.com>  [0f49dd7faceff814947499bdc04f95163e326558]

remove all traces of offuh from makefiles


2011-06-18  Hans-Joachim Lankenau  <hjs@openoffice.org>  [de4199a35baf22b4f420b24cf8d50f477e4f2a5b]

ause130: #i117218# missing pieces...


2011-06-18  Hans-Joachim Lankenau  <hjs@openoffice.org>  [bc38c54a463d574b93e5bc7eff665e31284f9a72]

ause130: #i117218# change .idl handling to gnu make


2011-06-18  Julien Nabet  <serval2412@yahoo.fr>  [b8b6586abd7de15ade5c843194d8d94b1ec360e5]

Just 2 little fixes


2011-06-17  Joseph Powers  <jpowers27@cox.net>  [e4a256b8cabf600db75448f79e43e84ddd0c8ebb]

Replace List with std::vector< PPTFieldEntry* >


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [f37f3605289c988ca727627a594f633831fa03e2]

implement RTF_CLVERTAL*


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [7fb6a3578d5e739abffdc84c948bd886bc4e1db6]

introduce lcl_putNestedAttribute


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [e1636ed0d28da1e854fcf6cc0bf6265c841255bb]

implement RTF_CLCBPAT


2011-06-17  Michael Stahl  <mst@openoffice.org>  [fa6229ca08b5e536d5398817de24cc518f3a925c]

gnumake4: writerfilter: temporarily disable complex test [hg:b3086537b169]


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [15712eb35ffcffb6ca4503a8584e7da36298d71d]

implement RTF_CELLX


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [0fb0713dbd35549d093fa4d6022f7fb2cd1e096d]

implement vertical spans for tables


2011-06-17  Michael Stahl  <mst@openoffice.org>  [b82ad553369cddb8061df9f2b473d87fa9bf0624]

gnumake4: oox, writerfilter, CppunitTest.mk: adapt to changes in gnumake4 [hg:d0e98479a69a]


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [2495c7e9d4800464c7766be7d57d79e16c567d9a]

make RTF_CELL and RTF_ROW dmapper xml dump valid again


2011-06-17  Noel Power  <noel.power@novell.com>  [0c4adbf712cace9b5c9a66e0ed840a8bd13c3bb9]

another partial fix for bnc#693238


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [1b7df37b3e40e2d2cddef9e50a4db243730c2eaa]

writerfilter10: added missing cxxs [hg:972d0c5efbc4]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [5294dce2ec4ed42664eb6f53fc9d3f5e81216d53]

writerfilter10: adapt changes for custom target [hg:e16dd402c207]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [96444f2f57d1423a2a0e0433667d706d50c7594c]

writerfilter10: fixes to make wntmsci12 build [hg:704077f08581]


2011-06-17  hb  <hbrinkm@openoffice.org>  [b156d94c22b247246d7c326cf1b0269d9c6c5dea]

writerfilter10: make compile on unxsols4.pro [hg:b26ee4159e52]


2011-06-17  hb  <hbrinkm@openoffice.org>  [e8e9f83bfaf907fa53f344a84f34bc66282fb19e]

writerfilter10: unxsols4.pro: Handle warning in TagLogger.cxx [hg:55b4d6b8eaf0]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [d6241af410bf0b545a2122fca2f4049373797a5a]

writerfilter10: Incorporate changes in layout of /inc/oox [hg:fd65d2c21e88]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [72f22d48bc511ed6d088495053a842eef8713536]

removed defines [hg:5a96ba55f5a0]


2011-06-17  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [3e9201341a69e7fc2f06c8f4be2299adc1766ae8]

[mq]: oox_gmake.patch [hg:d0beb4a8aa40]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [294a74b34717f1d6abc0e0b169709081b43af170]

writerfilter10: fix wrong #ifdef [hg:9d195c8de43d]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [293fc4201bb0a8a19daf50beeb2a702d7477065f]

debug table structure, remove lcl_printProperties [hg:08e908d8968c]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [ec81a1ec040f971b193399d80c6a3111f30d6c92]

TagLogger: new method toTree [hg:b4a56c7574da]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [0e664234ae7488c4e84c00359f8a8a032a45e13f]

removed output to stderr [hg:9467e7f6cd60]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [96319df691f3460e31add630df2018dfa7499096]

redefined Token_t, used sal_Int32 where old definition was needed [hg:3fe69983f7be]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [89525ad1369b1de4dfa1125df06794cf79261c18]

Only pass on characters, when ordered so in model.xml [hg:da333da977c6]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [d31699086060c901bab7a2f4993c00559537cd02]

#i116755# handle absolute paths in _rel [hg:fb7e1780f025]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [399ac4ec30b38becbaeb2c96d3c492198715a966]

create effort estimation while compiling [hg:f248c5f07cdf]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [e1190ce765e169199f10e8b9fd497ee1d0977aea]

writerfilter10: #i116880# take outline border into account for correcting left/right margin of paragraphs [hg:59fc6a13300d]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [e211900c01a00dd2a28ae1a0d5a175d6c8697124]

imported patch correctindents [hg:5208b08c61dd]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [67fe1907f339daf31035ac13fe56bd289bbdbc09]

imported patch PropertySequence [hg:746438bb8917]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [f772b2daea8f88cba75e9027b65f902770292108]

imported patch debugcleanup2 [hg:b208d29d0b58]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [77353068a81fd9c0fa306f3bae2f0f4e4a57e4d1]

imported patch debugcleanup [hg:b63fc5ed86aa]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [53762f0a66784d857040ae476f968a6b2057765d]

writerfilter10: make JUnitTest run [hg:8fa034389cd1]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [6cb92e5a43bb9c0a49cafdb88883e7df949ea058]

xmlfilter10: reactivated cppuinit test [hg:46adee0574e9]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [0ded45b532048f3724a04bb441b975fcd90e16ac]

xmlfilter10: XPathlogger was missing [hg:333ad0d1384b]


2011-06-17  Michael Stahl  <mst@openoffice.org>  [4b222c354e83c6e70509f44e611a4c5386fe06ee]

writerfilter10: clear d.lst in converted writerfilter [hg:f674af31556d]


2011-06-17  Michael Stahl  <mst@openoffice.org>  [ddf78ad42c63ecba89521a7790c9daf85f0af914]

writerfilter10: convert writerfilter to gbuild [hg:1013d9bf5d0a]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [c71498821264760acf5006d738882149fe54fd65]

resolved issues found by cppcheck [hg:3bf5ecb86397]


2011-06-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [4fcbd7b8a95ec59c928b899b8e6fd2f3678e9ef5]

imported patch cppcheck [hg:d55fc25e48ab]


2011-06-17  Michael Stahl  <mst@openoffice.org>  [78a2b0321232e8c823c06cc604fc783f35ed29b1]

gnumake4: #i116959#: kill gb_LinkTarget_set_{defs,cflags,cxxflags,objcxxflags} [hg:389f5e8ec8cd]


2011-06-17  Jan Holesovsky  <kendy@suse.cz>  [ac68af83a35d9cc9ce297b2880bddff4a0451af9]

Merge remote-tracking branch 'origin/libreoffice-3-4'


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [990c8b4a44c7959d39b93689069ce2a9875041cc]

introduce lcl_putBorderProperty

also, getBorderTable can be a local function

2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [fc2825f4196d0829ff1b9b0e9e954d0ae4f5ebbf]

table cell border types can be handled in one go


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [41fd8c3c1559f3da78d11bdc185c012066e72dd2]

implement the rest of table cell border properties


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [f92e4cb3c1ec8899073b878c12e846743ea5b4db]

RTF_BRDRW can be a cell property


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [fe31ef9c58d6d3b1b2f81f09a505f8e07315da6a]

paragraph border types: can be a cell property

border type as in "hairline, ..." not in "top, left, ..."

2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [57306fdd97b701f180b5990726c8c3a5be06b726]

factor out lcl_getCellBordersSprms


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [6d125af87f2c2a5a4add28b81092948bde5362a1]

implement RTF_CLBRDRT


2011-06-17  Miklos Vajna  <vmiklos@frugalware.org>  [f2e941d28e6e4068f78a1366fe7768c5d7074e6c]

RTF_CELL: emit table cell sprms/attributes


2011-06-17  Michael Stahl  <mst@openoffice.org>  [d52d3670524903ef7883e950857f6003fb065979]

gnumake4: #i117610#: add RepositoryExternal.mk, and use it. [hg:62e2f8dc95a7]


2011-06-17  Michael Stahl  <mst@openoffice.org>  [9307eb93309c16cd8337242bdc3efe4f1d3a0012]

gnumake4: #i117340#: JavaClassSet: adapt users [hg:efb3d33ce8ca]


2011-06-17  Michael Stahl  <mst@openoffice.org>  [b975be48d4f112de14c75c5fbdc74d2afc3303f2]

gnumake4: filtercache.cxx: this should not be an assertion [hg:9458985f83ae]


2011-06-16  Joseph Powers  <jpowers27@cox.net>  [ac230674f37fa556279ce30d5dbb60f9c66aafdd]

Replace List with std::vector< EscherPersistEntry* >


2011-06-17  Tor Lillqvist  <tml@iki.fi>  [e65d3c3d628545366a01951d6313c28169337f17]

Deliver also static libraries


2011-06-17  Tor Lillqvist  <tml@iki.fi>  [0479a9d29acfe905995e39ad2ea057a044d8b7ca]

Use LIBXML_CFLAGS if SYSTEM_LIBXML


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [ed86ea8c2e68631e307f643e4a7ddd16e399d715]

dmapper: rtf is not binary doc in DomainMapperTableManager


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [17ef6f16baa80558bc73f0fe2709893a0bb067bb]

implement RTF_BRDRHAIR


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [8eeb7e55eae8a65597324159693c42a37e21834a]

RTF_CELLX stub


2011-06-16  Joseph Powers  <jpowers27@cox.net>  [6031e89a6e2782f2e07d6283b35b1b3b8d4909de]

Replace List with std::vector< EscherConnectorListEntry* >


2011-06-16  Joseph Powers  <jpowers27@cox.net>  [da36b2634ec2df85df43101b1e89a471359ae52d]

Convert List to std::vector< EscherShapeListEntry* >


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [f37acf2f10604d7011b7e46229dcdcb54ec7d535]

implement RTF_TROWD


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [7e31182da0c394a4f0365f94ac62bd14bd3bfb11]

RTF_ROW: send paragraph properties instead of single NS_sprm::LN_PFInTable


2011-06-16  Tor Lillqvist  <tlillqvist@novell.com>  [7087e0c8eb4554e8e8c0b73f9049b5dbdbef3728]

Link with user32 for Windows


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [677cebbdb3f685dc27bc5f0d2d25150c84104c50]

resolvePict: avoid code duplication


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [9b33d4200cf789bb305bfce74cb6ed13e1ce80f6]

implement wzDescription property for shapes


2011-06-16  Joseph Powers  <jpowers27@cox.net>  [896979bbfbe6b0f7c0796d795705502895efdcc0]

Fix a typo in my whitespace cleanup.

Sorry

2011-06-16  Joseph Powers  <jpowers27@cox.net>  [f36c783c16a037c6bf6adaf6e90b87361efd5c17]

Remove unused enum entry (ESCHER_BlipFlagDontSave)

Actually this was mostly a whitespace cleanup.

2011-06-16  Joseph Powers  <jpowers27@cox.net>  [92ed4998e3db357dc7cb3266e08989fab2005b8a]

Replace List with std::vector< SvxMSDffConnectorRule* >


2011-06-16  Caolán McNamara  <caolanm@redhat.com>  [c0d8dfe4ef8335344ab877041c3d0b951ef710fc]

Resolves: rhbz#713154 pdf export dialog too tall to fit on netbooks


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [0e3bbd27d90a2107993c87d5da5f84af568b1c90]

implement RTF_ROW, now a trivial table can be imported


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [138da7b4a944413cbda2937a6bf93893bcb11c42]

implement RTF_INTBL and RTF_CELL


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [9772a1543b895365a6eab04f1f83759ce682ced2]

dispatchFlag: really handle RTF_QL


2011-06-15  Joseph Powers  <jpowers27@cox.net>  [68722a3ddc589841757f150d4be00e5d7fb235ec]

Whitespace cleanup


2011-06-16  Miklos Vajna  <vmiklos@frugalware.org>  [cfd9cfa2002e34bc6a75d66652bd5e549bb0f8d7]

implement RTF_SHPWRK: wrapped anchor pictures


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [b9df8cf8b4a1620475894cc49652723dd4bdda61]

handle anchored picture properties


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [5c53a5595d1f93c84459b767834cac60c530b79d]

implement size of anchored pictures


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [b6b314df4191620efddecd0cf69115fb4b2d9804]

graphic sprm: avoid code duplication


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [15f7ce4a3044a2de82e13df6ea9511919bd8a5f0]

initial support for anchored pictures


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [c511997c716f55dd9b9ea7a83918676a98b4f878]

enter RTF_SHP and RTF_SHPINST to display anchored pictures


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [6816914098da48fa74e38b10f195aa90ca5bc17c]

skip RTF_NONSHPPICT, since we understand RTF_SHPPICT


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [7099ddb14be7cf950e54fe75549cfa454b9de59b]

initial support for shape properties, wzName is implemented


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [4284685167c8dbe768d0306597c79286e31b3a1f]

implement RTF_PICSCALEX and RTF_PICSCALEY


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [dfaea9bfc3b3d865467c0254960e512b39a5651a]

pass XFrame to the implementation to avoid assertion failures


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [f92d32299706a6aec90f4dc58d4ecd55f1ac38f6]

implement RTF_PICW and RTF_PICH


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [c0e69b6b78855c0a3852e33dd6759096f5892a5f]

introduce RTFSprms_t


2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [0c690a07af1c2edfec8d01ad0accd9c6458e9d46]

Change the attribute/sprm list to a vector from a multimap

It turns out that order does matter, for example when dealing with
picture size and data. (Size must arrive first.)

2011-06-15  Miklos Vajna  <vmiklos@frugalware.org>  [84b42160f895f408c08401e4b106450d0583197e]

add RTFSprm::find that can search for an sprm key in a vector


2011-06-15  Radek Doulik  <rodo@novell.com>  [5f6bee5233a3d4d4cce03fad360ec04b7e8d3c29]

do not set solid line border and fill as default for chartarea

- fixes n#694392

2011-06-15  Caolán McNamara  <caolanm@redhat.com>  [b68d6dfc3c6e29568074938529c729fb2c93ae5a]

aResult->aName


2011-06-15  Francois Tigeot  <ftigeot@wolfpond.org>  [9b957d0a70b9f0392c40153ad45619515be4473e]

Forgot rtl/bootstrap.hxx header


2011-06-15  Caolán McNamara  <caolanm@redhat.com>  [b51c4d501e49b3306ae7307c2fbf4637fb8b46bb]

use other variant


2011-06-15  Francois Tigeot  <ftigeot@wolfpond.org>  [55b77c375ff8cdc343db45b55d941eadaebf05cd]

Remove some remaining TOOLS_INETDEF_OS usage


2011-06-14  Petr Mladek  <pmladek@suse.cz>  [39f2c806c0012d97e791ba82718a9f78fe355b8b]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-06-14  Joseph Powers  <jpowers27@cox.net>  [4195aea59ec815fd5265dc746a1330dfa76cd4af]

Replace List with std::vector< SdrObject* >


2011-06-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c5afbc5435fe182c0debd1b01cb3c0893a9e3630]

Remove any mention of w4w whatsoever


2011-06-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [806e98ff01992929e534ec4a5f0a452d4d611a15]

Remove them from the fcfg_w4w.mk too


2011-06-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7f184a083b67c09e4024479b41a2c2f98cbc6bb7]

Remove fragments for StarOffice WP filters that we don't have

and we don't have any reason whotsoever to use even if we had them

2011-06-14  Caolán McNamara  <caolanm@redhat.com>  [65a611248ef58fca144dd4495b22aafe20ddcfe3]

don't need to link against vcl


2011-06-14  Caolán McNamara  <caolanm@redhat.com>  [82914ef4f01e7bcb52161c50136aa0be17647c48]

add regression test


2011-06-14  Caolán McNamara  <caolanm@redhat.com>  [7c7bd470b71386727d3bb28a00e4f7e5ebaee7ac]

return the correct return code


2011-06-14  Caolán McNamara  <caolanm@redhat.com>  [41f88c171e231719404d7425751b5855d71ef57a]

ditch MyDataSink and use comphelper::MediaDescriptor::addInputStream


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [4d9a99fa0a31cdf5d320cef40953131fec5dd1d5]

gbuildize hwpfilter


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [6b700c83b100e88d8acf4bc313edfde72f8091a5]

survive missing writer component for testing purposes


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [f4152e097a5977c1d401284b950dea65c880bbc5]

valgrind: linenumber uninited


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [40b6d62e51fa723b1f28b027e004babce7ed80dd]

it's c++ not c


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [7ed2c34be6091c857d13e76c7c273b2fa5fec27c]

#i49123# implement typedetection for supported .hwp format versions


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [0db91ebb2c9c08183d779e8a1971cb417a5c8ef0]

no point in extra initialization


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [fbb392fac8ed3ede7730c8e4af7c2b10d92885ea]

tidy indent


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [8d33519310428aaba2eb624f009f6808aabe4d52]

stack example .hwp files here for future tests


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [61e84710e9a5ac9ccd6717e57447d4405ca6232e]

mpCommentOut never set, strip it out


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [947c07d4da84d889246497b174ae93505ef2042c]

rename SetKey to SetCryptMaskKey


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [0f50a4d1e5a39dd8ea5650257b27a68dfd269634]

rename SetKey to informative SetCryptMaskKey


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [49cddb300a46f9a779fd822dbc4dbe9ba6badcd3]

AddMark/RemoveMark unused


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [5239149198f703743885b1f671c198c32937fe68]

createFromAscii -> RTL_CONSTASCII_USTRINGPARAM


2011-06-13  Caolán McNamara  <caolanm@redhat.com>  [947c12365be3be826ffbd44f488e8f540b6dea02]

createFromAscii -> RTL_CONSTASCII_USTRINGPARAM


2011-06-12  Korrawit Pruegsanusak  <detective.conan.1412@gmail.com>  [2e510613b2a9e2f167797bddbdaddc218edf9674]

Code cleanup

* Remove dead code
* Fix comment typos
Released under LGPLv3+/MPL

2011-06-12  Joseph Powers  <jpowers27@cox.net>  [01099d8f69716058506dd5867f79817f35d00edb]

Replace List with std::vector< sal_uInt32 >


2011-06-12  Julien Nabet  <serval2412@yahoo.fr>  [2e0bb2f9467d6d11e38a7f96831210fdd5eaa85e]

Some cppcheck cleaning+1TODO (func not implemented)


2011-06-12  Julien Nabet  <serval2412@yahoo.fr>  [56426f8bf66469a7dcae36bace08aad00e8125f6]

Some cppcheck cleaning


2011-06-12  Julien Nabet  <serval2412@yahoo.fr>  [7dddd4a999b1d294d6be32f634cd481aac184af2]

Some cppcheck cleaning


2011-06-12  Joseph Powers  <jpowers27@cox.net>  [485995376e2df9e66c0e0aabfcf81140c52015ad]

Replace List with std::vector< PPTBuGraEntry* >


2011-06-12  Julien Nabet  <serval2412@yahoo.fr>  [263da161de95395e26e459ab4acf484c3d5ee17e]

Some cppcheck cleaning


2011-06-12  Joseph Powers  <jpowers27@cox.net>  [1621b13afdfcd402077bc31eb749f973aff436ba]

Replace List with std::vector< PPTTextSpecInfo* >


2011-06-12  Joseph Powers  <jpowers27@cox.net>  [0226285576f9a6ddd506c9a3c2355c3113563332]

Replace List with std::vector< SdHyperlinkEntry* >


2011-06-12  Julien Nabet  <serval2412@yahoo.fr>  [ebcf6f803ec08b5374edc97034f6e6a190329251]

Same expression before and after <


2011-06-11  Julien Nabet  <serval2412@yahoo.fr>  [29338a37c2f39aa2d998b766035a02050ed1e373]

WaE : it needed casts


2011-06-11  Joseph Powers  <jpowers27@cox.net>  [606a1f672ae85f7c20ec0549a3883d06ca5e6805]

Replace List with std::vector< PPTOleEntry* >

Plus a lot of whitespace cleanup (sorry). The actualcode changes are at:
@ -539,13 +536,13 @@
@ -1867,13 +1814,13 @@
@ -2177,11 +2124,11 @@

2011-06-11  Joseph Powers  <jpowers27@cox.net>  [0f4ad5538845dbe0ca7a6535daf85e163e1a775b]

Whitespace cleanup

No code changes.

2011-06-11  Julien Nabet  <serval2412@yahoo.fr>  [10b332f337fe01cb0da11a647efc8f80f1805003]

Some cppcheck cleaning


2011-06-10  Joseph Powers  <jpowers27@cox.net>  [74f8246214d5c6f16c905647a8c592b36cdbbecb]

Replace List with vector< BUndle* >


2011-06-10  Joseph Powers  <jpowers27@cox.net>  [de51d1bf464cf91b96d50788abf6627b1e821d55]

White space cleanup.


2011-06-10  Joseph Powers  <jpowers27@cox.net>  [af0de505ebb5d778682fe6cfb3a534613ddc0696]

White space cleanup.

My editor isn't doing tab expansion... not sure why. so I'm cleaning the
tabs out first so my changes aren't hidden.

2011-06-11  Miklos Vajna  <vmiklos@frugalware.org>  [16a79dfe9fb191d80e9685579575a8631ef5ebc7]

Pict: send the XShape to the dmapper


2011-06-11  Miklos Vajna  <vmiklos@frugalware.org>  [d5adc55ba2a95a08c4a6a1032ecf9d3e1b01d8d7]

RTFValue: add shape


2011-06-11  Miklos Vajna  <vmiklos@frugalware.org>  [cfbb17d0c5f7e28e3fec75204e3d5b87d4aa7e21]

pass the destination doc model to RTFDocumentImpl

so that later it can access its modelfactory

2011-06-11  Miklos Vajna  <vmiklos@frugalware.org>  [a610c4f116a51d72ebf0f77fc9eb820dee02fb0d]

resolvePict: wrap the url in an XShape


2011-06-10  Julien Nabet  <serval2412@yahoo.fr>  [dea87a999108c419ff2cf409a5f6a9dbe019bab2]

Some cppcheck cleaning


2011-06-10  Miklos Vajna  <vmiklos@frugalware.org>  [f4ab8b3762881e3f504c542363a2c387d7325bc7]

resolvePict: import the stream as a graphic object


2011-06-10  Miklos Vajna  <vmiklos@frugalware.org>  [9265af16df808d241aaa5b9f59c167f4e9b586c1]

pass the component context to RTFDocumentImpl


2011-06-10  Miklos Vajna  <vmiklos@frugalware.org>  [14ef619bcfe06d0d97456838ae83ec7d3ba2017e]

provide picture data as XInputStream


2011-06-10  Miklos Vajna  <vmiklos@frugalware.org>  [258ba389a3f67b954fc5a24937931fc9a2e78ade]

use asHex() in resolvePict()


2011-06-10  Miklos Vajna  <vmiklos@frugalware.org>  [e87a40d690025cbdbdbd11db08e3ff605605ee9a]

factor out RTFDocumentImpl::asHex


2011-06-10  Miklos Vajna  <vmiklos@frugalware.org>  [669c40b445b1713036327385e4849947e8cc2c9a]

RTFDocumentImpl::resolvePict skeleton


2011-06-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6bf886cf637dc5a313749d2c294dc1f856ebc164]

For the time being approximate ellipic arc with a straight line


2011-06-10  Miklos Vajna  <vmiklos@frugalware.org>  [0774f3308ea6d629033f7b4df4560357ef1ccb8e]

RTF_ULNONE is a flag


2011-06-10  Muthu Subramanian  <sumuthu@novell.com>  [885cde2fa852b6922d94da2c18cdf481c08fb692]

n#683578: Performance improvements for xlsx imports.

Specifically reduces the number of UNO calls for
importing cell attributes.

2011-06-10  Caolán McNamara  <caolanm@redhat.com>  [f1c4738a88b41e33924fdd5dc3c10c90bfc6c5a7]

oops, this comparator doesn't order correctly


2011-06-10  Caolán McNamara  <caolanm@redhat.com>  [c9f05c335022d08d92b5e191f9c3580e5ced869c]

init this to NULL to match dtor assert


2011-06-09  Julien Nabet  <serval2412@yahoo.fr>  [0cabbeafc2bbaa43637818bc575b409763d774cf]

Some cppcheck cleaning


2011-06-09  Julien Nabet  <serval2412@yahoo.fr>  [91b8087cc39dfa8a1752285d9ee44a20990314c9]

Some cppcheck cleaning


2011-06-09  Julien Nabet  <serval2412@yahoo.fr>  [dc2eed242d3e786ba34b3c30f7b6d7e0fe0eec08]

Some cppcheck cleaning


2011-06-09  Miklos Vajna  <vmiklos@frugalware.org>  [8fcf779a76913b1d2376a8a94a74e1fd1747352e]

enter RTF_SHPPICT and RTF_PICT


2011-06-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cdff302d55db0cf2e2e2af701f12f1e10c39d989]

Workaround a limitation of draw


2011-06-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [08a89e1ba5bde00fa9cd5946f7c3a9fb9befd5ab]

Give a more dignified name to the Visio file-format


2011-06-09  Miklos Vajna  <vmiklos@frugalware.org>  [bf3f925e72ef3ab60dae26094def60716c2791ed]

implement RTF_LTRPAR and RTF_RTLPAR


2011-06-09  Miklos Vajna  <vmiklos@frugalware.org>  [ace7605a05ff51cb32e1dd877674fd92c14e2a1b]

implement RTF_AI


2011-06-09  Miklos Vajna  <vmiklos@frugalware.org>  [0e46b0a7ecd438dd66308e739d824a3766dec23f]

'1.' (with '2.' prefix omitted) is %2, not %1


2011-06-09  Miklos Vajna  <vmiklos@frugalware.org>  [e8fb7c5b598de335c8f56123e3322901b98ab77b]

implement DESTINATION_LEVELNUMBERS


2011-06-09  Miklos Vajna  <vmiklos@frugalware.org>  [60c98155e245d3b65d14802c1e324c94b1ba3e8f]

add RTFValue::setString()


2011-06-09  Miklos Vajna  <vmiklos@frugalware.org>  [4dabe5b4f171054c79302f44920b8a1fb0907746]

better RTF_LEVELTEXT support

numberings with style "none" are now imported

2011-06-09  Miklos Vajna  <vmiklos@frugalware.org>  [be958ec489a4f0c19e2872b7b4f85a84ee38e0b0]

cleanup


2011-06-09  Caolán McNamara  <caolanm@redhat.com>  [f1033f5137a758b507af47c28f1dad8db79cb079]

these are empty by default


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [9ef0cbba20148f36464a8b99d5f0e1052c20d511]

introduce aListLevelEntries on the stack

With this, it's possible including the contents of aTableSprms when
adding a new list level entry to aTableSprms, reducing the size of the
XML dump for a simple numbering from ~2MB to ~100KB.

2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [925acf9d9f208cc57302c268f1f682435a10ba75]

implement RTF_PLAIN


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [a57e80b7d9a4a698afb2eac413b305f40199ab04]

dmapper: fix NS_sprm::LN_CFDStrike with zero nIntValue


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [fb75875777571048f4c54ba6fc9ea279eb23eb31]

styles entries can have character and paragraph properties


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [cc64400f870cb070612dbf82ffa1b3944f6a9096]

keep table, character and paragraph properties separate for \plain and \pard


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [4344d5431f1ddf5561393f208eec0531c13e4357]

RTF_LEVELSTARTAT is a trivial sprm


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [6d08d8532839ae3c210d097099a1d95a65b3ee41]

RTF_LEVELNFC is a trivial sprm


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [d5a524f121385d15fff6a1056917cce79606127c]

RTF_LISTTEMPLATEID has the same value as RTF_LISTID


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [8d45dc028602bb5f7cecc0ce369dc6159265ad7b]

RTF_LISTOVERRIDECOUNT stub


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [5239f7ef715ed8bb6072797e8a535d7d7d7ee0a0]

implement RTF_LEVELJC


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [36809b17154f1c046230d0d0e465cf5e71693360]

RTF_LEVELFOLLOW stub


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [10f4898b92f0cd8dc50ed5145d7a991ee33054e3]

implement RTF_LANGFE


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [a05d11dbeea903a93525366b41d65720b8b1a9bc]

fix RTF_LS: NS_rtf::LN_LSID is an attribute


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [9cddfebb42791751f82a1a4bced8d9abe64ae95d]

RTFSprm: pretty-print sprm names


2011-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a9a7895c27d2cfaf9cc22cdcde3ee012eacb29f2]

Laying foundation for multipage support in writerperfect's OdgGenerator


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [25b28abe25e492657cf91825d87ae6afc5663811]

send listlevel index to dmapper


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [8baa2f775271c6c5577010460ad9717af3e6a2a8]

move RTF_LS under numPr as well


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [f2107d11ec2be680eb1d02cf8ca9a5e4208df7f2]

RTF_ILVL should live under NS_ooxml::LN_CT_PPrBase_numPr


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [e574e94907bc7ca316bbb0049f479890a26ebb86]

implement RTF_LEVELNFC


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [90d683e5a5c62300feee20e10a270b9404176e2b]

resolveChars: return early on skipping destinations

When we skip a destination and it contained a \'xx, it was confusing to
see xx az a character in the output, even it was never sent to the
dmapper.

2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [1135df332992522d71432df8408e053173971018]

implement RTF_LEVELTEXT destination


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [01e9930ed12e8426374d79a07dbef66d534513ed]

implement RTF_U


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [7a55d02a80275cf322620cb1f531e219d15a7d60]

resolveParse: hex a..f is 10..15, not 0..5


2011-06-08  Miklos Vajna  <vmiklos@frugalware.org>  [415284c7fc03007e187c88928d60cb313b418407]

implement RTF_LANG


2011-06-07  Joseph Powers  <jpowers27@cox.net>  [1c8724a8928ab7140ebd095c107b086f6b24976d]

gcc 4.0 doesn't support the C++0x usage of enum::value


2011-06-07  Joseph Powers  <jpowers27@cox.net>  [c7af4bdf0d69987f4ef80a6b86ef21621b028a88]

The enum type name should be included when accessing the enum values.


2011-06-07  Julien Nabet  <serval2412@yahoo.fr>  [9e611709506e2507b63a82a5037445a1303f21d6]

Possible inefficient checking for emptiness


2011-06-07  Julien Nabet  <serval2412@yahoo.fr>  [085841d4a78a7c2072adfcf68e869fde91a4957e]

Found duplicate if expressions in ToXml


2011-06-07  Noel Power  <noel.power@novell.com>  [ce716d997522b2ca0fa484bdc4c895f33a0bfd80]

fix for bnc#693386

properly handle relative Uri(s) in Target

2011-06-07  Julien Nabet  <serval2412@yahoo.fr>  [3ef07332c2f92e289d9f437f4b7cb49e800b532f]

Just 1 perf check emptiness


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [d8f6a811b0acbb93130e60ea3a5fe9c9e5027c99]

WaE: MacOSX uninit variable


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [54c373f01288e1d8559bdef1270529b10ecdfddd]

WaE: used in debug-mode only


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [5936740613cdcdc0dcf0e070bb1f614872924974]

WaE: MacOSX compiler more picky


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [224b062f80741d726d0bcf330a2ace395e2ad549]

WaE: MacOSX gcc more picky than mine


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [73b1033de5d4abdb6178a0752ee0aa38c7cd0e6f]

WaE: MacOSX more picky


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [ac437ec40ec05759f60b5db31c09027bf051e8ac]

WaE: MacOSX compiler sees a few more


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [9d203ea851e1f8549660774c01fb35feba8bff4b]

Resolves: rhbz#710556 don't crash on missing graphics (cherry picked from commit b883b506e2d4dca419838b56915c58a0030d5b98)


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [724afba0cfedb762e4f9ceb052f4fef883c958e0]

Resolves: rhbz#710556 don't crash on missing graphics


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [977531af7fd4c09c2218e454a7fc7d6834d0955a]

WaE: extra macosx non-debug warnings


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [5e6eec314096be6aba30b16c6183a03541770d7f]

WaE: can throw out some more junk according to MacOsX gcc


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [6c6e11b3d94d9dbba5e7f083a7bae89379d97695]

WaE: mark this dir as warnings free


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [075891f158a222fec74555462c679271b24f757d]

WaE: mark this dir as warnings free


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [0c6ed69b34ec2c3697eacbe04b7a412d9852a116]

WaE: mark this dir as warnings free


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [379b4e37fc9e9068bd68528d9276722f5e6f6ba2]

WaE: mark this dir as warnings free


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [ad33141b45494e8534f533d9dc04a3685d01a547]

WaE: mark this dir as warnings free


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [a3d0cf4f8ec5ffbd5c349434ad88e05504320f46]

WaE: mark this dir as warnings free


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [2d8e2aa21eb1781485cfd824101cea3a557657e8]

WaE: mark this dir as warnings free


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [b29d4544a0cafae20f98082582ecaef426504ce7]

WaE: mark this dir as warnings free


2011-06-07  Caolán McNamara  <caolanm@redhat.com>  [03103a18b858cba0bd58dfc920b17314a48834df]

WaE: mark this dir as warnings free


2011-06-07  Miklos Vajna  <vmiklos@frugalware.org>  [ad62b31e7075b11c1ab426463aaf38fbee6f399c]

dmapper: ListsManager::lcl_entry: rtf is not binary doc


2011-06-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ed9ec282d9d2b24f6f5071d9722a6c1570ba7f1e]

Fix parsing of WordPerfect documents that are not password protected


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [d3eeb315cfeb150d40b1204533bd16ea94eee8e1]

implement RTF_ILVL


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [d3825c221d2961af3e17e952c6870283b58c1abc]

skip RTF_LISTTEXT


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [b793742062da3f7d7b50eaf7d0fae62fa7cce917]

implement RTF_LS inside list override table


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [ab40888cfcd10f8e0b74a219c5ef92a31eece9d7]

RTF_LISTID: use ooxml namespace to avoid assertion failure


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [05e66575fd550eac619046341049aef3b443f1fc]

rtfvalue: reasonable getstring output for int values


2011-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e3c077ea62a25b2b03975cbfe4bdba3e79ed588f]

Trying to finally get the visio filter registration right


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [352aab3d69ba009998db8d37ca1ac8ea0267dc41]

fix typo, the collected properties go to the list table


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [012dd53a1c507d50867e087e015d515d02561acc]

implement collecting at the end of DESTINATION_LISTOVERRIDEENTRY


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [241ed1b0bee8cc824205063f55611818acb94b33]

collect property set at the end of DESTINATION_LISTLEVEL


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [6d7284ae5a09a7a4d6ccef4312ad03445455a3fc]

RTF_LEVELSTARTAT


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [4410bd190d55aeeca6005e06f39b78ee2f7d2485]

clean up RTF_LISTID, this code should scale well


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [6b85292c36322fd0260b459bef69bb9bd0ea3587]

RTF_LISTLEVEL


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [b1f72519fc19fd2446b420779cb801a16058883c]

initial RTF_LISTID


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [3e7b1ec05e0172084d081aad7bd44f720100fd92]

implement RTF_LIST and RTF_LISTOVERRIDE


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [20209fc321dd939864b695eab73632e113b017cc]

move m_aListTableEntries to the parser

that table is needed by both the list table and the list override table,
so keeping it on the stack has no benefit.

2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [7ada02f5235d7bd66278e92715c9d28eb9e0f53e]

this should be still a map, not multimap


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [66c46b774df4e6c455d8c139758e32f235429b20]

rtftok: std::map -> std::multimap

This is required by for example numberings, where keys are not unique.

2011-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c3366c681be4dc9d48752167be349ae6bf5cf4ab]

register the visio component too


2011-06-06  Jan Holesovsky  <kendy@suse.cz>  [7c17774a417603ed1b574597ade6fd774c5ead2b]

Merge remote-tracking branch 'origin/libreoffice-3-4'


2011-06-06  Miklos Vajna  <vmiklos@frugalware.org>  [8142ec2dc571f78b17783b4754408cab52442c68]

Implement RTF_LISTTABLE and RTF_LISTOVERRIDETABLE


2011-06-05  Julien Nabet  <serval2412@yahoo.fr>  [af75b3ec875ebbc0bfa83e32368d09263ec01a60]

Unused private func 'LwpFontAttrEntry::IsSuperSubOverridden'


2011-06-05  Julien Nabet  <serval2412@yahoo.fr>  [48acf22d2a38753dac60381e469a98e85df0103f]

Unused private func 'LwpBulletStyleMgr::GetDivisionName'+perf check emptiness


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [cad7f0caacfbd9b765b2cb833547060d2aff1f5e]

implement RTF_TL*


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [65eec34a1887275d9d3ac2a88aa04d65dbc05d85]

send text based on current encoding

tested so far only with the "..." support, not with real accents

2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [b90d944724c610b8bcfba3c27a7929effddecbf6]

add support for reading hex chars in \'xx form


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [1b3c3b711f994b5d2ca165ce42c4f4137fac720f]

RTF_FCHARSET: fix typo


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [b7f55af94fb76005005d006ce1f9be1e1fcbe4b4]

implement RTF_TQC and RTF_TQDEC


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [9f309b083d03fe17c589bf9e8dc9ac13cf0327d1]

RTFValue: return references, that reduces code here


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [c5ceff686b75f586c15f24eeff0400dfba101e9c]

lcl_insertTabsTab to avoid code duplication


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [fedf6eff43fe56d770f4f491d2bb387da2c0dad1]

implement RTF_TQR


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [ff6b02d6582f72e189846bfcd1179a21afe48cce]

implement RTF_TX


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [2fcec05592e45cf87b573d416a38448bcc18e246]

rtfvalue: make it able to store sprms as well


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [2a2e58e68cfaf24ac17a531a6b244c11f45b0593]

implement RTF_TAB


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [9603e5da39e82e1f144c4312a65e19061fbc09e0]

support 14 other border line types


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [bfe876f8896c4c5f9b630ebcbda4a496a5f0e347]

implement RTF_BOX

and RTF_BRDRS, RTF_BRDRW, RTF_BRDRCF, RTF_BRSP

2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [c20e2db20d99d844364cdd9943b8f6bb1d86d5ae]

RTFDocumentImpl::getBorderTable to have border ids at a single place


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [6014b49d62710efc9775becd73be5608027e1035]

RTFValue::getAttributes to make it possible altering attributes later


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [fbc9f4cd06b7d4b2ce19d3c20da16593bbdfe5fd]

dmapper: rtf is not a binary format


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [2a6447853619eebdd5d047ffb5867253a949a4b0]

dmapper: add IsRTFImport() method

it's not too elegant, but unavoidable at the moment, given the already
existing "if ooxml: ... else: assume binary doc" approach.

2011-06-03  Caolán McNamara  <caolanm@redhat.com>  [459b0fbc51f09b60307cf592eb706bb00c532b56]

Let's leave the binfilter smallcaps at its original historical value

i.e. reverts 6619f525a6602546b253e61ecd0bc9906be92df9 while leaving
the modern bit changed, now using the compatibilty flag to keep pre
change docs unmodified.

2011-06-03  Caolán McNamara  <caolanm@redhat.com>  [eab792f246cb3416bb1854b7ea2fea13d5572f32]

remove unused defines etc.


2011-06-03  Caolán McNamara  <caolanm@redhat.com>  [bddbacd876301eba748edc52db3afcf5c3314cd3]

WaE: throw out some warnings


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [b3a86ebabb93b1926e4ffe8ab9e80165eeb72a85]

implement RTF_CBPAT


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [48f89c331c0969b85fe792444ec7a8b3dbbaa188]

implement RTF_WIDCTLPAR and RTF_NOWIDCTLPAR


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [6982bdb957458a3817a15eecf33a19425a8d9299]

implement RTF_KEEPN


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [654b81b760afe6615138600a278ab9ee42afda58]

implement RTF_KEEP


2011-06-03  Tor Lillqvist  <tlillqvist@novell.com>  [49412984560cc4bd78d8e671a26321980fea519c]

Drop %_EXT% which was always empty


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [52b2e788c750825068ad9a25e7695b180f0abe1f]

factor out one-liner value attributes


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [594ace1046d0c421d53fb43d3f5262bb906c1de9]

implement RTF_SL and RTF_SLMULT


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [bfdb860a3ad4986e4d35d70051f4293546c2642c]

implement RTF_SB and RTF_SA


2011-06-03  Miklos Vajna  <vmiklos@frugalware.org>  [fd4d37fecf8f4cf32ae5454e484a5395189a4470]

implement paragraph indentation keywords


2011-06-03  Caolán McNamara  <caolanm@redhat.com>  [c4babd62d16940ee5dbdf3cab00f2b056bb6916d]

WaE: throw out some warnings


2011-06-02  Caolán McNamara  <caolanm@redhat.com>  [6ba9a1fd541d0311555bbdce662267781c33d507]

WaE: unused variable


2011-06-02  Caolán McNamara  <caolanm@redhat.com>  [5725dd5035f4460af5428fbdb1890ab29d2ec828]

WaE: can only be >= 0 by definition


2011-06-02  Caolán McNamara  <caolanm@redhat.com>  [eec2c818b352248077620e9b89bbef711b69eecd]

WaE: set this dir as warnings free


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [4c9181ddfd5ef3eabe89a43b27952e69ab40ecc2]

implement RTF_QC, RTF_QJ, RTF_QL, RTF_QR and RTF_QD


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [7a0007afe718a5f286d87069dff0c9e3b32d676f]

delay paragraph properties till first text so they can change


2011-06-02  Luboš Luňák  <l.lunak@suse.cz>  [85e3d6044fa9fef14c0075d09ca534d98ef6056c]

fix w:tblInd to work


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [86696bcc53b49fec821e91209ab330d82a95bb8f]

warn when skipping destination


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [e0ccad20c497f291df46eff4d9199a34acb4b4c0]

RTF_IGNORE is an exception


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [6d315b861419ea2dae40e0819424a8e1bf844804]

clean up the output


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [0f7046a9ec3cfc32bb38410a99f2ae8cc6179c64]

avoid code duplication


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [dfcf577c5c02f8211339cadbdfacba749a2ffe59]

implement RTF_NOBREAK, RTF_NOBRKHYPH and RTF_OPTHYPH


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [261c7e50b10164adb480ef93b7e204308ba81ca6]

limit the role of \* to the first keyword for destinations, too


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [06b6523e75c93e8a2af18aac034f56c8068e4f51]

factor out dispatchSymbol


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [39cb501617f48b5abcba82ea75b9efc2c2543a91]

reorder to match order in spec


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [e8429fd993318958d08c846f6d63e63d15c0d7f3]

implement RTF_CS


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [02d93d397b2c16b00801e087bfdbcf9502f5aba2]

always reset m_bSkipUnknown, even when the keyword after \* is handled


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [1a191c65e8a63f15002526fc997065a3214e79f7]

skip more destinations after \*

- skip if the destination is in our table, but we don't handle it
- skip if the keyword is not a destination (see spec page 10)

2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [9d890e52f60814245dad88584fbcba85ed294c56]

RTFDocumentImpl::dispatchValue: cleanup


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [ffb1c35481668373a3ee2fa69c05c81e1e09edf9]

implement RTF_IMPR


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [f36a9bb1803c440d97382d0138d1be08c397d2a1]

implement RTF_CHARSCALEX


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [b4fe2d297b650286405dcdbb02a35e8ec67ac005]

implement RTF_TWOINONE


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [c626b799be7a79233ed0bf4a9a7dc1cd7487c767]

implement accent characters


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [c66598accd641789daed1313c9f3d3a66a147be1]

dmapper: spelling fix in DomainMapper_Impl::handleToc


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [c7f07a42361594b901220d1f745151b3675a9434]

implement RTF_KERNING


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [042c3a910ada1bb605321591cc1c509876f01d2e]

dmapper: fix character pair kerning

PROP_CHAR_AUTO_KERNING is the default in Writer, ignoring the parameter
rendered this sprm a noop.

2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [d2a15fec0dbacd430d0bc5191efb049373b794fe]

RTF_EXPND and RTF_EXPNDTW


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [4ed4c669babcc9dc03825aed5426f228964ad6a7]

implement RTF_SCAPS


2011-06-02  Miklos Vajna  <vmiklos@frugalware.org>  [9ab66ee26137f655efc7505a79b11fdb32d24888]

initial field support, tested with hyperlinks only


2011-06-02  Caolán McNamara  <caolanm@redhat.com>  [531da99add90de02fa522353b92e33f909d2b991]

use standard template for this


2011-06-02  Caolán McNamara  <caolanm@redhat.com>  [8e9261de7f3bfe385fe2a61f37b8f7ced5644acb]

swap in the standard template for this


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [702f37c79ee312861528d6acccbc7cf5211905e0]

implement RTF_HORZVERT


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [6e0ce3c44b63e202826738b2c55a6ed4989fee99]

implement superscript and subscript


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [6798b93ffbd86024868a346b6f1880d17babe38d]

RTFValue::Clone: copy all value types


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [41f18a0d2dd1dd46114131ba1e3b74d044f68386]

RTF_UL* implementation


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [4f97d1ac5572474c742b5a9307dd223218eede42]

dmapper: Fix underlying color, no need to convert anything

That case was not used so far and it was buggy, so I just went ahead and
fixed for RTF.

2011-06-01  Caolán McNamara  <caolanm@redhat.com>  [292226e4ed7fa7d54e4f2cfa9f11d49e5df39b09]

tweak this a bit


2011-06-01  Caolán McNamara  <caolanm@redhat.com>  [70f084981d300d35a169f2659bf61109d3e45c36]

WaE: useless debugging code


2011-06-01  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [738e23f883c0f7e50fc0f7f0983423d32da45001]

restore Korean comments that were smashed to just ? by 6dfe3457faf4bef4b7080d9f0df31b8aff693380


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [88585758891dadc83601257a33a5455b87bd242b]

RTF_STRIKE and RTF_STRIKED


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [ac2e86a7007073500b0b82e4e22204d694be5be8]

implement RTF_CHCBPAT


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [89c4e9b20fb3b999e9ad1141af8c91dbb4bf2444]

RTFDocumentImpl: fix rgb parsing of colors


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [140839c2339630ee386f18e3c222fcb2c16439b3]

implement RTFValue::getProperties (it was a stub)


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [36d7f5403ee5826517caab546f96a80979e41cd8]

implement RTF_V


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [e729e8d2811d374e016429e2b76f657d53c6bc58]

now that the tokenizer is fine, one line / character is too verbose


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [e74e267889fba11ed4c4365002e5ea8682926b45]

group sprm values


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [f34398891cd6503d60fd88713e1e9118dde6a514]

implement RTF_ANIMTEXT


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [ddcf07d925a95ab267778ce23d2b7732e787fb90]

implement RTF_SHAD


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [16b6fdad067c141b5186cecf70441391cdcc0c22]

implement RTF_OUTL


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [b3fe950bdd30a6d22aaaa7b456203754405d7e83]

implement RTF_FS and RTF_AFS


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [fb2120a85547bed637431008490740fd09bac2d5]

implement RTF_AF


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [d2763fa3ccf34fa11c782aa6643e9d62ea148087]

Make it easy to disable the new importer


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [addb5c5fdcd2b74b214cc1b7d7d0456fd551758f]

implement RTF_DEFLANG, RTF_ADEFLANG


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [58b769b0e831836d26cf7f7d4e7239cf7c6d806b]

implement RTF_PARD and RTF_DEFF


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [8f1a6037b8980c6627ebfe4768e51f90066ec731]

restore encoding on RTF_F


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [b83123f0b2a5a0db4efdd8271bc47edfaf3c77af]

implement RTF_ANSI


2011-06-01  Miklos Vajna  <vmiklos@frugalware.org>  [3f8cb81742a73c01afd76fc651afa2d5066426dc]

RTF_SBASEDON, RTF_SNEXT: these are not colors


2011-05-31  Jan Holesovsky  <kendy@suse.cz>  [49f76d0307dfd433957b140b5317aa749a11d3a8]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/filters


2011-05-31  Jan Holesovsky  <kendy@suse.cz>  [bf15ba9d191bf5b0333a080b2a8951d550a31bb5]

Merge commit 'libreoffice-3.4.0.2'

Conflicts:
	filter/source/graphicfilter/eps/eps.cxx
	oox/source/export/shapes.cxx
	oox/source/xls/workbookhelper.cxx

2011-05-31  Miklos Vajna  <vmiklos@frugalware.org>  [44b758fa9e6b97cf2ec8607cfac895f5349900b4]

cleanup


2011-05-31  Miklos Vajna  <vmiklos@frugalware.org>  [031409b3c0eedfc996562b766cf823b560f06475]

drop ; suffix for font names, too


2011-05-31  Miklos Vajna  <vmiklos@frugalware.org>  [55bcc9b50bd908aafb570af2f1175a72665df384]

apply paragraph properties

paragraph styles now work!

2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [63397e76ef03390551be356388d8f95e84f54e08]

write style number as style id, not just as position


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [fab7696f4150e314bede322bb3e5f4b85f508f36]

start initial paragraph / section after font/style tables


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [405fdbd53bb2eb9323ac8669b2cce868e1046fbd]

drop trailing ; from style names


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [f7b0fcbefd22135e760c948f09411f6c0e16ec0e]

implement RTF_S outside RTF_STYLESHEET


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [8fe5583bd44a884a0024ee2302b4052e5a561d8e]

implement RTF_SBASEDON and RTF_SNEXT


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [f8e95d4ea7127142959ea5c2cc57d583bf468cdd]

add names to stylesheet table


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [c51378c56090506bd12b5881006d86f643265290]

initialize member


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [148ce200f8ab2ed87ef352ecebd03669d6a13318]

initial stylesheet support


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [a42bb8373b6301e7c35d1721c8f8b8104548bfaf]

look in stylesheet destination


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [e75789726622d50484ad63e76850476ca2a2374e]

destinations ignore parameters


2011-05-30  Korrawit Pruegsanusak  <detective.conan.1412@gmail.com>  [fc8a0318f270cd339f22b03e0b49269bf835b853]

Code Cleanup in filters

* Fix typos in comments
* Remove bogus comments
* Remove dead codes

Released under LGPLv3+/MPL

2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [8298d3907e91e0436009e9ad2a14c77f427c2b0b]

RTFReferenceTable: missing doc


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [37972c1df230e6303ed82c5d10dfa75336ac1021]

implement RTF_CF to test color table


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [c8b96cb0bd3c110bd845cc4ca9fa21f0ef8554f4]

implement RTF_RED, RTF_GREEN, RTF_BLUE


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [99925e27c1945f419611e92353575bd41fa911ca]

introduce RTFColorTableEntry


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [defdd890a051511cb0058231e41759ac17424410]

start initial section to silence dmapper errors


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [a3a45355694b811a882964dd530010c3a6aa3e82]

finished implementing RTF_F


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [c156bc7fa8193941c42aae57d37bcb85e28531b2]

RTFValue::toString: handle string value


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [c4a4c33630c03ef84a2f493bb2b6d17d112499b9]

RTFReferenceProperties now takes care of attributes and sprms as well


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [a5abbdf1d470c269c3c7cc0d56ccb25ec94bf883]

change the attribute hashmap to rtfvalue as well


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [8170f3ee409ddff17f9c2b0464f8270b49ab3085]

make it possible to store strings in an RTFValue


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [cd997f4f1bdd05cf0cceee2e402bc4d411b9090a]

store RTFValue::Pointer_t instead of int in sprm hashmaps


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [abe7c6cf87dc866db4de39e082c47bc7617c5197]

int -> Id for sprm / attr identifiers


2011-05-30  Muthu Subramanian  <sumuthu@novell.com>  [d4e3d9ffc7e967e5fef42cf9534385e18b23620e]

Fix xlsx 2010 export.


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [02e1dfb4beaf99fe26390f99fab95ffc1a1a210d]

same font name to attributes (to be sent to dmapper)


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [93c46e53114ac810d25d7789641d536f03c58416]

store RTF_FCHARSET info


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [91ae144fd151d75efef93c9744185f3f145c5072]

move extern to header


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [0b543d12bb0d3849067cf772fb025f2151637722]

add charset table from spec


2011-05-30  Radek Doulik  <rodo@novell.com>  [3c94f97d363b29da450bf98d47d00ac5beaf09f7]

set link text properties

 - hlink color from color scheme (if not overriden by text character properties)
 - single underline ( ditto )

2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [e8ffb9255044f1888bf20fa2665e3fc80cda5dc9]

implement RTF_FPRQ


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [d4b2586eb1f8258606d78e40f1f863016b596c38]

font family stub


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [d144770381839131949616bd3ca13c5156239187]

introduce RTFDocumentImpl::dispatchFlag


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [28b1dfdb4f21276995b8cbf7f792c331433e9397]

implement RTF_F


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [beccf5b277913456b2a9dae402812e6e80647c8f]

initial RTFReferenceTable


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [a92b49a1e989f704c4d7b4705c0ccfba31548abd]

introduce RTFDocumentImpl::dispatchValue


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [58ec54dc620e8632d4caea69f4db2bd1e41e247a]

implement RTF_FONTTBL


2011-05-30  Miklos Vajna  <vmiklos@frugalware.org>  [f1c8f53722b89504b452e3a34c22c3e642ae5bb2]

implement italic and underline


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [fd65e40e9e84b527ac093751d907a5f5c26543c3]

handle \ab


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [635596636e7a361a7803bfa42a6f80f42aa8a6ef]

missing doc


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [93485e6864c15136fc5e08c46039f1fdcd382010]

move RTFReferenceProperties to its own file


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [6980576f15fc49a9dc98d47d6f25512415850fe8]

move the sprm map to RTFParserState

that ensures that char properties will be reset at the end of a run

2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [80063a8dfd802964a2f49bdd048064f9a927e35a]

make sure we don't try to read from empty stack


2011-05-27  Jan Holesovsky  <kendy@suse.cz>  [15c2499220a1a1a8f67831aaad393da3344ee016]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/filters


2011-05-27  Jan Holesovsky  <kendy@suse.cz>  [1d9a722dcea2d3a5784323378f94691cc78b7f9b]

Merge remote-tracking branch 'origin/integration/dev300_m106'

Conflicts:
	filter/source/graphicfilter/epict/epict.cxx
	filter/source/svg/svgexport.cxx
	filter/source/svg/svgfontexport.cxx
	filter/source/svg/svgwriter.cxx
	lotuswordpro/source/filter/lwpchartstreamtools.cxx
	lotuswordpro/source/filter/lwpfrib.cxx
	lotuswordpro/source/filter/lwpgrfobj.cxx
	lotuswordpro/source/filter/lwpidxmgr.cxx
	lotuswordpro/source/filter/lwpobjid.cxx
	lotuswordpro/source/filter/lwpparaproperty.cxx
	lotuswordpro/util/makefile.mk
	oox/prj/d.lst
	oox/source/drawingml/chart/chartdrawingfragment.cxx
	oox/source/drawingml/makefile.mk
	oox/source/drawingml/shape.cxx
	oox/source/ppt/slidepersist.cxx
	oox/source/token/namespaces.hxx.tail
	oox/source/xls/drawingfragment.cxx
	oox/source/xls/excelfilter.cxx
	oox/source/xls/makefile.mk
	oox/source/xls/workbookhelper.cxx
	writerfilter/source/ooxml/makefile.mk
	writerfilter/source/resourcemodel/makefile.mk

2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [4f5dcb0e74c9569a1afd7ff1b01d7447792c4bdd]

initial RTFReferenceProperties::resolve


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [a45a7c2e95c365b0a01612b87e6c0db632001a4f]

change sprm map to <int, int> as required by doctok/sprmids


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [e3c90e0b173ad68f2439ca77c141603735231361]

initial RTFSprm


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [5d28332cae6237e1c2faa4d2f20f7561f5d3433c]

rtfvalue: allow cloning


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [d12c7383e92fb8c36f6f6de45d7039bc2b4080d8]

initial RTFValue


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [ebc4dbc1a70d667844dcec0abb7f6ecf3d5c1363]

RTFReferenceProperties skeleton


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [ec3ecdf9b4d6219c239816ffbfb8e2751b0d3cc9]

RTFDocumentImpl::text to avoid code duplication


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [8729ae41c73b2f6fb401f629361b3bd4628b2860]

handle \par


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [7eb86731448916bf49877c4066b5cfacf42ab3fb]

separate what will be moved later to start/end paragraph


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [cb8756df6b25ad8600daae0840a7de273c7c6aa1]

factor out RTFDocumentImpl::dispatchToggle


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [9ffc37bc1fa0b75ea86ceb1eea1b1b536aa70ef6]

introduce m_pCurrentKeyword for debug purposes


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [ac13540416af44fb8d7bbd839dd6f141550b6cf2]

factor out RTFDocumentImpl::dispatchDestination


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [d26a537aebde8b81952410def1db853110a2b096]

use the new rtf keyword enum


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [271f1be21e0dfa5c823c68aab58438886cd648ec]

introduce enum for rtf keywords


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [96f858017b3d6b46b7f747a3a7c6c86c5a6a41a6]

RTFDocumentImpl::resolveChars: we need a \r at the end of paragraphs


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [15f1f92e3c76845e53da6af12ffee25b56031589]

implement \*


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [914655557d7ea7bdbaa29e9d7795c9e590542667]

we still need m_nGroup


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [9b4fc7c11c99ca130fd9f60956fc8e8d71e261f6]

make valgrind happy (don't read uninit address)


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [4f2b822d654c5d71da9d35438b7ca4c7b3ab822d]

ignore chars when skipping destinations


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [09c3753dba55f08d88416788ab68ae4821dffa5d]

init RTFParserState members correctly


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [fa3619dceb9aafc3beb18904f22a7d142d462a1a]

use a stack to handle destination states


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [9f4b80a4e7f49e82db39a2bdca926fcc49dec234]

introduce RTFParserState to save the whole state in one step


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [12c34c2bdb97d007372c6d283b35d8c06081c6a9]

introduce RTFDesitnationState

note that we never set skip back to normal manually, that will be
handled by popState()

2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [0a0a76a2cba1cecbc5a965c63246173cfdd6618e]

rtfcontrolwords: drop N suffix


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [cb95d6ebcfc33eb5bd6e5a40416a5a5d7ddd2f42]

extern arrays should be declared like this


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [6569544b9c12968ae753b00030c9cb869fc38cb3]

RTFDocumentImpl::dispatchKeyword: query control word type from table


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [03cd40a59d6ba19f01f7f5f8e002a330399c2aaf]

extend control word list from spec


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [3a1f9803afff6eb4496a36ee3f7e30714402bd6d]

document RTFSymbol


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [3e38c1953ebc3c3e3fbc1cb239da8eb09abe1db7]

introduce initial pRTFControlWords


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [223cfbff03dd09d0105077499a8db4568583a694]

introduce RTFControlTypes


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [4a084f03b4959b6be90a7e466b9d490d22bc8c61]

initial pushState, popState


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [136412ed89913cc0c8e2171fc487d7a0811ccabc]

introduce RTFDocumentImpl::dispatchKeyword


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [1c8a80a7c273cdd24c3ecd77e52d32741f1f6235]

indent


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [76df0d3410453b824547b5f2371afbf84b624360]

RtfFilter::filter: open/close domainmapper logger


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [df8e82c22bf56f7820b058f9e5847f913278c742]

dbglevel>1 should define DEBUG_LOGGING

DEBUG_IMPORT enables code to open/close loggers, but DEBUG_LOGGING
enables code to write to it, so having only one of the two in
debug_setup.mk makes little sense.

2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [346d36dc68c71fce51b1b51f3a604802b4eb3501]

experiment with utext(), so far the ! from 'hello world!' is missing


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [91387d6a0fb165e61f6af3bbaca92ba1fffe97a2]

introduce RTFDocumentImpl::resolveChars

so run text can be handled in one go

2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [8e3e29bc2ee78de6a0e81fa8eeab46374237048a]

don't pass the domain mapper to resolveParse()

it'll be a member variable once it's used

2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [f6af41e4bf008006192687dfc7262b57ff62f5c9]

initial RTFDocumentImpl::resolveKeyword


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [127ccf4f8b45987f991badfd23954a6015d3f0c0]

introduce RTFDocumentImpl::resolveParse which is not void

that results in avoiding "error code -> error string" code duplication

2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [47fc123e614e700ffca6294de984c8a3bddea9c5]

prepare storage of group count and internal state


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [ca494e0c83d524dafb86dae77774efe4b9e516a6]

read till eof


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [9b7c7199bd10f8570fa7150544ff949690bc5dc6]

introduce RTFDocumentImpl::Strm


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [f0cd3117af73330e389c20912f2d8301f765b1d0]

read a single char of input


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [56c35bb46e0206d5fc38bb05b62a93812bdda10c]

wip: let RtfFilter::filter call RTFDocument::resolve


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [906fca408aa751f079be209fb623ac3b8090d596]

Initial RTFDocument and RTFDocumentFactory implementation


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [1345f6347055db2f6c5b510de165046a06c99c87]

Add rtfdocumentfactory and rtfdocumentimpl to build system


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [58bd264b1cb5bca39b348c282a4cca9fa6c5debc]

define WRITERFILTER_RTFTOK_DLLPUBLIC


2011-05-27  Miklos Vajna  <vmiklos@frugalware.org>  [d36ee54433a3a7379ed404281b4efbe458c02d52]

Remove the old unused RTF tokenizer


2011-05-27  Rafael Dominguez  <venccsralph@gmail.com>  [07288355f7780aed7b392df93d0746efeb8134f6]

Replace List for std::map<sal_uInt32,ByteString>.


2011-05-27  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [818b0b10a43e2943c2dab0935b5d3bc33f5a8f39]

Use realpath: command not found for the includes in the makefiles


2011-05-26  Joseph Powers  <jpowers27@cox.net>  [cb583642e1c7ea23c242393cc92db386d69ddca9]

Fix UniqueIndex() constructor.

I removed _nInitSize & _nReSize parameters.

2011-05-26  Caolán McNamara  <caolanm@redhat.com>  [fa7920f160d696e94ef7b5581d690def6161ab27]

don't leak configitems


2011-05-26  Caolán McNamara  <caolanm@redhat.com>  [9e858febb9cd4c1285ef2942faf3b21c701be500]

incorrect ref bump


2011-05-26  David Tardon  <dtardon@redhat.com>  [67d314b60bd72d0274ed9afaaf4f605a6d697101]

better try. i feel exceptionally stupid today


2011-05-26  David Tardon  <dtardon@redhat.com>  [7e62fb4bbd1c4dc09ef403b4a96ea8640c8ae556]

we do _not_ want debug stuff for dbglevel 0 or 1


2011-05-26  Michael Stahl  <michael.x.stahl@oracle.com>  [5740be28d52a392f5fd2cb8a9d6d931a25c18ba4]

xslt filter: remove the FLA horror


2011-05-26  Michael Stahl  <michael.x.stahl@oracle.com>  [8efae7a08f16685fad5ded95ac41f5f1b0128763]

wordml import filter: replace FLA usage with plain XSLT


2011-05-26  Miklos Vajna  <vmiklos@frugalware.org>  [2386f069d0fbb014b88917f2b904ee46d33f4917]

LoggedProperties::sprm: fix build when DEBUG_LOGGING defined


2011-05-25  Caolán McNamara  <caolanm@redhat.com>  [90b1d0fa3dce71c38e04bf5d0729f238168956f0]

WaE: fix for older compiler


2011-05-25  Caolán McNamara  <caolanm@redhat.com>  [0c3c5479a4efe684107bd23c1a66604cdd6721cb]

WaE: extra older compiler warning


2011-05-25  Caolán McNamara  <caolanm@redhat.com>  [a2a35ff0da417cb949748c45e03259df37ba9a6c]

WaE: extra older compiler warning


2011-05-25  Caolán McNamara  <caolanm@redhat.com>  [f3fcc956cc09f020ff67afed0d449470ffe5649e]

WaE: mark this dir as warnings free


2011-05-24  Joseph Powers  <jpowers27@cox.net>  [7981ec7fb5c7cadd83671561af63a5d60fdb0f73]

Remove some unneeded #include <tools/unqidx.hxx>


2011-05-24  Petr Mladek  <pmladek@suse.cz>  [6f692658f3724e13f153f29871a07e8088a7efbc]

Version 3.4.0.2, tag libreoffice-3.4.0.2 (3.4.0-rc2)


2011-05-24  Radek Doulik  <rodo@novell.com>  [9bd1ed007862502daab9956b2c9032fb7384aebb]

fix row height export


2011-05-24  Caolán McNamara  <caolanm@redhat.com>  [feeaca7c3768104d3b2d71f7ca648dc403fc6fbf]

WaE: >>= may fail, default to 0


2011-05-24  Radek Doulik  <rodo@novell.com>  [fbca18a98d697f768abf87994a5b67dffce0bd2e]

drawingML export, write table shapes


2011-05-24  Joseph Powers  <jpowers27@cox.net>  [846926f1e6136a836bd3e7c8a276b1b4d081aa6d]

Remove some extra #include <tools/pstm.hxx>

persist.hxx was expecting someone else to inlcude the file... I added the
include to make it more clear that it needed it.

2011-05-24  Caolán McNamara  <caolanm@redhat.com>  [3c6e5fbd4395f57b83931cf839d4355d8fc32413]

can only be true with unsigned values


2011-05-24  Caolán McNamara  <caolanm@redhat.com>  [372eab6e666e5b5b6a0d63bcff3a04cf364dfafd]

WaE: for older compilers


2011-05-24  Thorsten Behrens  <tbehrens@novell.com>  [e649df714c463a75aa136757c006797a1d523a0e]

Fix post-merge


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [08b6608e254ae22f0981d8bd3f31bff2edcf697c]

WaE: mark this dir as warnings free


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [7f0de1a00aee26a98d2395cb068a1ff5b1cb5d87]

WaE: throw out some warnings


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [62c88496a2821860f10372d14a243eebcca7585e]

WaE: throw out some warnings


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [bfdf0b1bf8a07920caa752513a356d2a912a1557]

WaE: mark this dir as warnings free


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [9d189451efe30d971448707b62fd3980085d6e79]

WaE: mark this dir as warnings free


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [64218e2730f435d2e0b293242ad774e5fcb353ff]

WaE: mark this dir as warnings free


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [bba2c10dca5035a30b07756050d92f5b2ee82355]

WaE: mark this dir as warnings free


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [083bfa7c58c13081477f8f0facbaef539b2421d7]

WaE: mark this dir as warnings free


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [508c811f9b2a165fc28e471eb94f1e8cd46f9141]

this dir is unused


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [7d75d42d8e73dd9e75878fab3d242939ab85f0dd]

fix up some more endian


2011-05-23  Norbert Thiebaud  <nthiebaud@gmail.com>  [f5b26e1833bcf2ffc1d14c9b6715fc211294fae1]

WaE on old compiler


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [c91bbfd0090eae028ccdee3dcbbc4ad73554bc98]

fix endianness sufficiently to pass unit tests


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [8cad5c99f8750854c75e576afe23de2df136a8b8]

WaE: more warnings are errors on older compilers


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [928df759844511ff09fd288773bd171022ecd017]

WaE: for older gcc


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [36be3a1419d05f0f405926adbe348bf19b8b8bad]

WaE: mark this dir as warnings free


2011-05-23  Jan Holesovsky  <kendy@suse.cz>  [12295aadcf19eeef9742c6309d696b8bba95cdb7]

oox builds again after the m106 merge.


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [6d404ff4f026d05a1ccdce9bb466efe3a475a313]

WaE: mark this dir as warnings free


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [44b900a62e8fb548e3b5357cd33bc203784fb983]

pointless makefile


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [0b7bf79dc9dc9d468320375eddef2dceb39294c9]

WaE: mark this dir as warnings free


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [52677389380a61c353b90ba8425b144a1058571e]

WaE: mark this dir as warnings free


2011-05-23  Caolán McNamara  <caolanm@redhat.com>  [d51f66e71c66dbb47ead3c0614f1df55c2ed04d6]

WaE: mark this dir as warnings free


2011-05-23  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [f9636c4610c06791f3c09a77b9546c9956466c27]

fdo#35667: renable complex.unoxml.RDFRepositoryTest checkSPARQL() as it works


2011-05-23  David Tardon  <dtardon@redhat.com>  [98650f56854e0273b5bbfa0a42413a71e623b2ff]

fix debug build


2011-05-22  Caolán McNamara  <caolanm@redhat.com>  [904fb3630d4b7ad8b2e67df6279a063c38780ac2]

fix up endianness of higher-hanging QuickReads


2011-05-22  Caolán McNamara  <caolanm@redhat.com>  [a65d284dcb855e0a75f0d4315e74ce4edbc2a196]

fix up endianness of higher-hanging QuickReads


2011-05-22  Caolán McNamara  <caolanm@redhat.com>  [e0a7f6bd9d18abbd6da27820b2d2878ee9d8a97b]

fix up endianness of lowhanging QuickReads


2011-05-21  Caolán McNamara  <caolanm@redhat.com>  [0e43ae7e32e7db728e18a859951198bf7007cdc0]

can't correctly use auto_ptr on new[] allocated memory


2011-05-20  Caolán McNamara  <caolanm@redhat.com>  [d82008c2cffdc0cdc219483445ea1af4d5c9003b]

WaE: remove warnings that are errors


2011-05-20  Michael Meeks  <michael.meeks@novell.com>  [7cc680609eab425d54fd07de5bbb987e51edabd5]

don't de-reference null pointer - fix crash with certain PPTX files

Signed-off-by: Jan Holesovsky <kendy@suse.cz>
Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-20  Caolán McNamara  <caolanm@redhat.com>  [d13ac79ed0610a0afb056f3bd59e4d1d5dab2302]

adapt for singleton api change


2011-05-20  Caolán McNamara  <caolanm@redhat.com>  [39ca0988ec640db8b3dea05e37d9dfa001031cba]

remove circular dependency to fix leak


2011-05-20  Caolán McNamara  <caolanm@redhat.com>  [bda34eeda752f459b3291be911369cf4fec3d96b]

config leaks: handle cancel from database wizard correctly


2011-05-20  Radek Doulik  <rodo@novell.com>  [0df94f21ae13aa9cea835c35bd06cca6b6c4fa0b]

fix config for pptx filter - thanks to Bubli

Signed-off-by: Katarina Machalkova <kmachalkova@suse.cz>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Fridrich Strba <fstrba@novell.com>

2011-05-20  Katarina Machalkova  <kmachalkova@suse.cz>  [6d0d863e6cf71fbd385d5beb8671ed13c37489f0]

Make export to .pptx 2010 work again

(use correct FilterService string)

Signed-off-by: Radek Doulik <rodo@novell.com>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Fridrich Strba <fstrba@novell.com>

2011-05-20  Radek Doulik  <rodo@novell.com>  [bac5c1ef995ac389f2921acd515fcbe1d80fd3da]

fix config for pptx filter - thanks to Bubli

Signed-off-by: Katarina Machalkova <kmachalkova@suse.cz>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Fridrich Strba <fstrba@novell.com>

2011-05-20  Katarina Machalkova  <kmachalkova@suse.cz>  [666ff5c8d4a8c039c5b52e728e113850887b953d]

Make export to .pptx 2010 work again

(use correct FilterService string)

Signed-off-by: Radek Doulik <rodo@novell.com>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Fridrich Strba <fstrba@novell.com>

2011-05-20  Michael Meeks  <michael.meeks@novell.com>  [427493cf5e94f6ce3eb0cbc8528df70e4b10bac0]

don't de-reference null pointer - fix crash with certain PPTX files

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-05-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [972e9a3f4e271c210b6eb0823a2e3453794e4033]

Some moving of block to have the numbers in sequence


2011-05-19  Noel Power  <noel.power@novell.com>  [cf2779629acca50c39617698e8161135d895c96f]

fix for fod#37367 ( docx import of hyperlinks )

this fix is a companion fix for the change made below
http://cgit.freedesktop.org/libreoffice/filters/commit/?id=cdd636907675d538ca10d479afc538ce3800e729
previously OOXMLHyperlinkHandler::~OOXMLHyperlinkHandler()'s call resulted in
the OOXMLFastContextHandlerStream::lcl_character method getting called which in
 turn called the OOXMLFastContextHandler::text method. This no longer happens
so we call the text method directly now

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-05-19  Noel Power  <noel.power@novell.com>  [394c8586058d81de279e02b0f635b9100044e5f3]

Revert "fix for fod#37367 ( docx import of hyperlinks )"

This reverts commit 33e58cade2d3e81a86484a10ae224a1160a004d3.

2011-05-19  Noel Power  <noel.power@novell.com>  [e74c4db63b61538fde9966ac6d861f4168a68618]

fix for fod#37367 ( docx import of hyperlinks )

this fix is a companion fix for the change made below
http://cgit.freedesktop.org/libreoffice/filters/commit/?id=cdd636907675d538ca10d479afc538ce3800e729
previously OOXMLHyperlinkHandler::~OOXMLHyperlinkHandler()'s call resulted in
the OOXMLFastContextHandlerStream::lcl_character method getting called which in
 turn called the OOXMLFastContextHandler::text method. This no longer happens
so we call the text method directly now

2011-05-19  Noel Power  <noel.power@novell.com>  [162865bb93e6c13903d54c2db965d4fe2674e223]

Revert "fix for fod#37367 ( docx import of hyperlinks )"

This reverts commit ac80fce47404c0843c372336ab700d62297f1647.

contains stray debug commits

2011-05-19  Noel Power  <noel.power@novell.com>  [3394b57a9def080df2c187efae94251d3bd8ca2d]

fix for fod#37367 ( docx import of hyperlinks )

this fix is a companion fix for the change made below
http://cgit.freedesktop.org/libreoffice/filters/commit/?id=cdd636907675d538ca10d479afc538ce3800e729http://cgit.freedesktop.org/libreoffice/filters/commit/?id=cdd636907675d538ca10d479afc538ce3800e729
previously OOXMLHyperlinkHandler::~OOXMLHyperlinkHandler()'s call to resulted in the OOXMLFastContextHandlerStream::lcl_character method getting called which in turn called the OOXMLFastContextHandler::text method. This no longer happen so we call the text method directly now

2011-05-19  Michael Meeks  <michael.meeks@novell.com>  [9c61a36383a3bc2fa818034c20c4d8529e52dd3d]

don't de-reference null pointer - fix crash with certain PPTX files


2011-05-19  Noel Power  <noel.power@novell.com>  [32c884dc19711ff6e150dc04f078223b5b5c0d27]

fix for fod#37367 ( docx import of hyperlinks )

this fix is a companion fix for the change made below
http://cgit.freedesktop.org/libreoffice/filters/commit/?id=cdd636907675d538ca10d479afc538ce3800e729http://cgit.freedesktop.org/libreoffice/filters/commit/?id=cdd636907675d538ca10d479afc538ce3800e729
previously OOXMLHyperlinkHandler::~OOXMLHyperlinkHandler()'s call to resulted in the OOXMLFastContextHandlerStream::lcl_character method getting called which in turn called the OOXMLFastContextHandler::text method. This no longer happen so we call the text method directly now

2011-05-18  Joseph Powers  <jpowers27@cox.net>  [16a0a8fa81d5766a1d8a5d03cc4c93db7ee616ce]

Remove dependance on libs-gui/inc/tools/ownlist.hxx

I've created a private copy for binfilter because I'm remving the one in
libs-gui.

2011-05-19  Tor Lillqvist  <tml@iki.fi>  [f69a040b450c861d4ba5efdb6a2f3df31b4b9705]

Add the wntgcc directories


2011-05-19  Tor Lillqvist  <tml@iki.fi>  [660eb819bfbd8f7715beddec2460c9f8c22557f1]

Add the unxios and unxand directories


2011-05-18  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [fd3a3741639bfa1390fb4c98379be8505d3d7f22]

fix warning variable may be used uninitialized in binfilter


2011-05-18  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [1febea894fb227ac54e676af2466e85bb900aa7e]

simplify code branches and suppress warning variable used uninitialized


2011-05-18  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [e3dfc1199ee9812ff4008566b51433f2b8e257f5]

silent warning declaration of X shadows Y in binfilter/bf_sw - part 2


2011-05-18  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [68776ca63235c7ef2c2c8754314faccdcf06e7c7]

silent warning declaration of X shadows Y in binfilter/bf_sw - part 1


2011-05-18  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [293573d33d549043b073165f3c73b683f56038ac]

silent warning suggested braces in binfilter/bf_sw


2011-05-18  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [5500616dcd515efaa169fb6a90ce079c3ade879d]

remove warning for shadowing of variable in binfilter/bf_sw


2011-05-18  Christian Dywan  <christian.dywan@lanedo.com>  [914d1e81c2735562a78f742874a64e56f79bb591]

Unify Display Grid/ Grid Visible and other menu items


2011-05-18  David Tardon  <dtardon@redhat.com>  [bfca58cdf1fb7dcaffd60fb7644ea0dc6ccc6a60]

do not leak memory


2011-05-17  Joseph Powers  <jpowers27@cox.net>  [0a0d91e4c99b3de4557ec88a2abacb62144021b0]

Change SvStorageInfoList from an OwnList to vector<>

Simple changes.

2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b2f1bf7f533b026d2bbf47912365a80cbc5da825]

Don't link with libraries that are not needed


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [56dcf042d4cb853aaca7ba23a4472a888f6b066b]

some tab -> spaces changes


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f1449e4c582c8aeb808aa32dd34f6af9c91436b9]

Some more makefile.mk typos that were breaking windows build


2011-05-17  Petr Mladek  <pmladek@suse.cz>  [c31a5d94d5e3d477de876badfb761701ba999ace]

Branch libreoffice-3-4-0

This is 'libreoffice-3-4-0' - the stable branch for the 3.4.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-05-17  Petr Mladek  <pmladek@suse.cz>  [bca00e3d9e5a074ede81d85f7d4dd6c095253ca3]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-17  Kohei Yoshida  <kyoshida@novell.com>  [c7bf65acc17708ee3a96eac2c74e01858e35da2e]

fdo#36339: Promote the default chart8 filter as the preferred filter.

This ensures that the default chart8 filter gets picked over the one
from Oracle Report Builder.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d427523a267b4ebcecef7494db2661750e3e76a8]

oops


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd9e4c6140ec9db8b7b765643ccc9bca6ac7860b]

Make writerperfect actually build again


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2355c8f36df0fb1b4bfc059659276dedf238d116]

Boilerplate code for Visio import filter module


2011-05-17  David Tardon  <dtardon@redhat.com>  [b5b89027f5b960470219deefe77d3a1b7b102cb7]

WaE: NULL was not declared in this scope


2011-05-16  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [f571a91ba4ddcb18985ab72b86e5471926b98866]

WaE - base class should be explicitly initialized


2011-05-16  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [f9bec7ba37c6f7fbcfd298cf69d1a95fd6e5f59d]

WaE - assigning negative values to unsigned type


2011-05-16  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [bf07327af12a5d414362671f54cb6a05c8f29fff]

WaE - foo might be used uninitialized


2011-05-16  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [ef548e9e7536e0a8bf90ec355bdadc1d9690b86c]

WaE - add explicit casting (decimal-types → integer types)


2011-05-16  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [ee0f4cf800d1e4667a26235fba14d2c44a590886]

WaE (picky) - noeol


2011-05-16  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [c9a0fd9d16df40616eff198bae3d78bf7f724a6c]

fdo#35668: do not manually free parser context

* reenable complex.unoxml.DOMTest testXDocumentBuilder()
* do not manually free parser context, there is a shared_ptr for that

2011-05-16  Luboš Luňák  <l.lunak@suse.cz>  [a87d4b46ff217afc204ea4ec4f0d5f22065bb18b]

start/end for tblBorders (17.4.13/37), rtl detection missing


2011-05-16  David Tardon  <dtardon@redhat.com>  [95f7a1c2f0d658add963468a896e5786c5837878]

make_keyword expects the buffer size is >=256B


2011-05-16  David Tardon  <dtardon@redhat.com>  [77f8a1ba08540e4e01df6b2c03f88ce54f3befdf]

do not leak memory


2011-05-16  David Tardon  <dtardon@redhat.com>  [907d5c463e6479d038b29b8e4c98abd9c63fd11c]

do not leak memory


2011-05-16  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [aa68fadbcfda0a09628e0ea141cc4466e6566410]

fdo#35668: do not manually free parser context

* reenable complex.unoxml.DOMTest testXDocumentBuilder()
* do not manually free parser context, there is a shared_ptr for that

2011-05-15  Tor Lillqvist  <tlillqvist@novell.com>  [b127be290e847098f5978dd87e30311bbe775e64]

Use specific DLLPUBLIC for each library

This avoids exporting the same functions from multiple DLLs.

Also don't mark template classes for DLL export/import, I think that
is not what we want. Or am I on crack?

2011-05-15  Tor Lillqvist  <tlillqvist@novell.com>  [5ecbfe732ba5e901e5e5145f4b5758b969606866]

Export the LoggedResourcesHelper class


2011-05-15  Tor Lillqvist  <tlillqvist@novell.com>  [765385e9b23c8c77b5fbc3b19e3e9e31411c063e]

